2012-10-28  zet
v0.16.25
  * улучшения в патче psi-autostart-pgp.diff: запрет автоматического включения PGP для чата, если
    PGP был включён/отключён вручную
  * обновлена информация об активных участниках проекта Psi+ (psiplus-aboutdlg.diff)
  * попытка наладить корректную сборку Psi+ под Ms Windows x64 (psi-fix-tunes.diff)
  * обновлены файлы переводов Psi+ на различные языки (поддержка более 30 языков), от 27.10.2012
    (спасибо команде переводчиков https://github.com/psi-plus/psi-plus-l10n )
  ! установщик windows: восстановлена работа механизма проверки орфографии (были изменены пути
    расположения словарей aspell в официальной версии Psi)
  --
  * fixed fuzess; improve psi-autostart-pgp.diff patch: disable autopgp for chat if pgp
    enabled/disabled manually (psi-receipts.diff, psi-hide-muc-auto-join.diff,
    psi-autostart-pgp.diff)
  * updated Psi+ about info (psiplus-aboutdlg.diff)
  * try to fix build of win64 binary (psi-fix-tunes.diff)
  * updated Psi+ translations (2012-10-27) by https://github.com/psi-plus/psi-plus-l10n
  ! windows installer: fixed aspell path


2012-10-21  zet
v0.16.19
  ! состоялся долгожданный релиз Psi 0.15!
    http://lists.affinix.com/pipermail/psi-devel-affinix.com/2012-October/009348.html
  * [upstream commit] psi: небольшой фикс для корректного отображения истории переписки
    (отображение ников со спецсимволами)
  * [upstream commit] psi: некоторые фиксы при переименовании групп и контактов ростера
    (спасибо liuch)
  * [upstream commit] psi: фикс обработки первого сообщения в новом чате (для некоторых случаев)
  * [upstream commit] psi: деактивация некоторых элементов в редакторе аккаунта и во всплывающем
    меню на контакте ростера
  * [upstream commit] psi: спрятана ненужная опция "use-singleclick"
  * [upstream commit] psi: спрятана опция "hide show-away action"
  * [upstream commit] psi: запрет скрытия команды меню "Выполнить команду" для оффлайн-контактов
    (требуется для xmpp-транспорта Mrim)
  * [upstream commit] psi: создание xml-консоли только если это необходимо
  * [upstream commit] psi: запрет на удаление аккаунтов, содержащих непрочитанные события
  * [upstream commit] psi: исправлена возможная утечка памяти при удалении событий
  * [upstream commit] psi: исправлено падение приложения при удалении аккаунта
  * [upstream commit] psi: действие по умолчанию для средней кнопки мыши при клике на контакте
  * [upstream commit] psi: фикс при отрисовке статусного сообщения в режиме отображения контактов
    ростера в виде одной строки
  * [upstream commit] psi: фикс отрисовки ростера конференции при включенной опции "slim-groups"
  ! [upstream commit] psi: новая ветка версий Psi 0.16-dev (после состоявшегося релиза Psi 0.15)
  * [upstream commit] psi: фикс таймера в eventdlg (никогда не сбрасывался)
  * [upstream commit] psi: некоторые фиксы для winamp tune controller (by KukuRuzo)
  * [upstream commit] psi: настраиваемые цвета текста в окне истории переписки. патч для задачи #21
  * [upstream commit] psi: попытка использовать по умолчанию ник аккаунта при подсоединении к
    конференции (вместо полного jid-а)
  * [upstream commit] psi: исправлен двойной запрос features при вызове окна service discovery
  * [upstream commit] psi: небольшой фикс для редактора настроек
  * [upstream commit] psi: фикс заголовка окна с рисовальной доской
  * [upstream commit] iris: добавлено временное решение проблем с ipv6 в режиме http-poll
  * [upstream commit] iris: отключен tls для режима http-poll в AdvancedConnector, так как
    http-poll имеет свой собственный обработчик tls
  * [upstream commit] iris: фикс заголовка grepshortcutdlg
  * обновлён патч psi-one-chat-for-many-resources.diff: исправлена ошибка, в результате которой при
    активации вкладки с непрочитанными сообщениями счётчик непрочитанных сообщений не обновлялся в
    случае если контакт ушёл в оффлайн и на этой вкладке включён режим autojid
  * исправления в обработке станзы для Entity Time (задача #512) [psi-entity-time.diff]
  * обновлён патч psi-safe-storage-fix.diff (задача #515): исправлена ошибка, в результате которой
    терялись файлы конфигурации (точнее, один из вариантов потери файлов конфигурации). при
    неудачной записи файла или его недозаписи в результате сбоя в следующем запуске Psi+ использует
    .backup копию того же файла. но при двух последовательных сбоях получалось так, что backup копия
    затиралась битым файлом от первого сбоя. таким образом можно получить битую конфигурацию и битую
    резервную копию одновременно. эта же функция записи и чтения используется не только для
    accounts.xml и options.xml, но и для events*.xml, т.е. могли теряться также и события
  + добавлен новый патч psi-fix-historydlg.diff: исправлено отображение ника в окне отображения
    истории переписки. ошибка связана с тем, что в нике не экранируются спецсимволы html. пример:
    переименовываем контакт в ник вида:
    "nic
    k"
    открываем историю переписки, смотрим результат. после применения патча ник будет отображаться
    правильно
  * исправлен патч psiplus-application-info.diff - qcm/certstore.qcm убран из Psi+
  - убран патч psi-fix-historydlg.diff -> принят в upstream
  * модифицирован патч psi-send-xhtml-im.diff: формат блока для нового сообщения копировался из
    предыдущего (а в нашем случае - с последнего сообщения), т.е. если входящее сообщение было
    форматировано с использованием параграфов (pidgin, например), то все последующие сообщения
    отображались с отступами. данный баг актуален для конференции и для обычных чатов в НЕвебкит
    версии. в вебкит версии патч не проверялся.
  - убраны некоторые патчи -> приняты в upstream (psi-fix-rename-contact-in-roster.diff,
    psi-fix-rename-groups.diff, psi-fix-proccess-first-message.diff)
  - убран патч psi-fix-crash-when-going-offline.diff (перемещён в dev), т.к. не актуален
  - убраны некоторые патчи -> приняты в upstream (psi-tmp-hide-useless-roster-options.diff,
    psi-hide-show-away-action.diff)
  - убрано ещё больше патчей -> приняты в upstream
    (psi-do-not-disable-execute-command-menu-item.diff, psi-create-xmlconsole-when-need-it.diff,
    psi-dont-remove-accounts-with-events.diff, psi-fix-event-removing.diff)
  * исправлен патч psiplus-new-popups.diff
  - убраны ненужные патчи (psi-disable-alt-n-switch-tabs.diff,
    psi-fix-reconnecting-when-account-changed.diff)
  * исправлен патч psi-mac-sparkle.diff
  * патч psi-fix-tunes.diff разделён на два отдельных патча psi-fix-winampcontroller.diff и
    psi-fix-tunes.diff
  * фиксы патча psi-mac-sparkle.diff
  * поддержка всплывающих окон в ОС Lion и выше (psiplus-new-popups.diff)
  - убран патч psi-fix-encoding-of-command-line-arguments.diff (перемещён в dev)
  * небольшой фикс в патче psi-muc-nick-hash-color.diff
  - убран патч psi-fix-timer-in-eventdlg.diff -> принят в upstream
  * объединены патчи на всплывающие окна в один патч psi-extend-popups.diff
  * патч psi-dont-send-composing-events.diff выделен в отдельный патч. некоторые изменения в патче
    psi-extend-popups.diff
  * исправлен патч psi-extend-popups.diff patch под MAC OSX
  - убраны патчи psi-fix-winampcontroller.diff и psi-fix-sending-disco-items-request-twice.diff ->
    приняты в upstream
  + добавлен новый патч на корректное поведение для события приглашения порисовать на рисовальной
    доске (psi-whiteboard-invitation-event.diff)
  ! обновлены капсы (caps) до версии 0.16 (psiplus-application-info.diff)
  * исправлено деление на ноль в juick plugin (v0.11.2)
  * обновлён client switcher plugin: добавлена возможность игнора запроса версии, обновлён список ОС
    (v0.0.13)
  * принят патч для плагинов от https://github.com/FlorianFieber/plugins (client switcher plugin,
    juick plugin)
  * исправлен watcher plugin (v0.4.1)
  * обновлён extended options plugin до версии 0.3.7
  * принят патч для плагинов от (pull request #3) fk0/master (extended options plugin,
    client switcher plugin, watcher plugin)
  + добавлены иконки аффиляций (lamps-affiliations.jisp и futurama-robots-affiliations.jisp)
  ! обновлены системные библиотеки qt до версии 4.8.2
    http://qt.digia.com/Product/changes/Changes-482/
  ! обновлены библиотеки openssl до версии 1.0.1c http://www.openssl.org/news/changelog.html
  ! обновлена библиотека windows zlib до версии 1.2.7
  ! добавлены новые и обновлены существующие файлы переводов для Psi+ от команды переводчиков
    (от 19.10.2012) https://github.com/psi-plus/psi-plus-l10n
  --
  ! Psi 0.15 released!
    http://lists.affinix.com/pipermail/psi-devel-affinix.com/2012-October/009348.html
  * [upstream commit] psi: small fix for historydlg (displaying nicks with special symbols)
  * [upstream commit] psi: some fixes for contacts and group renaming (tnx liuch)
  * [upstream commit] psi: fix processing first chat message for some cases
  * [upstream commit] psi: deactivation of some items at account and contact popup menu
  * [upstream commit] psi: hide useless use-singleclick option
  * [upstream commit] psi: hide show-away action
  * [upstream commit] psi: don't disable execute-command menu item for offline contacts (needed
    for mrim transport)
  * [upstream commit] psi: create xml console only if it needed
  * [upstream commit] psi: don't remove accounts with events
  * [upstream commit] psi: fix possible memory leaks when removing events
  * [upstream commit] psi: fixed crash on account remove
  * [upstream commit] psi: default action on middleclick on contact
  * [upstream commit] psi: fix drawing status messages in single line
  * [upstream commit] psi: fix muc roster painting when slim-groups option is enabled
  ! [upstream commit] psi: bump version number to 0.16-dev
  * [upstream commit] psi: fix whois timer at eventdlg never stops
  * [upstream commit] psi: some fixes for winamp tune controller (by KukuRuzo)
  * [upstream commit] psi: configurable text colors in history dialog. patch for issue #21
  * [upstream commit] psi: try use accounts nick when join muc
  * [upstream commit] psi: fix disco items request sent twice when diskodlg opens
  * [upstream commit] psi: small fix for options editor
  * [upstream commit] psi: fix wbdlg title
  * [upstream commit] iris: added stupid hack to workaround ipv6 problem in http-poll
  * [upstream commit] iris: disable tls for http-poll in AdvancedConnector since http-poll has its
    own tls handler
  * [upstream commit] iris: fix grepshortcutdlg title
  * updated psi-one-chat-for-many-resources.diff patch. fix unread messages
  * fixed Entity Time stanza (issue #512) [psi-entity-time.diff]
  * updated psi-safe-storage-fix.diff patch (issue #515)
  + added psi-fix-historydlg.diff patch. fixed display of nick
  * fixed patch - qcm/certstore.qcm removed from psi (psiplus-application-info.diff)
  - removed psi-fix-historydlg.diff patch -> went to upstream
  * modified psi-send-xhtml-im.diff patch. reset margin properties for new text blocks
  - removed some patches -> went to upstream (psi-fix-rename-contact-in-roster.diff,
    psi-fix-rename-groups.diff, psi-fix-proccess-first-message.diff)
  - move psi-fix-crash-when-going-offline.diff patch to dev because of useless
  - removed some patches -> went to upstream (psi-tmp-hide-useless-roster-options.diff,
    psi-hide-show-away-action.diff)
  - removed more patches -> went to upstream (psi-do-not-disable-execute-command-menu-item.diff,
    psi-create-xmlconsole-when-need-it.diff, psi-dont-remove-accounts-with-events.diff,
    psi-fix-event-removing.diff)
  * fixed psiplus-new-popups.diff patch
  - removed some patches because of useless (psi-disable-alt-n-switch-tabs.diff,
    psi-fix-reconnecting-when-account-changed.diff)
  * fixed psi-mac-sparkle.diff patch
  * psi-fix-tunes.diff patch has been splitted on two separate patches psi-fix-winampcontroller.diff
    and psi-fix-tunes.diff
  * fixes for psi-mac-sparkle.diff patch
  * enabled growl popups on Lion and higher (psiplus-new-popups.diff)
  - moved psi-fix-encoding-of-command-line-arguments.diff patch to dev
  * small fix in work with constants in psi-muc-nick-hash-color.diff patch
  - removed psi-fix-timer-in-eventdlg.diff patch -> went to upstream
  * merged popup patches and move it top. fix other patches (psi-extend-popups.diff)
  * splited psi-dont-send-composing-events.diff patch into separated patch. some work with popups
    patch (psi-extend-popups.diff)
  * fixed psi-extend-popups.diff patch for mac
  - removed psi-fix-winampcontroller.diff patch -> went to upstream
  - removed psi-fix-sending-disco-items-request-twice.diff patch -> went to upstream
  + added new patch for whiteboard invitation events (psi-whiteboard-invitation-event.diff)
  ! caps version to 0.16 (psiplus-application-info.diff)
  * fixed division by 0 in juick plugin (v0.11.2)
  * updated client switcher plugin: added feature for ignoring a request version, updated the OS
    template (v0.0.13)
  * merged https://github.com/FlorianFieber/plugins (client switcher plugin, juick plugin)
  * fixed watcher plugin (v0.4.1)
  * updated extended options plugin: more clear description for "hiding on auto-join conferences"
    option (v0.3.7)
  * merged pull request #3 from fk0/master (extended options plugin, client switcher plugin,
    watcher plugin)
  + added lamps affiliations icons (iconsets/affiliations/lamps-affiliations.jisp)
  + added futurama affiliation icons (iconsets/affiliations/futurama-robots-affiliations.jisp)
  ! updated qt libs to version 4.8.2, http://qt.digia.com/Product/changes/Changes-482/
  ! updated openssl libs to version 1.0.1c, http://www.openssl.org/news/changelog.html
  ! updated windows zlib to version 1.2.7
  ! added new Psi+ translations and updated existing translations (2012-10-19) by
    https://github.com/psi-plus/psi-plus-l10n


2012-05-22  zet
v0.15.5337
  * некоторые исправления и улучшения для juick plugin (v0.11.1)
  + в пакет дистрибутива под windows добавлена необходимая системная библиотека "QtWebKit4.dll"
  ! обновлены файлы переводов от команды https://github.com/tehnick/psi-plus-i18n
  --
  * some fixes for juick plugin (v0.11.1)
  + win32 installer: added required system lib 'QtWebKit4.dll'
  ! updated some Psi+ translations from https://github.com/tehnick/psi-plus-i18n


2012-05-20  zet
v0.15.5335
  + [коммит в upstream] psi: добавлены временные метки в дебаг-лог
  * [коммит в upstream] psi: исправлено неоткрывание основного окна в билдах под MAC и Qt Cocoa
  * [коммит в upstream] psi: исправлено отображение сообщения "no version available" в групчатах
  + [коммит в upstream] psi: вложенный каталог "translations" теперь используется для хранения
    файлов переводов (локализаций). старые пути расположения файлов переводов также поддерживаются
    (для обеспечения обратной совместимости)
  - [коммит в upstream] psi: убран ненужный флаг dynamic_cast в psicon
  + [коммит в upstream] psi: теперь используется shared zlib в сборках под MS Windows
  * [коммит в upstream] iris: более подробные сообщения в дебаг-логе для bsocket и connector
  * [коммит в upstream] iris: исправлено поведение при SSL handshake после интеграции newdns
  + [коммит в upstream] libpsi: теперь используется shared zlib в сборках под MS Windows
  * исправления для хидеров в плагинном интерфейсе (спасибо Hugin) [psi-extend-plugins-interface.diff]
  - убран патч psi-mac-dock-click.diff -> принят в upstream
  + добавлен новый патч для удаления некоторых событий (исправлены возможные утечки памяти)
    [psi-fix-event-removing.diff]
  + добавлен новый патч для обеспечения совместимости с XEP-0172
    (psi-remove-nick-entry-from-muc-stanzas.diff)
  * поправлен патч rename-contact-in-roster. теперь допустимо указывать пустое имя контакта
    (psi-fix-rename-contact-in-roster.diff)
  * убран ненужный код из third-party в файлах wa_ipc.h и AIMPSDKRemote.h (psi-fix-tunes.diff)
  + добавлен новый патч для использования absoluteFilePath в PsiRiachText
    (psi-use-absolutefilepath-in-psireachtext.diff)
  * улучшения в патче psi-improve-tray-tooltip.diff
  * фикс при обновлении состояния плагинов (psi-extend-plugins-interface.diff)
  + добавлен новый патч для решения задачи 508
    ( http://code.google.com/p/psi-dev/issues/detail?id=508 )
    [psi-fix-reconnecting-when-account-changed.diff]
  + добавлены отсутствующие инклюды для некоторых плагинов (спасибо Florian Fieber)
  * обновлён birthday reminder plugin до версии 0.4.0
  * небольшой фикс для extended menu plugin (v0.1.1)
  ! начата работа над новой реализацией juick plugin (v0.11.0)
  ! обновлены системные библиотеки qt до версии 4.8.1,
    http://qt.nokia.com/products/changes/changes-4.8.1
  ! теперь инсталлятор Psi+ под MS Windows содержит 30+ переводов (локализаций) интерфейса
    приложения на различные языки (спасибо tehnick), https://github.com/tehnick/psi-plus-i18n
  --
  + [upstream commit] psi: added timestamps into debug log
  * [upstream commit] psi: fix main window not reopening on MAC and Qt Cocoa builds
  * [upstream commit] psi: fix 'no version available' message in groupchatdlg
  + [upstream commit] psi: subdirectory 'translations' is now used for translation files. old paths
    are also checked for back compatibility
  - [upstream commit] psi: remove useless dynamic_cast in psicon
  + [upstream commit] psi: use shared zlib on windows
  * [upstream commit] iris: better debug messaging in bsocket and connector
  * [upstream commit] iris: fixed regression with SSL handshake after merging newdns
  + [upstream commit] libpsi: use shared zlib on windows
  * fixed plugin interface headers (tnx to Hugin) [psi-extend-plugins-interface.diff]
  - removed psi-mac-dock-click.diff patch -> went to upstream
  + added new patch for remove some events (fixed possible memory leaks)
    [psi-fix-event-removing.diff]
  + added new patch for accordance with XEP-0172 revoved the "nick" entry from muc stanzas
    (psi-remove-nick-entry-from-muc-stanzas.diff)
  * fixed rename-contact-in-roster patch. allowed blank contact name
    (psi-fix-rename-contact-in-roster.diff)
  * removed unused code from third-party wa_ipc.h and AIMPSDKRemote.h files (psi-fix-tunes.diff)
  + added new patch for use absoluteFilePath in PsiRiachText
    (psi-use-absolutefilepath-in-psireachtext.diff)
  * improved psi-improve-tray-tooltip.diff patch
  * fixed plugins updating (psi-extend-plugins-interface.diff)
  + added new patch to solve issue 508 ( http://code.google.com/p/psi-dev/issues/detail?id=508 )
    [psi-fix-reconnecting-when-account-changed.diff]
  + added missing includes for some plugins (thx to Florian Fieber)
  * updated birthday reminder plugin to v0.4.0
  * small fix for extended menu plugin (v0.1.1)
  ! start works on new juick plugin implementation (v0.11.0)
  ! updated qt libs to version 4.8.1, http://qt.nokia.com/products/changes/changes-4.8.1
  ! win32 installer: added 30+ translations for Psi+ (thx to tehnick),
    https://github.com/tehnick/psi-plus-i18n


2012-04-08  zet
v0.15.5320
  * [коммит в upstream] psi: исправлен некорректный адрес fsf
  * [коммит в upstream] psi: фиксы для сервера Idle: теперь PsiCon контроллирует автостатус для
    аккаунтов; улучшена работа с опциями; счётчик Idle останавливается если автостатусы
    не используются
  * [коммит в upstream] psi: исправлена утечка памяти в диалоге истории переписки (патч от команды
    Psi+, спасибо liuch)
  * [коммит в upstream] psi: исправлена работа опций "contact-sort-style",
    "contactlist.use-single-click", "contactlist.use-outlined-group-headings" и
    "contactlist.use-slim-group-headings"
  * [коммит в upstream] psi: адаптирован патч от команды Psi+ на работу с директориями freedekstop
  * [коммит в upstream] psi: изменены некоторые строки при работе мастера импорта профиля Psi
  * [коммит в upstream] psi: фикс миграции профиля Psi в ОС Windows
  * [коммит в upstream] psi: исправлено определение местоположения файлов конфига в профиле Psi в
    ОС Windows
  * [коммит в upstream] psi: ещё один фикс определения местоположения файлов профиля Psi+ в ОС Windows
  * [коммит в upstream] psi: исправлена работа опции "animate online contacts"
  * [коммит в upstream] psi: исправлена работа всплывающего окна при использовании поиска по ростеру
  * [коммит в upstream] psi: исправлена работа опции "roster autoresize"
  * [коммит в upstream] psi: исправлена работа по передаче файлов при перетаскивании файла на контакт
    ростера
  * [коммит в upstream] psi: исправлена работа действий по переименованию и удалению в меню контакта
    ростера
  * [коммит в upstream] psi: некоторые исправления в отрисовке ростера
  * [коммит в upstream] psi: исправлен drag-n-drop в ростере конференции
  * [коммит в upstream] libpsi: исправлен некорректный адрес fsf
  * [коммит в upstream] libpsi: небольшой фикс для grepshotcuddlg
  * [коммит в upstream] libpsi: обновлён GrowlNotifier для использования нового фреймворка growl
  - убраны некоторые патчи -> приняты в upstream (psi-improve-idle.diff, psi-fix-memory-leak.diff,
    psi-fix-grepshotcutkeydlg.diff)
  * перемещены патчи для Mac OC X из репозитория maintenance в репозиторий main (brushed-metal.diff,
    psi-psiwindowheader-left-button.diff, psi-mac-Makefile.diff, psi-mac-sparkle.diff,
    psi-chat-theme-mac_native.diff, psi-mac-dock-click.diff, psi-new-growl-interface.diff)
  * исправлен баг в plopt_plugins (psi-extend-plugins-interface.diff)
  - убраны некоторые патчи -> приняты в upstream (psi-fix-roster-accounts-and-groups-drawing.diff,
    psi-fix-contact-sorting-style-option.diff, psi-fix-use-single-click.diff)
  + добавлен новый патч для исправления поведения при переименовании контакта в ростере
    (psi-fix-rename-contact-in-roster.diff)
  * исправлен патч fixed psi-extend-plugins-interface.diff
  * фикс патча psiplus-binary.diff. далее необходимо разделить данный патч и переместить некоторые
    его части в другие патчи
  * отделена часть патча psiplus-binary.diff и перемещена в патч psi-extend-plugins-interface.diff
  * продолжение работ по разделению патча psiplus-binary.diff (psi-options-language-select.diff,
    psi-autostart.diff)
  * исправлен патч fixed psi-bookmark-skip.diff
  * завершено разделение патча psiplus-binary.diff (psi-webkit.diff, psiplus-application-info.diff)
  - убран ненужный патч psiplus-binary.diff
  * подготовка некоторых патчей к отправке в upstream (psi-modern-roster.diff,
    psi-muc-minimize-to-roster.diff, psi-block-contact-from-menu.diff,
    psi-fix-pgp-icon-in-roster.diff)
  - убраны некоторые патчи -> приняты в upstream (psi-fix-online-contacts-animation.diff,
    psi-fix-tooltip-when-searching-in-roster.diff)
  * доработка патча psi-multilang-spelling-for-aspell.diff - теперь существует проверка на наличие
    переменной LANG
  - убраны некоторые патчи -> приняты в upstream (psi-fix-roster-autoresize.diff,
    psi-send-file-when-drop-to-roster.diff, psi-fix-remove-action.diff)
  * обновлён патч psi-fix-rename-contact-in-roster.diff
  + добавлен новый патч для исправления поведения при переименовании групп ростера
    (psi-fix-rename-groups.diff)
  * исправлен патч psi-modern-roster.diff после коммитов в upstream
  - убраны некоторые патчи -> приняты в upstream (mac/psi-new-growl-interface.diff,
    psi-fix-drag-contacts-in-muc-roster.diff)
  * небольшие исправления в init при нажатии кнопки мыши в верхней области поля окна
    (psiplus-decorate-windows.diff)
  * PsiWindowHeader теперь поддерживает и Mac OS X. некоторые оптимизации кода в PsiWindowHeader
    (psiplus-decorate-windows.diff)
  * убрана ненужная часть патча mac/psi-psiwindowheader-left-button.diff
  * завершено разделение патча mac/psi-psiwindowheader-left-button.diff
    (psi-default-application-settings.diff)
  - убран ненужный патч mac/psi-psiwindowheader-left-button.diff patch
  * исправлен регресс в патче psi-fix-rename-groups.diff - ошибка при удалении контакта
  * обновлён список активных участников проекта Psi+ (psiplus-aboutdlg.diff)
  * обновлён extended options plugin до версии 0.3.7
  --
  * [upstream commit] psi: fixed incorrect fsf address
  * [upstream commit] psi: fixed Idle: now PsiCon controls auto-away status for accounts; improved
    work with options; Idle stops if auto-statuses does not use
  * [upstream commit] psi: fixed memory leaks in history (patch from Psi+, thx liuch)
  * [upstream commit] psi: fixed 'contact-sort-style', 'contactlist.use-single-click',
    'contactlist.use-outlined-group-headings' and 'contactlist.use-slim-group-headings' options
  * [upstream commit] psi: backported Psi+ patch for freedekstop dirs
  * [upstream commit] psi: changed some strings in import wizard
  * [upstream commit] psi: fixed migration on windows
  * [upstream commit] psi: fixed detection of config data dirs on windows
  * [upstream commit] psi: one yet fix for windows profile dir
  * [upstream commit] psi: fixed animate online contacts option
  * [upstream commit] psi: fixed tooltip on contacts when search in roster
  * [upstream commit] psi: fixed roster autoresize option
  * [upstream commit] psi: fixed send files when drop to roster
  * [upstream commit] psi: fixed rename and remove actions at contacts menu
  * [upstream commit] psi: some fixes for roster painting
  * [upstream commit] psi: fixed drag-n-drop in muc roster
  * [upstream commit] iris: relink psi when iris sources changes. use qDebug instead of printf to
    make messages visible in debug view of qtreator
  * [upstream commit] libpsi: fixed incorrect fsf address
  * [upstream commit] libpsi: small fix for grepshotcuddlg
  * [upstream commit] libpsi: update GrowlNotifier for using new growl framework
  - removed some patches -> went to upstream (psi-improve-idle.diff, psi-fix-memory-leak.diff,
    psi-fix-grepshotcutkeydlg.diff)
  * moved mac patches from maintenance to main (brushed-metal.diff,
    psi-psiwindowheader-left-button.diff, psi-mac-Makefile.diff, psi-mac-sparkle.diff,
    psi-chat-theme-mac_native.diff, psi-mac-dock-click.diff, psi-new-growl-interface.diff)
  * fixed bug in plopt_plugins (psi-extend-plugins-interface.diff)
  - removed some patches -> went to upstream (psi-fix-roster-accounts-and-groups-drawing.diff,
    psi-fix-contact-sorting-style-option.diff, psi-fix-use-single-click.diff)
  + added new patch for fix rename contact in roster (psi-fix-rename-contact-in-roster.diff)
  * fixed psi-extend-plugins-interface.diff patch
  * fixed brending patch. still needs to move its parts into other patches (psiplus-binary.diff)
  * moved some part of psiplus-binary.diff patch into psi-extend-plugins-interface.diff patch
  * more split of psiplus-binary.diff patch (psi-options-language-select.diff, psi-autostart.diff)
  * fixed psi-bookmark-skip.diff patch
  * spliting psiplus-binary.diff patch is completed (psi-webkit.diff, psiplus-application-info.diff)
  - removed useless psiplus-binary.diff patch
  * prepared some patches for upstream (psi-modern-roster.diff, psi-muc-minimize-to-roster.diff,
    psi-block-contact-from-menu.diff, psi-fix-pgp-icon-in-roster.diff)
  - removed some patches -> went to upstream (psi-fix-online-contacts-animation.diff,
    psi-fix-tooltip-when-searching-in-roster.diff)
  * improved psi-multilang-spelling-for-aspell.diff patch - check LANG variable
  - removed some patches -> went to upstream (psi-fix-roster-autoresize.diff,
    psi-send-file-when-drop-to-roster.diff, psi-fix-remove-action.diff)
  * updated psi-fix-rename-contact-in-roster.diff patch
  + added new patch for fix rename groups (psi-fix-rename-groups.diff)
  * fixed psi-modern-roster.diff patch after upstream commit
  - removed some patches -> went to upstream (mac/psi-new-growl-interface.diff,
    psi-fix-drag-contacts-in-muc-roster.diff)
  * small fix in mouse press init at the top region of the borderless window
    (psiplus-decorate-windows.diff)
  * PsiWindowHeader now supports Mac OS X. some code optimizations in PsiWindowHeader
    (psiplus-decorate-windows.diff)
  * removed a part of mac/psi-psiwindowheader-left-button.diff patch
  * spliting psi-psiwindowheader-left-button.diff patch is complited
    (psi-default-application-settings.diff)
  - removed useless mac/psi-psiwindowheader-left-button.diff patch
  * fixed regression in psi-fix-rename-groups.diff patch. error when deleting a contact
  * updated psiplus-aboutdlg.diff patch
  * updated extended options plugin to v0.3.7


2012-04-01  zet
v0.15.5284
  * [коммит в upstream] psi: убрана ненужная анимация из меню на нике в чатлоге
  + [коммит в upstream] psi: добавлена поддержка распознавания ссылок типа "magnet:" в чатлогах
  + [коммит в upstream] psi: поддержка распознавания ссылок типа "xmpp:" в freedesktop
  * [коммит в upstream] iris: фикс передачи файлов большого размера, подробнее -
    http://code.google.com/p/psi-dev/issues/detail?id=499
  * [коммит в upstream] iris: исправлено возможное падение приложения при закрытии приложения в момент
    получения входящей станзы
  * возвращена ежесекундная проверка состояния idle (psi-improve-idle.diff)
  + добавлен новый патч для запрета мгновенного обновления счётчика онлайн-контактов в ростере -
    небольшое увеличение скорости запуска приложения (psi-fix-online-contacts-count-update.diff)
  * улучшения в плагинной системе - не используются отладочные символы в релизных сборках;
    исправлено включение/отключение плагинов из настроек приложения; автоматическая установка
    автозагрузки плагина после первого использования (psi-extend-plugins-interface.diff)
  + добавлен новый патч, убирающий ненужную анимацию из некоторых меню приложения
    (psi-remove-anim-from-urlmenu.diff)
  * переименован патч psi-remove-anim-from-urlmenu.diff, а также убрана ненужная анимация из меню
    iconactions (psi-remove-animation-from-iconactions.diff)
  - убран патч psi-remove-animation-from-iconactions.diff -> принят в upstream
  + добавлен новый патч append_sys_message от Hugin (объединён с патчем
    psi-extend-plugins-interface.diff)
  * улучшения в dbus-попапах: проверка возможностей сервера (psiplus-new-popups.diff)
  * переписан idle патч и перемещён в начало очереди применения патчей - подготовка к передаче
    в upstream (psi-improve-idle.diff)
  * исправлены некоторые патчи (psi-presets-in-status-menu.diff, psiplus-new-popups.diff)
  * исправления для сервера idle (psi-idle-server.diff)
  * исправлены прочие патчи (psi-ignoring-global-statuses.diff,
    psi-fix-online-contacts-count-update.diff, psi-extend-plugins-interface.diff,
    psi-more-effective-work-with-options.diff, psiplus-binary.diff)
  * фикс патча psiplus-binary.diff после коммита в upstream
  * обновлён image plugin до версии 0.1.2
  * обновлён gnome3 support plugin (только для *nix-систем)
  * [psimedia+] исправлен некорректный адрес FSF
  * [psimedia+] фиксы сборки с glib >= 2.32
  ! обновлены системные библиотеки openssl до версии 1.0.1,
    http://www.openssl.org/news/changelog.html
  --
  * [upstream commit] psi: remove crazy animation from iconactions
  + [upstream commit] psi: added stupid magnet links support
  + [upstream commit] psi: added some freedesktop magic into desktop file
  * [upstream commit] iris: fixed int overflow in filetransfer when ranged transfer used
    (Psi+ Issue 499, http://code.google.com/p/psi-dev/issues/detail?id=499 )
  * [upstream commit] iris: fixed possible crash when Client::close called during incoming stanza
    processing
  * reverted every second idle checking (psi-improve-idle.diff)
  + added new patch for deny update online contacts count instantly - a bit faster application start
    (psi-fix-online-contacts-count-update.diff)
  * improved plugins patch - dont use qdebug in release builds; fix loading-unloading plugins from
    options; automatically set auto-load option at first accessing
    (psi-extend-plugins-interface.diff)
  + added new patch for fix animation never stops (psi-remove-anim-from-urlmenu.diff)
  * renamed psi-remove-anim-from-urlmenu.diff patch and removed animation from iconactions
    (psi-remove-animation-from-iconactions.diff)
  - removed psi-remove-animation-from-iconactions.diff patch -> went to upstream
  + added append_sys_message patch by Hugin (merged with psi-extend-plugins-interface.diff patch)
  * improved dbus popups: check server capabilities (psiplus-new-popups.diff)
  * rewritten idle patch and moved to top of patches - prepared for moving to upstream
    (psi-improve-idle.diff)
  * fixed some patches (psi-presets-in-status-menu.diff, psiplus-new-popups.diff)
  * fixed idle server (psi-idle-server.diff)
  * fixed other patches (psi-ignoring-global-statuses.diff,
    psi-fix-online-contacts-count-update.diff, psi-extend-plugins-interface.diff,
    psi-more-effective-work-with-options.diff, psiplus-binary.diff)
  * fixed psiplus-binary.diff patch after upstream commit
  * updated image plugin to v0.
  * updated gnome3 support plugin (*nix only)
  * [psimedia+] fixed incorrect FSF address
  * [psimedia+] fixed build with glib >= 2.32
  ! updated openssl libs to version 1.0.1, http://www.openssl.org/news/changelog.html


2012-03-25  zet
v0.15.5268
  * [коммит в upstream] psi: теперь используется static_cast вместо dynamic_cast в
    contactlistproxymodel
  * теперь используется (jid) вместо <jid> в dbus-попапах (psiplus-new-popups.diff)
  + добавлен новый патч для проверки орфографии для нескольких языков одновременно. основан на
    патче отсюда http://forum.psi-plus.com/viewtopic.php?f=8&t=94 . взят только базовый функционал.
    для проверки используются все доступные в системе языки. необходимые языки указываются через
    пробел в advanced-опции "options.ui.spell-check.langs" (psi-multilang-spelling-for-aspell.diff)
  + добавлен новый патч для исправления бага, из-за которого при поиске в списке контактов
    использовался ресурс контакта. вследствие этого контакт дублировался в группе "Not in list".
    например, актуально для плагинов, использующих ссылки (psi-chat-not-in-list-fix.diff)
  * исправлен патч psiplus-new-popups.diff
  + добавлен новый патч, запрещающий проверку орфографии при наборе цифр
    ( http://code.google.com/p/psi-dev/issues/detail?id=396 ) [psi-dont-spellcheck-digits.diff]
  + добавлен новый патч для grepshorcutkeydlg. исправлена утечка памяти. теперь работает в Mac OS X
    [psi-fix-grepshotcutkeydlg.diff]
  + улучшения в патче psi-fix-eventnotifier.diff - панель уведомлений не будет скрываться, если
    этого не требуется. ранее панель с количеством пропущенных сообщений в ростере всегда пряталась
    после прочтения сообщения, независимо от настроек тулбаров в опциях
  * переименована опция в меню ростера (Blocked -> Ignore global actions)
    [psi-ignoring-global-statuses.diff]
  + добавлена новая иконка "ignore_global_actions.png" в системный иконпак
    (psi-iconsets.diff, psi-one-chat-for-many-resources.diff)
  * обновлён патч psi-ignoring-global-statuses.diff - используется новая иконка и пункт меню
    перенесён на уровень глубже, в меню статусов
  + добавлен новый патч для уменьшения количества вызовов при работе с настройками приложения
    (psi-improve-idle.diff)
  * небольшая оптимизация в некоторых патчах. userAccount() -> accountOptions()
    [psi-presets-in-status-menu.diff, psi-ignoring-global-statuses.diff,
    psi-extend-plugins-interface.diff]
  + добавлен новый патч для более эффективной работы с настройками - исключение вызова в одном и
    том же месте по 2-3-4 раза одной и той же опции. также добавлено кэширование некоторых настроек
    в делегате ростера (должна возрасти скорость отрисовки)
    [psi-more-effective-work-with-options.diff]
  * idle - опрашивать каждую минуту вместо каждой секунды (psi-improve-idle.diff)
  * некоторые фиксы в некоторых патчах (psi-improve-idle.diff, psi-extend-plugins-interface.diff,
    psi-more-effective-work-with-options.diff)
  * переписан патч psi-more-effective-work-with-options.diff
  * улучшения в патче psi-hide-muc-auto-join.diff
  * исправлен патч psi-always-visible-contacts.diff после коммита в upstream
  * фикс компиляции в Mac OS X (psi-more-effective-work-with-options.diff)
  + добавлен новый патч для growl-интерфейса
    (scripts/macosx/patches/3060-psi-new-growl-interface.diff)
  * обновлён storage notes plugin до версии 0.1.8
  * обновлён translate plugin до версии 0.4.3
  * обновлён gmail service plugin до версии 0.7.4
  * обновлён video status changer plugin до версии 0.2.3
  * обновлён screenshot plugin до версии 0.6.4
  * исправлен content downloader plugin (убран ненужный редирект), v0.2.2
  --
  * [upstream commit] psi: use static_cast instead of dynamic_cast in contactlistproxymodel
  * use (jid) instead of <jid> in dbus popups (psiplus-new-popups.diff)
  + added new patch for spell checking for multiple languages at once. based on patch from here
    http://forum.psi-plus.com/viewtopic.php?f=8&t=94 . only basic functionality. for check uses all
    available languages in the system. use 'options.ui.spell-check.langs' to specify langs
    (no commas, just through space) [psi-multilang-spelling-for-aspell.diff]
  + added new patch for fix a bug due to which the search in the roster used by the contact
    resource. contact is duplicated in group 'Not in list'. for example, in the relevant plugins
    that use the urls (psi-chat-not-in-list-fix.diff)
  * fixed psiplus-new-popups.diff patch
  + added new patch for deny spellcheck of digits
    ( http://code.google.com/p/psi-dev/issues/detail?id=396 ) [psi-dont-spellcheck-digits.diff]
  + added new patch for fix grepshorcutkeydlg. fixed memory leak. now works on Mac OS X
    [psi-fix-grepshotcutkeydlg.diff]
  + improved psi-fix-eventnotifier.diff patch - eventnotifier will not hiding if it shouldnt. the
    panel with the number of missed messages in the roster is always hiding after reading the
    message. this occurred regardless of the settings in the options toolbar
  * renamed menu item (Blocked -> Ignore global actions) [psi-ignoring-global-statuses.diff]
  + added 'ignore_global_actions.png' icon into iconsets
    (psi-iconsets.diff, psi-one-chat-for-many-resources.diff)
  * updated psi-ignoring-global-statuses.diff patch - the menu item is moved to a level deeper in
    the status menu
  + added new patch for less options calling every second in secondsIdle() [psi-improve-idle.diff]
  * small optimization for some patches. userAccount() -> accountOptions()
    [psi-presets-in-status-menu.diff, psi-ignoring-global-statuses.diff,
    psi-extend-plugins-interface.diff]
  + added new patch for more effective work with options - exception to the call in the same place
    at 2-3-4 times the same option. also added some caching settings on the delegate roster
    (should increase rendering speed) [psi-more-effective-work-with-options.diff]
  * idle - poll every minute instead of every seccond (psi-improve-idle.diff)
  * some fixes for some patches (psi-improve-idle.diff, psi-extend-plugins-interface.diff,
    psi-more-effective-work-with-options.diff)
  * improved psi-more-effective-work-with-options.diff patch
  * improved psi-hide-muc-auto-join.diff patch
  * fixed psi-always-visible-contacts.diff patch after upstream commit
  * fixed compilations on mac (psi-more-effective-work-with-options.diff)
  + added new growl interface patch (scripts/macosx/patches/3060-psi-new-growl-interface.diff)
  * updated storage notes plugin to v0.1.8
  * updated translate plugin to v0.4.3
  * updated gmail service plugin to v0.7.4
  * updated video status changer plugin to v0.2.3
  * updated screenshot plugin to v0.6.4
  * fixed content downloader plugin (removed unnecessary redirect), v0.2.2


2012-03-09  zet
v0.15.5242
  * [коммит в upstream] psi: исправлено падение приложения при использовании service discovery
  + добавлен новый патч, исправляющий несколько утечек памяти в истории сообщений (поиск,
    навигация, экспорт) [psi-fix-memory-leak.diff]
  + добавлен новый патч, запрещающий удаление аккаунта, содержащего непрочитанные сообщения/события
    (решена задача 492, http://code.google.com/p/psi-dev/issues/detail?id=492)
    [psi-dont-remove-accounts-with-events.diff]
  + добавлен новый патч, который позволяет указывать аккаунты, для которых будут игнорироваться
    глобальные установки статуса. а именно: автостатус, настроения, занятия, геолокация, статус из
    главного окна, в том числе, текст статуса. исключение сделано для глобального offline - при этом
    отключатся все аккаунты (как обычно) [psi-ignoring-global-statuses.diff]
  + добавлен новый патч - попытка исправить баг, в результате которого иногда самопроизвольно
    обнуляются accounts.xml и options.xml. при открытии файла явно указано о его обнулении.
    необходимо в случае если предыдущая запись в файл не была корректно завершена. после применения
    патча QTextStream и QFile закрываются явно. в случае QFile теперь проверяется не только наличие
    ошибок записи, но и ошибки при сбросе буферов перед закрытием файла (psi-safe-storage-fix.diff)
  * обновлён патч psi-ignoring-global-statuses.diff. опция перенесена из диалога настроек аккаунта
    в меню аккаунта
  * некоторые фиксы в отрисовке основного ростера и ростера конференции (psi-modern-roster.diff,
    psi-custom-icons-size.diff, psi-modern-muc-roster.diff)
  * небольшие исправления для growl-уведомлений (psiplus-new-popups.diff)
  * исправлена ошибка, приводившая к пустому потоку в tune-контроллере AIMP (psi-fix-tunes.diff)
  * исправлена работа с именами файлов в tune-контроллере AIMP (psi-fix-tunes.diff)
  * контроллер Winamp теперь генерирует правильный tune (psi-fix-tunes.diff)
  * исправлено определение времени в tune-контроллере AIMP (psi-fix-tunes.diff)
  + добавлен новый патч для исправления переоткрытия ростера в MAC OS X (решена задача 403,
    http://code.google.com/p/psi-dev/issues/detail?id=403)
    [scripts/macosx/patches/3050-psi-mac-dock-click.diff]
  * исправлена опечатка в тексте предупреждение при закрытии несохранённого скриншота (screenshot
    plugin, v0.6.2)
  * исправлен translate plugin (v0.4.2)
  * обновлён storage notes plugin до версии 0.1.8
  --
  * [upstream commit] psi: fixed random crash when closing discodlg
  + added new patch for fix several memory leaks in history of messages (search, navigation,
    exports) [psi-fix-memory-leak.diff]
  + added new patch for deny to remove accounts with unread events (closed issue 492,
    http://code.google.com/p/psi-dev/issues/detail?id=492)
    [psi-dont-remove-accounts-with-events.diff]
  + added mew patch for allows you to specify which accounts for the global settings will be
    ignored status. namely avtostatus, moods, activities, geolocation, the status of the main
    window, including the status text. an exception is made for the global offline - shut off all
    the accounts as usual (psi-ignoring-global-statuses.diff)
  + added new patch for try to fix a bug in which sometimes spontaneously reset accounts.xml and
    options.xml. when you open the file explicitly reset it. necessary if the previous record in
    the file has not been properly completed. after patch QTextStream and QFile closed explicitly.
    in the case of QFile is now checked for errors, not only writing, but when you reset the error
    buffer before you close the file (psi-safe-storage-fix.diff)
  * updated psi-ignoring-global-statuses.diff patch. option moved from the account settings dialog
    menu to the account context menu
  * some fixes for painting roster and muc roster (psi-modern-roster.diff,
    psi-custom-icons-size.diff, psi-modern-muc-roster.diff)
  * small fix for growl notifications (psiplus-new-popups.diff)
  * fixed empty tunes flood in AIMP controller (psi-fix-tunes.diff)
  * fixed work with filenames in AIMP tunecontroller (psi-fix-tunes.diff)
  * Winamp tunecontroller now can generate correct tune (psi-fix-tunes.diff)
  * fixed time detection in AIMP tunecontroller (psi-fix-tunes.diff)
  + added new patch for fix reopen roster when dock clicked on cocoa in MAC OS X (closed issue 403,
    http://code.google.com/p/psi-dev/issues/detail?id=403)
    [scripts/macosx/patches/3050-psi-mac-dock-click.diff]
  * fixed typo in screenshot plugin (v0.6.2)
  * fixed translate plugin (v0.4.2)
  * updated storage notes plugin to v0.1.8


2012-02-25  zet
v0.15.5225
  * [коммит в upstream] psi: теперь ошибка "Unable to retrieve your account information."
    не отображается для собственного вкарда при логине если опция
    "options.vcard.query-own-vcard-on-login" выключена
  * [коммит в upstream] psi: исправлен метод soundPlay(const QString &s) - при пустой строке в
    настройках звука теперь используется тишина (вместо проигрывания звука по умолчанию из системы)
  * [коммит в upstream] psi: добавлена возможность установить отдельный звук для подсвеченных
    сообщений из конференций (патч от команды Psi+)
  * исправлен патч psi-typeahead-find.diff
  * исправлен патч psi-chatview-quote-feature.diff
  ! рефакторинг всплывающих окон (попапов) - добавлена поддержка freedesktop.Notifications
    (только для *NIX), фиксы Growl-нотификаций (MAC OS X), прочие исправления и улучшения
    [psiplus-new-popups.diff, psi-extend-plugins-interface.diff]
  + добавлен новый патч на установку отдельного звука для подсвеченных сообщений из конференций
    (psi-sound-for-muc-messages.diff) [by smartly]
  * улучшения в dbus-попапах: теперь при закрытии попапов пользователем будет вызываться действие
    по умолчанию (psiplus-new-popups.diff)
  * некоторые исправления в стиле кода для новых попапов Psi+, исправлена возможная утечка памяти
    в попапах Psi+, добавлены новые advanced-опции
    "options.ui.notifications.passive-popups.suppress-while-dnd" и
    "options.ui.notifications.passive-popups.suppress-while-away" (psiplus-new-popups.diff)
  * добавлены подсказки для dbus-попапов (psiplus-new-popups.diff)
  * проверка статуса при показе попапов для всех типов попапов (psiplus-new-popups.diff,
    psi-extend-plugins-interface.diff)
  - убран патч psi-sound-for-muc-messages.diff -> принят в upstream
  * объединены патчи psi-muc-notify-highlight.diff и psiplus-new-popups.diff
  * улучшения в работе попапов для плагинного интерфейса (psiplus-new-popups.diff,
    psi-extend-plugins-interface.diff)
  * попытка исправить падение приложения при работе dbus-попапов (psiplus-new-popups.diff)
  * фиксы описаний в dbus-попапах, исправлена утечка памяти при работе попапов из конференций,
    теперь попапы из конференций кликабельны (psiplus-new-popups.diff)
  * убрана команда Block из меню на контакте конференции в ростере (решена задача 481,
    http://code.google.com/p/psi-dev/issues/detail?id=481) [psi-block-contact-from-menu.diff]
  * исправлен патч fixed psi-send-custom-status.diff (решена задача 489,
    http://code.google.com/p/psi-dev/issues/detail?id=489)
  * исправлена последовательность переключения между полями на странице настройки шаблонов статусов
    (решена задача 483, http://code.google.com/p/psi-dev/issues/detail?id=483)
    [psi-presets-in-status-menu.diff]
  + добавлен новый патч для поддержки отображения аватаров в попапах из конференций
    (psi-muc-avatars-at-popups.diff)
  * оптимизация плагинной системы. при отключении плагина его опция удаляется из попапов
    (имеется ввиду настройка интервала отображения)
  * больше переводимых строк в extended options plugin
  * обновлены updated attention plugin, birthday reminder plugin, client switcher plugin,
    extended menu plugin, gmail service plugin, pep change notify plugin, stop spam plugin,
    storage notes plugin
  * обновлён watcher plugin, некоторые фиксы для attention plugin и pep change notify plugin
  * исправлен client switcher plugin
  * исправлен и обновлён yandex narod plugin
  * исправлен regexp для omploader в screenshot plugin
  * обновлён video status plugin
  * исправлен патч scripts/macosx/patches/3030-psi-mac-sparkle.diff
  --
  * [upstream commit] psi: don't show 'Unable to retrieve your account information.' error for
    own vcard on login if 'options.vcard.query-own-vcard-on-login' was disabled
  * [upstream commit] psi: fix void soundPlay(const QString &s) method if s is empty string
  * [upstream commit] psi: add ability to set sound for muc highlightes (from Psi+ patch)
  * fixed psi-typeahead-find.diff patch
  * fixed psi-chatview-quote-feature.diff patch
  ! more works with popups - added freedesktop.Notifications (*NIX only), fixes for Growl
    notifications (MAC OS X), other fixes
    (psiplus-new-popups.diff, psi-extend-plugins-interface.diff)
  + added a new patch to be able to set a separate sound for messages from the conference
    (psi-sound-for-muc-messages.diff) [by smartly]
  * improved dbus popups: now when popup closes by user - default action will invoke
    (psiplus-new-popups.diff)
  * some fixes for codestyle of Psi+ popups, fixed possible memory leak in Psi+ popups, added
    options 'options.ui.notifications.passive-popups.suppress-while-dnd' and
    'options.ui.notifications.passive-popups.suppress-while-away' (psiplus-new-popups.diff)
  * added transient hint for dbus popups (psiplus-new-popups.diff)
  * do status check when show popups for all popup types
    (psiplus-new-popups.diff, psi-extend-plugins-interface.diff)
  - removed psi-sound-for-muc-messages.diff patch -> went to upstream
  * merged psi-muc-notify-highlight.diff and psiplus-new-popups.diff patches
  * improved popup plugin interface (psiplus-new-popups.diff, psi-extend-plugins-interface.diff)
  * try to fix crash on awesome with new dbus popups (psiplus-new-popups.diff)
  * fixed descriptions in dbus popups, fixed memory leak for groupchat popups, groupchat popups
    now can be clicked (psiplus-new-popups.diff)
  * dont block mucs (closed issue 481, http://code.google.com/p/psi-dev/issues/detail?id=481)
    [psi-block-contact-from-menu.diff]
  * fixed psi-send-custom-status.diff patch (closed issue 489,
    http://code.google.com/p/psi-dev/issues/detail?id=489)
  * fixed tabstop at opt_statusauto (closed issue 483,
    http://code.google.com/p/psi-dev/issues/detail?id=483) [psi-presets-in-status-menu.diff]
  + added avatars for muc popups (psi-muc-avatars-at-popups.diff)
  * optimization for the plugin system. if you disable the plugin, it removes the option of the
    popups (meaning set the display interval)
  * more translatable strings in extended options plugin
  * updated attention plugin, birthday reminder plugin, client switcher plugin,
    extended menu plugin, gmail service plugin, pep change notify plugin, stop spam plugin,
    storage notes plugin
  * updated watcher plugin, some fixes for attention plugin, pep change notify plugin
  * fixed client switcher plugin
  * fixed yandex narod plugin
  * fixed regexp for omploader in screenshot plugin
  * updated video status plugin
  * fixed scripts/macosx/patches/3030-psi-mac-sparkle.diff patch


2012-02-12  zet
v0.15.5195
  * [коммит в upstream] psi: исправлены лицензионные заголовки в файлах
  * [коммит в upstream] iris: исправлен адрес fsf
  - [коммит в upstream] psi: убраны пустые и ненужные файлы tune-контроллера
  * [коммит в upstream] psi: исправлен баг в ContactListView::rename()
  * changelog.txt теперь кодируется в UTF-8 with BOM
  - убран ненужный changelog_cp1251.txt
  * фиксы в патче fixed psi-send-xhtml-im.diff: убраны отступы, возникающие вследствии применения
    html-форматирования сообщений. не всегда удаётся разместить форматированное сообщение не с
    новой строки. например, если его вставить в строку ввода посредством Ctrl+ArrowUp. в этом
    случае формируется несколько \<p\> тегов
  * исправлен год в копирайте диалога "О программе"  (psiplus-aboutdlg.diff)
  * объединены некоторые патчи на всплывающие окошки (psiplus-new-popups.diff)
  * фиксы сдвига в патче psi-geolocation.diff
  * обновлён yandex narod plugin to v0.1.1
  * исправлен адрес fsf в файлах некоторых плагинов (client switcher plugin, gomoku game plugin)
  * исправлен stop spam plugin (v0.5.4)
  * обновлён video status plugin to v0.1.8
  * обновлён content downloader plugin to v0.2.2
  ! обновлены библиотеки qt до версии 4.8.0, http://labs.qt.nokia.com/2011/12/15/qt-4-8-0-released/
  ! обновлены библиотеки openssl до версии 1.0.0g, http://www.openssl.org/news/changelog.html
  ! обновлена русская локализация от ivan101, https://github.com/ivan101/psi-plus-ru (2011-12-26)
  --
  * [upstream commit] psi: fixed lincense headers
  * [upstream commit] iris: fixed fsf address
  - [upstream commit] psi: removed empty tune controller files
  * [upstream commit] psi: fix bug in ContactListView::rename()
  * changelog.txt now encoded in UTF-8 with BOM
  - removed useless changelog_cp1251.txt
  * fixed psi-send-xhtml-im.diff patch: unindented arise as a consequence of html formatted messages.
    it's not always possible to place the formatted message with a new line. for example, if you
    insert it into the input line by trl + ArrowUp. in this case, a few \<p\> tags
  * updated year in aboutdlg (psiplus-aboutdlg.diff)
  * merged some popup patches (psiplus-new-popups.diff)
  * fixed fuzz in psi-geolocation.diff patch
  * updated yandex narod plugin to v0.1.1
  * corrected fsf address for some Psi+ plugins (client switcher plugin, gomoku game plugin)
  * fixed stop spam plugin (v0.5.4)
  * updated video status plugin to v0.1.8
  * updated content downloader plugin to v0.2.2
  ! updated qt libs to version 4.8.0, http://labs.qt.nokia.com/2011/12/15/qt-4-8-0-released/
  ! updated openssl libs to version 1.0.0g, http://www.openssl.org/news/changelog.html
  ! updated russian localization by ivan101, https://github.com/ivan101/psi-plus-ru (2011-12-26)


2012-01-22  zet
v0.15.5185
  ! [коммит в upstream] обновление для iris
  ! [коммит в upstream] добавлен флаг OTHER_FILES в файл проекта psi.pro для удобства
  ! [коммит в upstream] исправлена работа dbus при старте приложения. устранено падение приложения
    при открытии приватного сообщения из конференции
  ! [коммит в upstream] улучшен механизм загрузки иконсетов при работе с ними в настройках
    приложения
  - убран патч psi-gcc-4.6-compatibility.diff -> принят в upstream
  * исправлен патч psi-muc-minimize-to-roster.diff - отображение разделителя неактивных сессий при
    сворачивании конференции в ростер
  * исправлен вылет Psi+ в случае когда список пользователей для чата был пуст. например, при
    попытке открытия чата с конференцией psi-dev, если сама конференция уже активна
    (psi-one-chat-for-many-resources.diff)
  * устранено падение приложения при деактивации в настройках приложения флажка выбора цвета
    дополнительного текста в чатах/конференциях (psi-webkit.diff)
  + добавлен новый смайлпак Android12x12.jisp
  * обновлён системный иконпак oxygen_sys.jisp (iconsets/system/oxygen_sys.jisp)
  * обновлены скины для Mac OSX
    (skins/mac/native_mac/NativeMac_tt.skn, skins/mac/native_mac/images/qcombobox.png)
  * обновлены системные иконпаки blacksys.jisp, whitesys.jisp
    (iconsets/system/blacksys.jisp, iconsets/system/whitesys.jisp)
  + добавлен новый ростерный иконпак mrim2012.jisp (iconsets/roster/mrim2012.jisp)
  * обновлён ростерный иконпак icq.jisp (iconsets/roster/icq.jisp)
  - убраны устаревшие ростерные иконпаки для mrim-транспорта
    (iconsets/roster/mrim2006.jisp, iconsets/roster/mrim2008.jisp)
  * win32 installer: экспериментально добавлена проверка на запущенный процесс "psi-plus.exe" при
    инсталляции/деинсталляции приложения (KillProc)
  --
  ! [upstream commit] iris: prefer null strings to empty
  ! [upstream commit] added OTHER_FILES to psi.pro for convenience
  ! [upstream commit] fixed dbus warning on start. fixed crash on opening muc private chat
  ! [upstream commit] improved loading of iconsets in options
  - removed psi-gcc-4.6-compatibility.diff patch -> went to upstream
  * fixed psi-muc-minimize-to-roster.diff patch - do trackbar when muc hidden to roster
  * fixed a bug that caused the crash, in some cases (psi-one-chat-for-many-resources.diff)
  * fixed crash on deactivating color checkbox of additional text (psi-webkit.diff)
  + added Android12x12.jisp emoticons iconset
  * updated oxygen_sys.jisp (iconsets/system/oxygen_sys.jisp)
  * updated mac skins
    (skins/mac/native_mac/NativeMac_tt.skn, skins/mac/native_mac/images/qcombobox.png)
  * updated blacksys.jisp, whitesys.jisp
    (iconsets/system/blacksys.jisp, iconsets/system/whitesys.jisp)
  + added mrim2012.jisp (iconsets/roster/mrim2012.jisp)
  * updated icq.jisp (iconsets/roster/icq.jisp)
  - removed ugly mrim iconsets (iconsets/roster/mrim2006.jisp, iconsets/roster/mrim2008.jisp)
  * win32 installer: added 'KillProcDLL::KillProc'


2011-12-25  zet
v0.15.5160
  ! [коммит в upstream] теперь по умолчанию всегда выключен горизонтальный скролл-бар
    в ростере конференции
  ! [коммит в upstream] исправлена регрессия в zlib.qcm
  - убран патч psi-fix-filetransfer.diff -> патч принят в upstream
  + добавлен новый патч для решения задачи 466, http://code.google.com/p/psi-dev/issues/detail?id=466
    (psi-send-file-when-drop-to-roster.diff)
  * обновлён патч psi-send-file-when-drop-to-roster.diff
  - убран патч psi-muc-roster-disable-horizontal-scrollbar.diff -> патч принят в upstream
  + добавлен новый патч, исправляющий работу таймера в eventdlg (psi-fix-timer-in-eventdlg.diff)
  * включение плагина на этапе старта приложения (если плагин был включен в настройках приложения)
    [psi-extend-plugins-interface.diff]
  * запрет блокировки самого себя в контекстном меню self-contact (psi-block-contact-from-menu.diff)
  + добавлен новый патч, исключающий возможность удаления собственного контакта (self-contact)
    [psi-fix-remove-action.diff]
  * больше строк для локализации (psi-one-chat-for-many-resources.diff)
  * исправлена отрисовка иконок в чатах webkit-версии (psi-webkit.diff)
  * исправлено падение приложения при попытке изменить роль/афиляцию вышедшему участнику
    конференции (psi-reasons-for-roles-affiliations.diff). решена задача 476,
    http://code.google.com/p/psi-dev/issues/detail?id=476
  * обновлён video status changer plugin (v0.1.7): добавлена поддержка определения полноэкранного
    режима для MS Windows, http://psi-plus.com/wiki/plugins#video_status_changer_plugin
  * обновлён extended options plugin до версии 0.3.6
  * обновлён gmail service plugin до версии 0.7.2
  ! в win32-инсталлятор добавлен video status changer plugin
  ! обновлена русская локализация от ivan101, https://github.com/ivan101/psi-plus-ru (2011-12-25)
  --
  ! [upstream commit] always off for muc roster's horizontal scrollbar
  ! [upstream commit] fixed regression in zlib.qcm
  - removed psi-fix-filetransfer.diff patch -> went to upstream
  + added a new patch to solve the issue 466, http://code.google.com/p/psi-dev/issues/detail?id=466
    (psi-send-file-when-drop-to-roster.diff)
  * updated psi-send-file-when-drop-to-roster.diff patch
  - removed psi-muc-roster-disable-horizontal-scrollbar.diff patch -> went to upstream
  + added new patch for fix timer in eventdlg (psi-fix-timer-in-eventdlg.diff)
  * enable new plugin if it enabled in options (psi-extend-plugins-interface.diff)
  * don't block yourself in self-contact context menu (psi-block-contact-from-menu.diff)
  + added a new patch for fix remove action in contacts menu (psi-fix-remove-action.diff)
  * updated messages for translate (psi-one-chat-for-many-resources.diff)
  * fixed icons drawing in webkit chat (psi-webkit.diff)
  * fixed psi-reasons-for-roles-affiliations.diff patch (solved the issue 476,
    http://code.google.com/p/psi-dev/issues/detail?id=476)
  * updated video status changer plugin (v0.1.7): added support for determining fullscreen mode
    for MS Windows, http://psi-plus.com/wiki/plugins#video_status_changer_plugin
  * updated extended options plugin to v0.3.6
  * updated gmail service plugin to v0.7.2
  ! win32 installer: added video status changer plugin
  ! updated russian localization by ivan101, https://github.com/ivan101/psi-plus-ru (2011-12-25)


2011-11-13  zet
v0.15.5145
  ! [коммит в upstream] исправлена работа при выборе способа передачи файлов (по приоритету)
  * некоторые исправления в контроллере MPRIS (psi-fix-tunes.diff)
  + добавлен детект клиента qip 2012 (psi-client-icons.diff)
  + добавлен новый патч на автостарт pgp-соединений. теперь будет автоматически стартовать в том
    случае, если контакту присвоен pgp-ключ. т.е. будет автостарт даже для оффлайн-контактов.
    используйте advanced-опцию "options.pgp.auto-start" для включения данной функции. также должна
    быть включена опция автовыбора ресурса при переписке с pgp-контактом (psi-autostart-pgp.diff)
  * ещё один фикс в контроллере MPRIS (psi-fix-tunes.diff)
  + добавлен новый патч для исправления механизма работы передачи файлов,
    http://code.google.com/p/psi-dev/issues/detail?id=464 (psi-fix-filetransfer.diff)
  * некоторые исправления в патче psi-autostart-pgp.diff
  * фикс патча psi-fix-filetransfer.diff
  - убраны некоторые патчи -> приняты в upstream:
     psi-selectable-application-version-in-aboutdlg.diff
     psi-fix-online-contacts-count.diff
     psi-disable-rename-of-general-group.diff
     psi-reset-not-complete-connection-on-status-change.diff
     psi-reset-selection-in-muc-roster.diff
     psi-sort-by-jid-at-discodlg.diff
     psi-fix-privates-group-in-roster.diff
  * обновлён video status plugin (v0.1.1): новый механизм работы с видеоплеерами (только для *nix)
  * обновлён captcha forms plugin до версии 0.1.0
  * обновлён yandex narod plugin до версии 0.1.0,
    http://psi-plus.com/wiki/plugins#yandex_narod_plugin
  * обновлён screenshot plugin до версии 0.6.2
  --
  ! [upstream commit] fixed choose filetransfer transport by priority
  * some fixes in MPRIS controller (psi-fix-tunes.diff)
  + added detection of qip 2012 client (psi-client-icons.diff)
  + added new patch for autostart pgp. use 'options.pgp.auto-start' for enable this feature. also
    you should start chat for some contact's resource or enable autojid option
    (psi-autostart-pgp.diff)
  * one more fix in MPRIS controller (psi-fix-tunes.diff)
  + added new patch for fix filetransfer, http://code.google.com/p/psi-dev/issues/detail?id=464
    (psi-fix-filetransfer.diff)
  * some fixes for psi-autostart-pgp.diff patch
  * fixed psi-fix-filetransfer.diff patch
  - removed some patches -> went to upstream (psi-selectable-application-version-in-aboutdlg.diff,
    psi-fix-online-contacts-count.diff, psi-disable-rename-of-general-group.diff)
  - removed more patches -> went to upstream
    (psi-reset-not-complete-connection-on-status-change.diff,
    psi-reset-selection-in-muc-roster.diff, psi-sort-by-jid-at-discodlg.diff)
  * removed psi-fix-privates-group-in-roster.diff patch -> went to upstream
  * updated video status plugin (v0.1.1): new mechanism of work with video players (*nix only)
  * updated captcha forms plugin to v0.1.0
  * updated yandex narod plugin to v0.1.0, http://psi-plus.com/wiki/plugins#yandex_narod_plugin
  * updated screenshot plugin to v0.6.2


2011-10-29  zet
v0.15.5130
  ! [коммит в upstream] исправлен возможное падение приложения в диалоге истории переписки
  ! [коммит в upstream] исправлено поведение при перезаходе в защищённую паролем конференцию после
    реконнекта ( http://code.google.com/p/psi-dev/issues/detail?id=461 )
  ! [коммит в upstream] исправлена некорректная работа меню настроек цвета (решена задача 
    http://code.google.com/p/psi-dev/issues/detail?id=436 )
  + добавлен новый патч для запрета на переименование основной группы ростера General
    (psi-disable-rename-of-general-group.diff)
  * исправлены некоторые патчи после комитта в upstream
    (psi-muc-minimize-to-roster.diff, psi-hide-muc-auto-join.diff)
  * некоторые улучшения в патче psi-always-visible-contacts.diff. теперь если контакту поставили
    метку "всегда виден", а потом этот контакт удалили, то метка "всегда виден" будет удаляться из
    опций
  * улучшения в патче psi-icon-actions-shortcuts.diff
    (psi-pep-toolbar-buttons.diff, psi-presets-in-status-menu.diff)
  * наведение порядка с горячими клавишами в приложении, 
    http://code.google.com/p/psi-dev/issues/detail?id=437 (psi-typeahead-find.diff,
    psi-pep-toolbar-buttons.diff, psi-presets-in-status-menu.diff,
    psi-active-contacts-tool-button.diff)
  * наведение порядка с горячими клавишами, часть 2 (psi-icon-actions-shortcuts.diff,
    psi-presets-in-status-menu.diff, psi-active-contacts-tool-button.diff)
  * обновлён client switcher plugin: скроллирование в диалоге настроек плагина (v0.0.11)
  + добавлен новый плагин -- Yandex Narod Plugin (портирован из qutIm plugin), подробнее -- 
    https://raw.github.com/psi-plus/plugins/master/generic/yandexnarodplugin/changelog.txt (v0.0.9)
  * обновлён history keeper plugin до версии 0.0.6
  * обновлён watcher plugin до версии 0.4.0
  * обновлён cleaner plugin до версии 0.3.1 (не забывайте делать резервные копии файлов профиля
    перед использованием чистильщика)
  --
  ! [upstream commit] fixed possible crash in historydlg
  ! [upstream commit] fixed rejoining to the password protected groupchat when reconnecting
    ( http://code.google.com/p/psi-dev/issues/detail?id=461 )
  ! [upstream commit] fixed color button in opt_appearance
    ( http://code.google.com/p/psi-dev/issues/detail?id=436 )
  ! [upstream commit] fixed QLabel CVE
  ! [upstream commit] fixed ui tab-stop compile warning
  + added new patch for disable renaming of general group (psi-disable-rename-of-general-group.diff)
  * fixed some patches after upstream commit
    (psi-muc-minimize-to-roster.diff, psi-hide-muc-auto-join.diff)
  * some improvements for psi-always-visible-contacts.diff patch
  * improved psi-icon-actions-shortcuts.diff patch
    (psi-pep-toolbar-buttons.diff, psi-presets-in-status-menu.diff)
  * improved some patches (add comments for shortcuts), 
    http://code.google.com/p/psi-dev/issues/detail?id=437 [psi-typeahead-find.diff,
    psi-pep-toolbar-buttons.diff, psi-presets-in-status-menu.diff,
    psi-active-contacts-tool-button.diff]
  * improved some patches (add comments for shortcuts), part 2 [psi-icon-actions-shortcuts.diff,
    psi-presets-in-status-menu.diff, psi-active-contacts-tool-button.diff]
  * updated client switcher plugin: added scrolling area (v0.0.11)
  + added new Psi+ Plugin -- Yandex Narod Plugin (ported from qutIm plugin), see at 
    https://raw.github.com/psi-plus/plugins/master/generic/yandexnarodplugin/changelog.txt (v0.0.9)
  * get rid of QTextCodec::setCodecForLocale() in plugins [birthdayreminderplugin, chessplugin,
    cleanerplugin, clientswitcherplugin, conferenceloggerplugin, extendedoptionsplugin,
    gomokugameplugin, skinsplugin, stopspamplugin]
  * updated history keeper plugin to v0.0.6
  * updated watcher plugin to v0.4.0
  * updated cleaner plugin to v0.3.1 (make backup of profile files before use the cleaner)


2011-10-02  zet
v0.15.5122
  * исправлено поведение патча psi-one-chat-for-many-resources.diff при наличии offline ресурса
    в списке: исправлено отображение статуса при переключении, удалено дублирование иконки клиента
    одного из активных ресурсов на неактивный (psi-one-chat-for-many-resources.diff)
  * исправлено исчезнование области уведомлений в ростере при использовании темы oxygen,
    http://api.kde.org/4.6-api/kdebase-workspace-apidocs/kstyles/html/classOxygen_1_1TransitionWidget.html theme
    (psi-fix-eventnotifier.diff)
  * некоторые исправления в патче на сохранение геометрии окон приложения
    (psi-save-windows-size.diff, psi-xmpp-uri-in-chat-mode.diff,
    psi-customize-dialogs-title-hint.diff, psi-muc-minimize-to-roster.diff,
    psiplus-decorate-windows.diff, psi-always-visible-contacts.diff)
  - убран патч psi-save-windows-size.diff -> принят в upstream
  ! обновлены библиотеки шифрования win32 openssl до версии 1.0.0e, подробнее --
    http://openssl.org/news/changelog.html
  ! обновлена русская локализация от ivan101, https://github.com/ivan101/psi-plus-ru (2011-09-24)
  --
    * fixed psi-one-chat-for-many-resources patch for offline resources
    (psi-one-chat-for-many-resources.diff)
  * fixed hiding event notifier for the oxygen theme (psi-fix-eventnotifier.diff)
  * some fixes for save-sizes patch (psi-save-windows-size.diff, psi-xmpp-uri-in-chat-mode.diff,
    psi-customize-dialogs-title-hint.diff, psi-muc-minimize-to-roster.diff,
    psiplus-decorate-windows.diff, psi-always-visible-contacts.diff)
  - removed psi-save-windows-size.diff patch -> went to upstream
  ! updated win32 openssl libs to v1.0.0e, http://openssl.org/news/changelog.html
  ! updated russian localization by ivan101, https://github.com/ivan101/psi-plus-ru (2011-09-24)


2011-09-11  zet
v0.15.5116
  - убран патч psi-proxy-settings-in-opt.diff -> принят в upstream
  * улучшения в патче на сохранение геометрии окон с чатами/табами приложения
    (psi-muc-minimize-to-roster.diff, psi-save-windows-size.diff)
  + запоминание размеров окна с историей переписки (psi-save-windows-size.diff)
  * фиксы в патче psi-one-chat-for-many-resources.diff -- исправлен показ пустого поля джида в
    привате конференции при открытии окна чата с сообщением в тот момент, когда отправитель уже
    вышел из конференции
  * исправлен патч для работы с менеджером прокси-сервера после коммитов в upstream
    (psi-extend-plugins-interface.diff)
  * подготовка патча на запоминание размеров окон с чатами/табами для отправки в upstream
    (psi-save-windows-size.diff)
  * исправлен патч psi-muc-roster-size-and-location.diff
  * исправлен патч psi-webkit.diff
  * исправлен патч на поведение окон с чатами/табами после предыдущего коммита
    (psiplus-decorate-windows.diff)
  ! обновлены системные библиотеки Qt до версии 4.7.4, подробнее --
    http://qt.gitorious.org/+qt-developers/qt/releases/blobs/v4.7.4/dist/changes-4.7.4
  --
  - removed psi-proxy-settings-in-opt.diff patch -> went to upstream
  * improved windows size saving (psi-muc-minimize-to-roster.diff, psi-save-windows-size.diff)
  + saved historydlg size in the same way as used for other widgets (psi-save-windows-size.diff)
  * small fix for psi-one-chat-for-many-resources.diff patch
  * fixed proxy manager after upstream commits (psi-extend-plugins-interface.diff)
  * prepare save-sizes patch for moving to upstream (psi-save-windows-size.diff)
  * fixed psi-muc-roster-size-and-location.diff patch
  * fixed psi-webkit.diff patch
  * fixed works with tabdlg after previous commit (psiplus-decorate-windows.diff)
  ! updated Qt libs to v4.7.4,
    http://qt.gitorious.org/+qt-developers/qt/releases/blobs/v4.7.4/dist/changes-4.7.4


2011-08-28  zet
v0.15.5106
  * изменена ссылка на файл version.txt для проверки наличия новых версий Psi+
    (psi-dirty-check.diff)
  + добавлен новый патч для исправления поведения области событий в ростере -- теперь можно скрывать
    тулбар, который содержит область уведомления, если кроме этой самой области нет других кнопок
    (psi-fix-eventnotifier.diff)
  * исправлено запоминание позиции ширины основного ростера и ростера конференции для режима
    "всё-в-одном-окне" (psi-all-in-one-window.diff, psi-improve-tray-tooltip.diff,
    psi-add-view-groups-to-tray-menu.diff, psiplus-more-compatibility-with-skinsplugin.diff,
    psi-pep-toolbar-buttons.diff, psi-roster-autohide.diff, psi-presets-in-status-menu.diff,
    psiplus-decorate-windows.diff, psi-one-chat-for-many-resources.diff,
    psi-active-contacts-tool-button.diff)
  * улучшения в патче psi-muc-roster-size-and-location.diff
  * исправлен патч psi-all-in-one-window.diff после предыдущего коммита, также исправлены некоторые
    другие патчи (psi-muc-roster-size-and-location.diff, psi-improve-tray-tooltip.diff,
    psi-minimize-chat-hotkey.diff, psiplus-decorate-windows.diff, psi-vert-splitter-position.diff,
    psi-modern-muc-roster.diff)
  * исправлено поведение при закрытии активного таба для режима "всё-в-одном-окне" (ранее по хоткею
    "Close the current window/tab" не закрывался таб, если он остался один)
    [psi-all-in-one-window.diff, psi-muc-minimize-to-roster.diff]
  * небольшой фикс в патче psi-hide-muc-auto-join.diff
  * небольшой фикс в патче psi-muc-roster-size-and-location.diff
  + добавлен новый патч для решения задачи 456,
    http://code.google.com/p/psi-dev/issues/detail?id=456
    (psi-selectable-application-version-in-aboutdlg.diff)
  * переписан патч на правильный подсчёт онлайн-контактов в ростере,
    http://code.google.com/p/psi-dev/issues/detail?id=455 (psi-fix-online-contacts-count.diff)
  * обновлён extended options plugin до версии 0.3.5
  --
  * changed urls for update checker (psi-dirty-check.diff)
  + added new patch for fix event notifier (psi-fix-eventnotifier.diff)
  * fixed splitter size saving and position when all-in-one (psi-all-in-one-window.diff,
    psi-improve-tray-tooltip.diff, psi-add-view-groups-to-tray-menu.diff,
    psiplus-more-compatibility-with-skinsplugin.diff, psi-pep-toolbar-buttons.diff,
    psi-roster-autohide.diff, psi-presets-in-status-menu.diff, psiplus-decorate-windows.diff,
    psi-one-chat-for-many-resources.diff, psi-active-contacts-tool-button.diff)
  * improved psi-muc-roster-size-and-location.diff patch
  * fixed psi-all-in-one-window.diff patch after last commit, fixed some patches
    (psi-muc-roster-size-and-location.diff, psi-improve-tray-tooltip.diff,
    psi-minimize-chat-hotkey.diff, psiplus-decorate-windows.diff, psi-vert-splitter-position.diff,
    psi-modern-muc-roster.diff)
  * fixed close action for current tab when all-in-one (psi-all-in-one-window.diff,
    psi-muc-minimize-to-roster.diff)
  * small fix for psi-hide-muc-auto-join.diff patch
  * small fix for psi-muc-roster-size-and-location.diff patch
  + added new patch for fix issue 456, http://code.google.com/p/psi-dev/issues/detail?id=456
    (psi-selectable-application-version-in-aboutdlg.diff)
  * fixed online-contacts-count patch and move in to work,
    http://code.google.com/p/psi-dev/issues/detail?id=455 (psi-fix-online-contacts-count.diff)
  * updated extended options plugin to v0.3.5


2011-08-21  zet
v0.15.5091
  + добавлен новый патч, добавляющий пункт "Выполнить команду" в контекстное меню на контакте
    в ростере конференции (psi-execute-command-in-muc-roster-menu.diff)
  + добавлен новый патч, добавляющий кнопку "Активные контакты" на панель кнопок ростера приложения.
    активные контакты -- это контакты, с которыми ведётся переписка в открытых или свёрнутых
    табах/чатах (при условии, что при сворачивании история текущего чата не уничтожается)
    [psi-active-contacts-tool-button.diff]
  + добавлен новый патч для отображения в чате специальной иконки при включенном pgp/gpg-шифровании
    (psi-pgp-chat-icons.diff)
  * теперь в списке активных контактов отображаются ники контактов (вместо jid)
    [psi-active-contacts-tool-button.diff]
  * исправлено отображение в чатах иконок уведомлений о доставке сообщений при включенном
    pgp/gpg-шифровании (psi-receipts.diff, psi-pgp-chat-icons.diff)
  * сохранение размеров окон приложения: полностью переписан патч psi-save-windows-size.diff
  * сохранение размеров окон приложения: убрана ненужная опция "remember-window-sizes"; некоторые
    улучшения и исправление в коде патча (psi-save-windows-size.diff)
  * улучшения в патче на активные контакты: добавлена соответствующая кнопка на панель инструментов
    в чатах; статусная иконка в списке активных контактов отображает текущий статус каждого из
    активных контактов (psi-active-contacts-tool-button.diff)
  + добавлен новый патч для решения задачи 450,
    http://code.google.com/p/psi-dev/issues/detail?id=450 (psi-fix-groupchat-options.diff)
  * исправления в патче psi-one-chat-for-many-resources.diff:
     * теперь иконки отображаются и для контактов-транспортов
     * теперь корректно отображаются статусные сообщения в чатах
     * если имеется только один jid в списке и нет иконки клиента (например, у неопределившегося
       клиента в привате конференции или если открыт чат с клиентом из оффлайна), то пустого места
       вместо иконки теперь не будет
     * если отключён autojid для чата, то сообщения о переключении ресурса не отображаются
    (psi-one-chat-for-many-resources.diff, psi-active-contacts-tool-button.diff)
  --
  + added new patch for adds ability execute command from popup menu on contact in muc roster
    (psi-execute-command-in-muc-roster-menu.diff)
  + added new patch for adds active contacts tool button in roster toolbar
    (psi-active-contacts-tool-button.diff)
  + added new patch for adds pgp/gpg notifications chat icons (psi-pgp-chat-icons.diff)
  * show nicks in active contacts menu (psi-active-contacts-tool-button.diff)
  * fixed receipts when pgp/gpg is enabled (psi-receipts.diff, psi-pgp-chat-icons.diff)
  * fixed saving windows sizes: rewritten psi-save-windows-size.diff patch
  * fixed saving windows sizes: removed useless stupid 'remember-window-sizes' option; some
    improvements and code cleanup (psi-save-windows-size.diff)
  * improved active-contacts patch: added action to chat toolbar; icons in popup menu now shows of
    current contacts status (psi-active-contacts-tool-button.diff)
  + added new patch for fix issue 450, http://code.google.com/p/psi-dev/issues/detail?id=450
    (psi-fix-groupchat-options.diff)
  * improved one-chat-for-many-resources patch: fixed display of icons clients show status messages
    and text on switching
    (psi-one-chat-for-many-resources.diff, psi-active-contacts-tool-button.diff)


2011-08-07  zet
v0.15.5074
  + добавлен новый патч для отображения причин изменения ролей/рангов в списках участников
    конференции (настройки комнаты) [psi-reasons-in-muc-config-dlg.diff]
  * обновлён автоджид-патч: добавлены более строгие правила для переключения между ресурсами при
    исходящих сообщениях, исправлено отображение джида в приватных чатах конференции
    (psi-one-chat-for-many-resources.diff)
  + добавлен новый патч для отображения аватарки собеседника в чатах с контактами ростера
    (psi-chat-avatar.diff)
  + добавлен новый патч с фиксами для информационных полей в vCard (fix-contact-info-dialog.diff)
  - убран патч fix-contact-info-dialog.diff -> патч принят в upstream
  + добавлен новый патч для решения задачи 446,
    http://code.google.com/p/psi-dev/issues/detail?id=446 (psi-fix-editing-roster-element.diff)
  - убран патч psi-fix-editing-roster-element.diff -> патч принят в upstream
  * оптимизация кода в патче psi-chat-avatar.diff
  * исправлено отображение аватарок во всплывающих подсказках на контактах конференции, имеющих
    спецсимволы в никах (psi-modern-muc-roster.diff)
  * решена задача 445, http://code.google.com/p/psi-dev/issues/detail?id=445
    (psi-muc-minimize-to-roster.diff)
  + добавлен новый патч, добавляющий возможность переименования списка приватности в
    редакторе списков приватности (psi-rename-privacy-list.diff)
  * обновлён extended options plugin до версии 0.3.4
  * обновлён client switcher plugin до версии 0.0.10
  * фиксы для translate plugin (v0.4.0)
  --
  + added new patch for show reasons in muc config dialog (psi-reasons-in-muc-config-dlg.diff)
  * changed autojid patch: added stricter rules on switching output messages, fixed display
    jid in private conference (psi-one-chat-for-many-resources.diff)
  + added new patch for show avatar in chatdlg (psi-chat-avatar.diff)
  + added new patch for several fixes to the infodlg (fix-contact-info-dialog.diff)
  - removed fix-contact-info-dialog.diff patch -> went to upstream
  + added new patch for fix error described in the issue 446,
    http://code.google.com/p/psi-dev/issues/detail?id=446 (psi-fix-editing-roster-element.diff)
  - removed psi-fix-editing-roster-element.diff patch -> went to upstream
  * code optimization for psi-chat-avatar.diff patch
  * fixed showing avatars in tooltips for muc contacts with special symbols in the nick
    (psi-modern-muc-roster.diff)
  * fixed issue 445, http://code.google.com/p/psi-dev/issues/detail?id=445
    (psi-muc-minimize-to-roster.diff)
  + added new patch for adds ability for rename privacy lists (psi-rename-privacy-list.diff)
  * updated extended options plugin to v0.3.4
  * updated client switcher plugin to v0.0.10
  * fixes for translate plugin (v0.4.0)


2011-07-17  zet
v0.15.5062
  + добавлен новый патч, добавляющий команду Unregister в меню на транспорте в service discovery
    (psi-action-unregister-in-discodlg.diff)
  + добавлен новый патч, позволяющий сортировать по алфавиту элементы в столбце jid в
    service discovery (psi-sort-by-jid-at-discodlg.diff)
  * обновлён патч psi-entity-time.diff: добавлена регистрация entity time в капсах
  + добавлен новый патч для поддержки XEP-0012: Last Activity. используйте advanced-опцию
    "options.service-discovery.last-activity" для включения/отключения данной функции. требуется
    рестарт приложения (psi-idle-server.diff)
  * фиксы сдвигов в некоторых патчах (psi-muc-topic-context-menu.diff, psi-idle-server.diff,
    psi-extend-plugins-interface.diff)
  * исправлен поиск и обнаружение тем в домашнем каталоге (psiplus-binary.diff)
  + добавлен новый патч для корректной отрисовки окна редактора правила в списках приватности при
    изменении размеров окна по вертикали и горизонтали (psi-privacy-rule-editor-dialog.diff)
  - убран патч psi-privacy-rule-editor-dialog.diff -> принят в upstream
  * обновлён gmail service plugin до версии 0.7.1
  * обновлён client switcher plugin до версии 0.0.9 -- изменён цвет подсвеченных слов при поиске
  * обновлён conference logger plugin до версии 0.2.0 -- изменён цвет подсвеченных слов при поиске
  * обновлён gomoku game plugin до версии 0.1.0
  --
  + added new patch to adds 'unregister' command in discodlg (psi-action-unregister-in-discodlg.diff)
  + added new patch to sort by jid in discodlg (psi-sort-by-jid-at-discodlg.diff)
  * updated psi-entity-time.diff patch: added entity time caps registration
  + added new patch to support of XEP-0012: Last Activity. use option
    'options.service-discovery.last-activity' for enabling or disabling. needs application restart
    (psi-idle-server.diff)
  * fix fuzzes for some patches (psi-muc-topic-context-menu.diff, psi-idle-server.diff,
    psi-extend-plugins-interface.diff)
  * fixed themes search at home folder (psiplus-binary.diff)
  + added new patch to correct privacy rule editor dialog resizing
    (psi-privacy-rule-editor-dialog.diff)
  - removed psi-privacy-rule-editor-dialog.diff patch -> went to upstream
  * updated gmail service plugin to v0.7.1
  * updated client switcher plugin to v0.0.9 -- changed highlighting color of the found text
  * updated conference logger plugin to v0.2.0 -- changed highlighting color of the found text
  * updated gomoku game plugin to v0.1.0


2011-07-10  zet
v0.15.5050
  * поправлен патч psi-fix-entity-time-in-vcard-for-muc-users.diff и объединён с патчем
    psi-entity-time.diff (deleted psi-fix-entity-time-in-vcard-for-muc-users.diff,
    modified psi-entity-time.diff)
  * исправлена ошибка с неудаляемым muc-контактом из основного ростера приложения после запроса
    vCard muc-контакта (psiplus-decorate-windows.diff, psi-hide-muc-auto-join.diff)
  + добавлен новый патч, автоматически добавляющий символ "_" к нику если выбранный ник уже занят
    на сервере для режима автовхода в конференции-закладки (psi-bookmark-nick-auto-comlition.diff)
  + добавлен новый патч для реализации импорта/экспорта списка конференций-закладок
    (psi-import-export-bookmarks.diff)
  + добавлен новый патч, исправляющий поведение всплывающих подсказок при поиске в ростере
    (http://code.google.com/p/psi-dev/issues/detail?id=432)
    [psi-fix-tooltip-when-searching-in-roster.diff]
  * фиксы в патче psi-muc-minimize-to-roster.diff: в некоторых ситуациях не работали уведомления
    для спрятанных табов (psi-muc-minimize-to-roster.diff)
  * разделён и модифицирован патч psi-action-line-edit-context-menu.diff
    (добавлен psi-action-line-edit-context-menu.diff, удалён psi-action-line-edit-context-menu.diff,
    добавлен psi-muc-topic-context-menu.diff)
  + добавлен новый патч, улучшающий работу с мини-командами в конференции. добавлены команды kick,
    ban, topic, leave, invite. для kick и ban выполняется автодополнение по табу как для списка
    ников, так и для ризонов. для topic - автодополняется до текущего топика. повторное нажатие
    хоткея (Ctrl+Space) закрывает режим мини-команд
    (http://code.google.com/p/psi-dev/issues/detail?id=22) [psi-improve-mini-comands.diff]
  * оптимизация в патче psi-action-line-edit-context-menu.diff
  - убран патч psi-action-line-edit-context-menu.diff -> принят в upstream
  * обновлён screenshot plugin до версии 0.6.0
  * обновлён gmail service plugin до версии 0.7.0
  --
  * fixed psi-fix-entity-time-in-vcard-for-muc-users.diff patch and merged with
    psi-entity-time.diff patch (deleted psi-fix-entity-time-in-vcard-for-muc-users.diff,
    modified psi-entity-time.diff)
  * fixed psi-hide-muc-auto-join.diff patch, fix fuzz (psiplus-decorate-windows.diff,
    psi-hide-muc-auto-join.diff)
  + added new patch to automatically append symbol '_' if nickname already used in groupchat
    when autojoin to bookmark (psi-bookmark-nick-auto-comlition.diff)
  + added new patch to adds ability import and export bookmarks (psi-import-export-bookmarks.diff)
  + added new patch to fix tooltip in contactlist when searching for someone
    (http://code.google.com/p/psi-dev/issues/detail?id=432)
    [psi-fix-tooltip-when-searching-in-roster.diff]
  * some fixes for psi-muc-minimize-to-roster.diff patch: alerting for hidden tabs was broken in
    some cases (psi-muc-minimize-to-roster.diff)
  * separated and modified psi-action-line-edit-context-menu.diff patch
    (added psi-action-line-edit-context-menu.diff, deleted psi-action-line-edit-context-menu.diff,
    added psi-muc-topic-context-menu.diff)
  + added new patch to improve mini commands system
    (http://code.google.com/p/psi-dev/issues/detail?id=22) [psi-improve-mini-comands.diff]
  * optimization for psi-action-line-edit-context-menu.diff patch
  - removed psi-action-line-edit-context-menu.diff patch -> went to upstream
  * updated screenshot plugin to v0.6.0
  * updated gmail service plugin to v0.7.0


2011-07-03  zet
v0.15.5031
  * попытка решить задачу 424, http://code.google.com/p/psi-dev/issues/detail?id=424
    (спасибо AvadoN) [psi-improve-adhoc-forms.diff]
  * imageplugin: добавлена возможность отправки картинок в общий чат конференции
  * исправлен патч psi-tab-status-icon.diff - баг со статусной иконкой в заголовке таба
  * улучшения в пачте psi-modern-muc-roster.diff - добавлено отображение аватаров во всплывающих
    подсказках на элементах ростера конференции
  + добавлен новый патч для возможности копирования ника участника конференции перетаскиванием
    в поле ввода (psi-fix-drag-contacts-in-muc-roster.diff)
  * улучшения в патче psi-modern-muc-roster.diff - добавлено отображение аватаров в приватных чатах
    конференции 
  * изменён размер аватара по умолчанию (24 пкс) [psi-modern-muc-roster.diff]
  * обновлён client switcher plugin до версии 0.0.8
  + добавлен новый патч для поддержки функции всегда видимых контактов (always visible contacts)
    в основном ростере приложения (psi-always-visible-contacts.diff)
  * решена задача 380, http://code.google.com/p/psi-dev/issues/detail?id=380 и задача 163,
    http://code.google.com/p/psi-dev/issues/detail?id=163 (psi-receipts.diff, psi-webkit.diff)
  * очистка кода от qt3-зависимостей (psi-muc-nickclick-chat.diff, psi-muc-minimize-to-roster.diff,
    psi-chatview-quote-feature.diff, psi-typed-history.diff, psi-send-button-context-menu.diff,
    psi-implements-iq-version-stuff-in-discodlg.diff, psi-typeahead-find.diff,
    psi-minimize-chat-hotkey.diff, psi-send-xhtml-im.diff)
  + добавлен новый патч для корректной работы виртуальных групп ростера с открытыми приватными
    чатами конференции (psi-fix-privates-group-in-roster.diff)
  * windows-инсталлятор: исправлено создание ярлыков для текущего пользователя,
    http://code.google.com/p/psi-dev/issues/detail?id=399#c7 (scripts/win32/psiplus-install.nsi)
  + добавлен новый патч, дающий возможность скрыть любую группу ростера (psi-hide-any-group.diff)
  + добавлен новый патч для более удобного выбора цветовых решений и раскраски различных элементов
    приложения в дополнительных настройках (Advanced Options) [psi-optionseditor-choose-color.diff]
  - убран патч psi-optionseditor-choose-color.diff -> принят в upstream
  + добавлен новый патч для показа иконки приложения на различных окнах при настройке приложения
    (psi-set-window-icons.diff)
  + добавлен новый патч для сокращения многострочных параметров в редакторе настроек приложения
    (psi-optionseditor-show-only-first-line.diff)
  - убран патч psi-less-warnings.diff -> принят в upstream
  * корректная прорисовка иконки приложения на отделённых окнах advanced-опций. также поправлено
    имя в заголовке окна (psi-set-window-icons.diff)
  + добавлен новый патч для решения задачи 155,
    http://code.google.com/p/psi-dev/issues/detail?id=155 (psi-custom-chat-window-caption.diff)
  + добавлен новый патч для надлежащего выделения элемента в ростере конференции
    (psi-mucroster-highlighted-text.diff)
  * патч psi-mucroster-highlighted-text.diff объединён с патчем psi-modern-muc-roster.diff
  + добавлен новый патч для возможности копирования jid'а конференции по нажатию правой кнопки мыши
    на поле с топиком конференции (psi-action-line-edit-context-menu.diff)
  * переписан патч psi-action-line-edit-context-menu.diff patch
  + добавлена возможность скрыть статусную иконку контакта в ростере конференции
    (psi-modern-muc-roster.diff)
  - убран патч psi-fix-contact-sorting-in-muc-roster.diff -> принят в upstream
  * фиксы в обработке tunes-событий (psi-fix-tunes.diff)
  * фиксы для PollingController (psi-fix-tunes.diff)
  * раздельная опция для настройки варианта сортировки контактов в ростере конференции
    (psi-modern-muc-roster.diff)
  + добавлен новый патч, добавляющий возможность указать причину при смене аффиляции и/или роли
    участника конференции. показ причины в общем чате конференции
    (psi-reasons-for-roles-affiliations.diff)
  + добавлен новый патч для поиска псимедии в любой директории с плагинами
    (psi-search-for-psimedia-in-all-plugins-dirs.diff)
  + добавлены иконки jabber-клиентов "smack-api" и "emess"
    (iconsets/clients/fingerprint-22.jisp, fingerprint.jisp)
  * добавлен детект новых jabber-клиентов (psi-client-icons.diff)
  * фикс отображения иконки окна с конференцией и иконки закладок в режиме без табов
    (psi-set-window-icons.diff)
  + добавлен новый патч, добавляющий фильтр при поиске в диалоге "Обзор сервисов" (discodlg)
    [psi-filter-in-discodlg.diff]
  + добавлен новый патч для предупреждения двойной посылки запроса disco#items при открытии диалога
    "Обзор сервисов" (psi-fix-sending-disco-items-request-twice.diff)
  * попытка фикса ошибки при работе с tune-фильтрами (psi-fix-tunes.diff)
  * теперь по умолчанию выключен автоматический запрос информации при открытии диалога
    "Обзор сервисов" (psi-default-application-settings.diff)
  + добавлен новый патч для фикса entity time при открытии vcard'ов участников конференции
    (psi-fix-entity-time-in-vcard-for-muc-users.diff)
  + добавлены иконки для поля со списком ресурсов контакта
    (iconsets/system/default/psiplus/autojid.png, autojid_en.png)
  * обновлён патч psi-one-chat-for-many-resources.diff
  ! обновлена русская локализация (psi-ru svn, r205, 2011-06-21)
  ! репозиторий проекта переехал из svn на git ( https://github.com/psi-plus )
  --
  * try to fix issue 424, http://code.google.com/p/psi-dev/issues/detail?id=424 (thanks to AvadoN)
    [psi-improve-adhoc-forms.diff]
  * imageplugin: added extremally useful muc button
  * fixed  psi-tab-status-icon.diff patch - Qwest's bug with muc tab status icon
  * improved psi-modern-muc-roster.diff patch - added avatars in tooltips and at main roster
  + added new patch for fix drag contacts in muc roster (psi-fix-drag-contacts-in-muc-roster.diff)
  * improved psi-modern-muc-roster.diff patch - added avatars for private chats dialogs
  * changed muc avatar default size (set to 24) [psi-modern-muc-roster.diff]
  * updated client switcher plugin to v0.0.8
  + added new patch for support the always visible contacts (psi-always-visible-contacts.diff)
  * fixed issue 380, http://code.google.com/p/psi-dev/issues/detail?id=380 and issue 163,
    http://code.google.com/p/psi-dev/issues/detail?id=163 (psi-receipts.diff, psi-webkit.diff)
  * more qt3 cleanup (psi-muc-nickclick-chat.diff, psi-muc-minimize-to-roster.diff,
    psi-chatview-quote-feature.diff, psi-typed-history.diff, psi-send-button-context-menu.diff,
    psi-implements-iq-version-stuff-in-discodlg.diff, psi-typeahead-find.diff,
    psi-minimize-chat-hotkey.diff, psi-send-xhtml-im.diff)
  + added new patch for fix roster group of private contacts (psi-fix-privates-group-in-roster.diff)
  * windows installer: fixed create shortcuts for all users,
    http://code.google.com/p/psi-dev/issues/detail?id=399#c7 (scripts/win32/psiplus-install.nsi)
  + added new patch for support of hiding any roster group (psi-hide-any-group.diff)
  + added new patch for provide a way for choosing color in Advanced Options
    (psi-optionseditor-choose-color.diff)
  - removed psi-optionseditor-choose-color.diff patch -> went to upstream
  + added new patch for showing options icon (psi-set-window-icons.diff)
  + added new patch for shorten multiline options in options editor
    (psi-optionseditor-show-only-first-line.diff)
  - removed psi-less-warnings.diff patch -> went to upstream
  * setup icons for many windows (psi-set-window-icons.diff)
  * set proper icon for detached Advanced. also corrected window name (psi-set-window-icons.diff)
  + added new patch for fix issue 155, http://code.google.com/p/psi-dev/issues/detail?id=155
    (psi-custom-chat-window-caption.diff)
  * more windows in set-window-icons (thanks to Hugin) [psi-set-window-icons.diff]
  + added new patch for proper highlighting text in muc roster (psi-mucroster-highlighted-text.diff)
  * merged mucroster-highlighted-text patch with modern-muc-roster patch
    (psi-modern-muc-roster.diff)
  + added new patch for copying conference jid by right click on topic
    (psi-action-line-edit-context-menu.diff)
  * rewritten psi-action-line-edit-context-menu.diff patch
  + added ability to hide status icons in muc roster (psi-modern-muc-roster.diff)
  - removed psi-fix-contact-sorting-in-muc-roster.diff patch -> went to upstream
  * some fixes in tunes processing (psi-fix-tunes.diff)
  * PollingController code fixes (psi-fix-tunes.diff)
  * use separated option for contact sort style in muc roster (psi-modern-muc-roster.diff)
  + added new patch for adds ability to set reason for affiliations and roles changes; show reasons
    in chatlog (psi-reasons-for-roles-affiliations.diff)
  + added new patch for searching psimedia in all plugins dirs
    (psi-search-for-psimedia-in-all-plugins-dirs.diff)
  + added 'smack-api' and 'emess' client icons
    (iconsets/clients/fingerprint-22.jisp, fingerprint.jisp)
  * updated client icons patch (psi-client-icons.diff)
  * start-chat icon for MUC window in no tabs mode. star icon for bookmark MUC window
    (psi-set-window-icons.diff)
  + added new patch for adds filter by jid in discodlg (psi-filter-in-discodlg.diff)
  * availability of some fields to the connected resource (psi-temp-show-caps.diff)
  + added new patch for preventing disco#items request sends twice when open discodlg
    (psi-fix-sending-disco-items-request-twice.diff)
  * try to fix bug in work with tune-filters (psi-fix-tunes.diff)
  * disabled automatically get disco info by default (psi-default-application-settings.diff)
  + added new patch for fix entity time on vcards for muc users
    (psi-fix-entity-time-in-vcard-for-muc-users.diff)
  + added autojid icons (iconsets/system/default/psiplus/autojid.png, autojid_en.png)
  * updated psi-one-chat-for-many-resources.diff patch
  ! updated russian localization (psi-ru svn, r205, 2011-06-21)
  ! project repository has moved from svn to git ( https://github.com/psi-plus )


2011-06-19  zet
v0.15.4062
  + добавлен детект некоторых jabber-клиентов: irssi-xmpp, weonlydo, kadu, ekg2, wtw
    (psi-client-icons.diff)
  * обновлены иконпаки с иконками клиентов (iconsets/clients/fingerprint-22.jisp, fingerprint.jisp)
  * фикс обработки css в редакторе шаблонов (psi-send-button-context-menu.diff)
  * psiplus-install.nsi: исправлена домашняя папка для ярлыков (scripts/win32/psiplus-install.nsi)
  * фиксы для патча psi-one-chat-for-many-resources.diff
  * исправлен шрифт в редакторе топика конференции (psi-muc-topic.diff)
  + добавлена возможность сортировки по статусу списка участников в ростере конференции
    (psi-fix-contact-sorting-in-muc-roster.diff)
  + добавлен новый патч для снижения количества предупреждений при компиляции Psi+
    (psi-less-warnings.diff)
  * меньше предупредений при компиляции Psi+ (psi-proxy-settings-in-opt.diff,
    psi-data-forms-media-element.diff, psi-webkit.diff, psi-receipts.diff, psi-entity-time.diff,
    psi-xmpp-uri-in-chat-mode.diff, psi-adhoc-leave-muc.diff, psi-typeahead-find.diff,
    psi-modern-roster.diff, psi-contact-manager.diff, psi-presets-in-status-menu.diff,
    psi-add-contact-from-chat-dialog.diff, psi-one-chat-for-many-resources.diff, psiplus-binary.diff)
  - убраны лишние "tr" из POPUP_OPTION_NAME (attention plugin, birthday reminder plugin,
    extended menu plugin, gmail service plugin, pep change notify plugin, stop spam plugin,
    watcher plugin)
  * меньше предупреждений при компиляции Psi+ (psi-muc-nickclick-chat.diff, psi-typed-history.diff,
    psi-typeahead-find.diff, psi-muc-minimize-to-roster.diff, psi-tray-act-bring-to-front.diff,
    psi-send-xhtml-im.diff, psi-workaround-adhoc-form-closes.diff, psi-auto-capitalizer.diff)
  * переписан патч psi-change-password-dialog.diff
  * исправлен патч psi-fix-contact-sorting-in-muc-roster.diff
  * переписан патч psi-tab-highlight-color.diff
  * поправлен стиль кода в патче psi-muc-nickclick-chat.diff (psi-muc-roster-size-and-location.diff,
    psi-chatview-quote-feature.diff)
  * объединены некоторые патчи для ростера конференции в один общий патч. добавлена поддержка
    отображения аватарок в ростере конференции. настройки ростера конференции осуществляются
    группой advanced-опций "options.ui.muc.userlist..." (psi-modern-muc-roster.diff,
    psi-presets-in-status-menu.diff, psi-extend-plugins-interface.diff)
  * некоторые фиксы в патче psi-modern-roster.diff (psi-muc-minimize-to-roster.diff,
    psi-modern-muc-roster.diff)
  * домашний каталог Psi+: поправлен стиль кода в HomeDirMigration. корректное копирование
    директорий с кэшем в Mac OSX и Linux (psiplus-binary.diff)
  * libpsibuild: force --libdir param (scripts/posix/libpsibuild.sh)
  + добавлен новый патч на создание и использование специального хранилища для аватарок
    (psi-filecache-for-avatars.diff)
  * libpsibuild: added PLUGINS_PREFIXES var, which is space separated list of prefixes like generic
    unix dev. by default its generic and updated later according to platform
    (scripts/posix/libpsibuild.sh)
  * исправлен патч psi-filecache-for-avatars.diff
  * обновлён патч psi-one-chat-for-many-resources.diff:
    добавлена advanced-опция "options.ui.chat.default-jid-mode-ignorelist", предназначенная
    для перечисления исключений в виде JID-ов, к которым не будет применяться новый режим работы
    убрана функция Qt::NoFocus из поля jid в виджете
  * поправлен скрипт compileallplugins.py (scripts/posix/compileallplugins.py)
  * обновлён extended options plugin до версии 0.3.3
  * content downloader plugin: поправлен стиль кода
  ! возвращена поддержка PsiMedia в версии для Mac OSX 10.6 (scripts/macosx/psibuild.command)
  * кнопка закладок в конференции: изменён метод activated -> triggered
    (psi-muc-bookmark-toolbar-button.diff)
  * фиксы в патче psi-modern-muc-roster.diff
  * небольшие изменения в редакторе геолокации (psi-geolocation.diff)
  * исправлен патч psi-fix-contact-sorting-style-option.diff
  + добавлен win32-скрипт make-psi-ru-lang-files.cmd (scripts/win32/make-psi-ru-lang-files.cmd)
  ! обновлена русская локализация (psi-ru svn, r201, 2011-06-18)
  --
  + added detection of some clients: irssi-xmpp, weonlydo, kadu, ekg2, wtw (psi-client-icons.diff)
  * updated fingerprint iconsets (iconsets/clients/fingerprint-22.jisp, fingerprint.jisp)
  * fixed css in template's editor dialog (psi-send-button-context-menu.diff)
  * psiplus-install.nsi: corrected home directory for shortcuts (scripts/win32/psiplus-install.nsi)
  * small fix to one-chat-for-many-resources patch (psi-one-chat-for-many-resources.diff)
  * fixed font setting in groupchat topic dialog (psi-muc-topic.diff)
  + add ability for sorting contacts in muc roster by status
    (psi-fix-contact-sorting-in-muc-roster.diff)
  + added new patch for less warnings (psi-less-warnings.diff)
  * less warnings (psi-proxy-settings-in-opt.diff, psi-data-forms-media-element.diff,
    psi-webkit.diff, psi-receipts.diff, psi-entity-time.diff, psi-xmpp-uri-in-chat-mode.diff,
    psi-adhoc-leave-muc.diff, psi-typeahead-find.diff, psi-modern-roster.diff,
    psi-contact-manager.diff, psi-presets-in-status-menu.diff, psi-add-contact-from-chat-dialog.diff,
    psi-one-chat-for-many-resources.diff, psiplus-binary.diff)
  - dropped useless tr from POPUP_OPTION_NAME (attention plugin, birthday reminder plugin,
    extended menu plugin, gmail service plugin, pep change notify plugin, stop spam plugin,
    watcher plugin)
  * less warnings (psi-muc-nickclick-chat.diff, psi-typed-history.diff, psi-typeahead-find.diff,
    psi-muc-minimize-to-roster.diff, psi-tray-act-bring-to-front.diff, psi-send-xhtml-im.diff,
    psi-workaround-adhoc-form-closes.diff, psi-auto-capitalizer.diff)
  * rewritten psi-change-password-dialog.diff patch
  * fixed psi-fix-contact-sorting-in-muc-roster.diff patch
  * rewritten psi-tab-highlight-color.diff patch
  * fixed codestyle for psi-muc-nickclick-chat.diff patch (psi-muc-roster-size-and-location.diff,
    psi-chatview-quote-feature.diff)
  * merged some muc roster patches into one new patch. added avatars in muc roster. use options
    'options.ui.muc.userlist...' for more muc-roster configure (psi-modern-muc-roster.diff,
    psi-presets-in-status-menu.diff, psi-extend-plugins-interface.diff)
  * some fixes for psi-modern-roster.diff patch (psi-muc-minimize-to-roster.diff,
    psi-modern-muc-roster.diff)
  * psiplus-binary patch. corrected codestyle of HomeDirMigration. copying cache for Mac OSX
    and Linux (psiplus-binary.diff)
  * libpsibuild: force --libdir param (scripts/posix/libpsibuild.sh)
  + added new patch for using filecache for cached avatars (psi-filecache-for-avatars.diff)
  * libpsibuild: added PLUGINS_PREFIXES var, which is space separated list of prefixes like generic
    unix dev. by default its generic and updated later according to platform
    (scripts/posix/libpsibuild.sh)
  * fixed psi-filecache-for-avatars.diff patch
  * updated psi-one-chat-for-many-resources patch:
    added 'options.ui.chat.default-jid-mode-ignorelist' option,
    removed Qt::NoFocus from jid address widget (psi-one-chat-for-many-resources.diff)
  * fixed compileallplugins.py (scripts/posix/compileallplugins.py)
  * updated extended options plugin to v0.3.3
  * content downloader plugin: corrected codestyle
  ! return PsiMedia on Mac OSX 10.6 (scripts/macosx/psibuild.command)
  * bookmark button: activated -> triggered (psi-muc-bookmark-toolbar-button.diff)
  * fixed regression in psi-modern-muc-roster.diff patch
  * modified geolocation dialog (psi-geolocation.diff)
  * fixed psi-fix-contact-sorting-style-option.diff patch
  + added make-psi-ru-lang-files.cmd win32 script (scripts/win32/make-psi-ru-lang-files.cmd)
  ! updated russian localization (psi-ru svn, r201, 2011-06-18)


2011-06-12  zet
v0.15.4018
  * локализация мастера импорта профиля (psiplus-binary.diff)
  ! исправлен скрипт psibuild.sh (для *nix-систем). настоятельно рекомендуется обновить
    данный скрипт вручную из svn, http://psi-dev.googlecode.com/svn/trunk/scripts/posix/psibuild.sh
  - убран патч psi-muc-leave-status.diff -> принят в upstream
  + добавлена лицензионная информация для менеджера контактов (psi-contact-manager.diff)
  * домашний каталог Psi+: корректное удаление пустых каталогов в хранилище старого профиля после
    завершения процесса импорта данных (psiplus-binary.diff)
  + добавлен новый патч для избавления кода Psi (в части ростера конференции) от qt3-зависимостей
    (psi-remove-qt3-from-muc-roster.patch)
  - убран патч psi-remove-qt3-from-muc-roster.patch -> принят в upstream
  * обновлён патч psi-avcalls-addons.diff: setProperty -> setData
  - убран патч psi-insert-nick-on-shift-plus-leftclick.diff -> принят в upstream
  * очистка кода от qt3-зависимостей (psi-roster-disable-scrollbar.diff,
    psi-muc-roster-disable-horizontal-scrollbar.diff)
  - убран патч psi-historydlg.diff -> принят в upstream
  + добавлен новый патч для исправления отображения названий групп в ростере конференции
    (psi-fix-group-header-drawing-in-muc-roster.diff)
  - windows-инсталлятор: из состава дистрибутива убрана ненужная библиотека Qt3Support4.dll
    (trunk/scripts/win32/psiplus-install.nsi)
  + добавлен новый патч для сброса фокуса курсора с контакта в ростере конференции после клика
    на пустой области ростера (psi-reset-selection-in-muc-roster.diff)
  + добавлен новый патч, сдвигающий вправо название группы в ростере конференции
    (psi-move-group-text-in-muc-roster-to-right.diff)
  * исправлен патч psi-mac-makefile.diff и скрипт psibuild.command для Mac OSX
    (trunk/scripts/macosx/patches/3020-psi-mac-Makefile.diff, trunk/scripts/macosx/psibuild.command)
  + добавлен новый патч, который добавляет кнопку "Save" в редактор причин для кика/бана
    (psi-save-button-for-muc-kickban-reasons.diff)
  * некоторые исправления поведения ростера Psi+ при включенной опции "автоматически изменять
    высоту ростера" (psi-fix-roster-autoresize.diff)
  + добавлен новый патч, позволяющий вести чат с контактом в одном окне/табе независимо от
    имени ресурса. поведение управляется advanced-опцией "options.ui.chat.default-jid-mode",
    которая может принимать значения " barejid" и "auto". подробнее --
    http://forum.psi-plus.com/viewtopic.php?f=8&t=40 (psi-one-chat-for-many-resources.diff)
  * решена задача 431, http://code.google.com/p/psi-dev/issues/detail?id=431
    (psi-muc-minimize-to-roster.diff)
  + добавлен новый патч, исправляющий сортировку контактов в ростере конференции
    (psi-fix-contact-sorting-in-muc-roster.diff)
  * домашний каталог Psi+:  фикс для HomedirMigration::exec (psiplus-binary.diff)
  * исправлена ссылка на форум Psi+ в меню Help -> Psi+ Forum (psiplus-join-to-support-muc.diff)
  * обновлён skins plugin до версии 0.3.2
  * массированное обновление скина/темы LunnaCat (v1.1)
  * попытка детекта jabber-клииента LeechCraft (psi-client-icons.diff)
  * исправлен детект клиента SIP Communicator (Jitsi). спасибо Qwеst (psi-client-icons.diff)
  ! обновлена русская локализация от ivan101 (psi-ru svn, r198, 2011-06-10)
  --
  * translate migration manager (psiplus-binary.diff)
  ! fixed psibuild.sh. its highly recommended to update this script manually
    (trunk/scripts/posix/psibuild.sh)
  - removed psi-muc-leave-status.diff patch -> went to upstream
  + added license to contact manager (psi-contact-manager.diff)
  * psiplus-binary patch. proper removing of empty folders (psiplus-binary.diff)
  + added new patch for get rid of qt3 dependence in muc roster
    (psi-remove-qt3-from-muc-roster.patch)
  - removed psi-remove-qt3-from-muc-roster.patch -> went to upstream
  * updated psi-avcalls-addons.diff patch: setProperty -> setData
  - removed psi-insert-nick-on-shift-plus-leftclick.diff patch -> went to upstream
  * more qt3 cleanup (psi-roster-disable-scrollbar.diff,
    psi-muc-roster-disable-horizontal-scrollbar.diff)
  - removed psi-historydlg.diff patch -> went to upstream
  + added new patch for fix of groups drawing in muc roster
    (psi-fix-group-header-drawing-in-muc-roster.diff)
  - windows installer: removed useless Qt3Support4.dll (trunk/scripts/win32/psiplus-install.nsi)
  + added new patch for reset selection in muc roster when clicking at free space
    (psi-reset-selection-in-muc-roster.diff)
  + added new patch for move groups text in muc roster to the right
    (psi-move-group-text-in-muc-roster-to-right.diff)
  * fixed psi-mac-makefile.diff patch and psibuild.command
    (trunk/scripts/macosx/patches/3020-psi-mac-Makefile.diff, trunk/scripts/macosx/psibuild.command)
  + added new patch for adds save button for muc kick and ban reasons
    (psi-save-button-for-muc-kickban-reasons.diff)
  * some fixes for roster autoresize feature (psi-fix-roster-autoresize.diff)
  + added new patch that allows to chat with contact in one window/tab regardless of
    resource name. behavior is controlled by advanced option 'options.ui.chat.default-jid-mode'
    which can take values 'barejid' and 'auto'. more information at
    http://forum.psi-plus.com/viewtopic.php?f=8&t=40 (psi-one-chat-for-many-resources.diff)
  * fixed issue 431, http://code.google.com/p/psi-dev/issues/detail?id=431
    (psi-muc-minimize-to-roster.diff)
  + added new patch for fix contact sorting in muc roster
    (psi-fix-contact-sorting-in-muc-roster.diff)
  * psiplus-binary patch. fixed returning from HomedirMigration::exec (psiplus-binary.diff)
  * updated Psi+ Forum url (psiplus-join-to-support-muc.diff)
  * updated skins plugin to v0.3.2
  * massive update of LunnaCat Skin/Theme (v1.1)
  * update for LeechCraft detection (psi-client-icons.diff)
  * SIP Communicator was renamed to Jitsi and we detect it. thanks to Qwеst (psi-client-icons.diff)
  ! updated russian localization by ivan101 (psi-ru svn, r198, 2011-06-10)


2011-06-05  zet
v0.15.3969
  ! переписан патч psiplus-binary.diff. теперь все данные профиля Psi+ (настройки,
    история переписки, логи, аватары и пр.) хранятся в домашнем каталоге пользователя (в Mac OSX
    для хранения настроек и данных используется каталог "~/Library/Application Support/Psi+", для
    хранения кэша используется каталог "~/Library/Caches/Psi+"; в Windows для хранения любых файлов
    используется папка "%appdata%\Psi+"). также была изменена системная переменная -- вместо
    "PSIDATADIR" теперь используется переменная "PSIPLUSDATADIR"). будьте бдительны при запуске и
    работе мастера импорта данных и внимательно читайте всплывающие подсказки мастера импорта
    [psiplus-binary.diff]
  * обновлён патч psiplus-nix-application-icon-and-name.diff. теперь используется иконка Psi+
    вместо устаревшей иконки Psi Plus
  * инсталлятор Psi+: попытка решить проблему первого запуска Psi+ от имени пользователя
    без прав администратора в ОС Windows 7 (psiplus-install.nsi)
    [trunk/scripts/win32/psiplus-install.nsi]
  * wiki: добавлена информация о форуме Psi+, http://forum.psi-plus.com/
  * обновлён video status plugin (актуально только для *nix-систем)
  + добавлена новая опция "options.muc.leave-status-message" для установки статусного сообщения
    при выходе из конференции (psi-presets-in-status-menu.diff)
  * обновлены некоторые плагины для совместимости с новым домашним каталогом Psi+ (juick plugin,
    stop spam plugin, cleaner plugin, skins plugin, client switcher plugin, content downloader plugin)
  * домашний каталог Psi+: возможность копирования и удаления скрытых файлов и папок
    (psiplus-binary.diff)
  * домашний каталог Psi+: создание папки для данных (если не существует) [psiplus-binary.diff]
  * домашний каталог Psi+: в Linux вместо каталога "~/.local/share/data" используется каталог
    "~/.local/share" (psiplus-binary.diff)
  * домашний каталог Psi+: фикс пути для установки плагинов (вместо каталога
    "~/.local/share/data/Psi+/plugins" используется каталог "~/.local/share/Psi+/plugins")
    [psiplus-binary.diff]
  * исправлено цитирование в диалоговых окнах juick plugin (psi-chatview-quote-feature.diff)
  + добавлена новая команда "Paste As Quotation" для контекстного меню в поле ввода сообщения
    (psi-chatview-quote-feature.diff, psi-auto-capitalizer.diff)
  * домашний каталог Psi+: небольшие исправления для всплывающих подсказок в мастере импорта
    (psiplus-binary.diff)
  * обновлён screenshot plugin до версии 0.5.9 (настройки авторизации на некоторых хостингах можно
    найти здесь: http://code.google.com/p/qscreenshot/wiki/Authorization)
  * домашний каталог Psi+: фикс отображения пути в диалоге при удалении профиля Psi+ в Windows
    (psiplus-binary.diff)
  * домашний каталог Psi+: копируются только те файлы, которые доступны для копирования и удаляются
    только те файлы, которые разрешено удалять (psiplus-binary.diff)
  * попытка исправить поведение ростера при включенной опции "автоматически изменять высоту ростера"
    в Windows (psi-fix-roster-autoresize.diff)
  * домашний каталог Psi+: корректная работа с каталогом данных в Mac OSX (psiplus-binary.diff)
  * gomoku game plugin: добавлена информация о лицензиях
  * gomoku game plugin: исправлена опечатка в меню (issue #429,
    http://code.google.com/p/psi-dev/issues/detail?id=429)
  ! в дистрибутив инсталлятора под Windows добавлена русская локализация от taurus
    (основана на локализации от ivan101)
  --
  ! rewritten psiplus-binary.diff patch. at now all profile data of Psi+ (settings, history, logs,
    avatars, etc.) are stored in the user's home directory (on Mac OSX for store the settings and
    data using '~/Library/Application Support/Psi+' directory, for cache storage using
    '~/Library/Caches/Psi+' directory; on Windows for store of any files types using
    '%appdata%\Psi+' folder). also changed a system variable for Psi+. at now used 'PSIPLUSDATADIR'
    instead of 'PSIDATADIR'). be careful when you run the Import Wizard and carefully read the
    tooltips of the Import Wizard [psiplus-binary.diff].
  * updated psiplus-nix-application-icon-and-name.diff patch. use Psi+ icon name instead ugly
    Psi Plus
  * psiplus-install.nsi: workaround for first start under win7
    (trunk/scripts/win32/psiplus-install.nsi)
  * wiki: added information about Psi+ Forum, http://forum.psi-plus.com/
  * updated video status plugin (*nix only). added status setting timer to plugin
  * updated psi-presets-in-status-menu.diff patch. added 'options.muc.leave-status-message' option
  * rewritten psiplus-binary patch. added new appHomeDir (psiplus-binary.diff)
  * updated juick plugin, stop spam plugin, cleaner plugin, skins plugin, client switcher plugin
    and content downloader plugin to compile with new appHomeDir
  * psiplus-binary patch. copy and remove hidden files and folders (psiplus-binary.diff)
  * psiplus-binary patch. preventing from all profile dirs (psiplus-binary.diff)
  * psiplus-binary patch. creating data dir if not exist (psiplus-binary.diff)
  * psiplus-binary patch. use ~/.local/share insted ~/.local/share/data on Linux
    (psiplus-binary.diff)
  * psiplus-binary. fixed plugins install path. ~/.local/share/data/Psi+/plugins =>
    ~/.local/share/Psi+/plugins (psiplus-binary.diff)
  + added new psimedia patch (psimedia-drop-v4lsrc-gst-plugin.diff)
  * trying to fix quoting for juick plugin (psi-chatview-quote-feature.diff)
  + added new 'Paste As Quotation' option in context menu of ChatEdit
    (psi-chatview-quote-feature.diff, psi-auto-capitalizer.diff)
  * psiplus-binary patch. corrected tooltips (psiplus-binary.diff)
  * updated screenshot plugin to v0.5.9 (authorization settings for some hosting services can be
    found here: http://code.google.com/p/qscreenshot/wiki/Authorization)
  * psiplus-binary patch. fixed showing paths when delete profile on Windows (psiplus-binary.diff)
  * corrected FSF address for homedirmigration (psiplus-binary.diff)
  * psiplus-binary patch. fixed copying and removing of hidden files and folders
    (psiplus-binary.diff)
  * psiplus-binary patch. copying only for readable file and removing only for writable files
    (psiplus-binary.diff)
  * fixed roster autoresize for OS Windows (psi-fix-roster-autoresize.diff)
  * psiplus-binary patch. corrected dataDir for Mac OSX (psiplus-binary.diff)
  * gomoku game plugin: added license block
  * gomoku game plugin: fix typing error in window menu (issue #429,
    http://code.google.com/p/psi-dev/issues/detail?id=429)
  ! Psi+ Windows Installer: added russian localization by taurus (based on localization by ivan101)


2011-05-22  zet
v0.15.3910
  + добавлен новый патч, исправляющий поведение анимации вновь подключившихся контактов в ростере
    (psi-fix-online-contacts-animation.diff)
  * исправлен screenshot plugin (v0.5.6)
  + добавлен новый патч, исправляющий работу авторесайза размера ростера по высоте (при включении
    соответствующей опции в настройках приложения) [psi-fix-roster-autoresize.diff]
  * обновлён storage notes plugin до версии 0.1.6
  * обновлён патч psi-fix-tunes.diff. добавлена поддержка работы контроллера PsiFile с QCA::FileWatch
  * исправлена работа gomoku game plugin (v0.0.8)
  * обновлены регулярные выражения для правильного детекта иконок конференций/комнат
    (psi-add-standard-transports.diff)
  * исправлена утечка памяти в парсере сообщений (psi-receipts.diff)
  * некоторые исправления и фикс утечки памяти в патче psi-muc-minimize-to-roster.diff
  + добавлен новый патч, исправляющий поведение всплывающих окон (psi-fix-popups.diff)
  * обновлён патч psi-fix-tunes.diff. убран ненужный плагин xmms и мусор в файлах psifilecontroller
  + добавлен новый патч, исправляющий отображение иконки зашифрованного соединения в ростере
    (psi-fix-pgp-icon-in-roster.diff)
  * обновлён extended menu plugin до версии 0.1.0
  * меньше предупреждений при при компиляции Psi+ (psi-fix-online-contacts-animation.diff)
  + добавлен новый патч для запоминания ключа pgp-шифрования при рестарте приложения. примечание:
    не для параноиков! :) [psi-remember-pgp-key.diff]
  * рефакторинг в патче psi-muc-minimize-to-roster.diff. возможна регрессия, требуется много тестов
    [psi-muc-minimize-to-roster.diff]
  * некоторые фиксы в патче psi-hide-muc-auto-join.diff
  * временный фикс в патче psi-save-maximized-window-state.diff
  + добавлен новый патч для отключения функции переключения между табами по комбинации "alt+n"
    (psi-disable-alt-n-switch-tabs.diff)
  ! запущен форум Psi+, http://forum.psi-plus.com/ (спасибо diSabler). добро пожаловать! :)
  --
  + added new patch for fix animation of roster contacts (psi-fix-online-contacts-animation.diff)
  * fixed screenshot plugin (v0.5.6)
  + added new patch for fix roster autoresize (psi-fix-roster-autoresize.diff)
  * updated storage notes plugin to v0.1.6
  * updated psi-fix-tunes.diff patch. added PsiFile controller work with QCA::FileWatch
  * fixed gomoku game plugin (v0.0.8)
  * updated regexp for groupchats (psi-add-standard-transports.diff)
  * fixed memory leak in message receipts (psi-receipts.diff)
  * some fixes for psi-muc-minimize-to-roster.diff patch
  + added new patch for fix popups (psi-fix-popups.diff)
  * updated psi-fix-tunes.diff patch. removed useless xmms plugin and psifilecontroller files
  + added new patch for fix pgp incrypted connection icon in roster (psi-fix-pgp-icon-in-roster.diff)
  * updated extended menu plugin to v0.1.0
  * less warnings for psi-fix-online-contacts-animation.diff patch
  + added new patch for remember pgp key. not for paranoids :) [psi-remember-pgp-key.diff]
  * refactoring for psi-muc-minimize-to-roster.diff patch. regressions are possible, needed
    many tests :) [psi-muc-minimize-to-roster.diff]
  * some fixes for psi-hide-muc-auto-join.diff patch
  * fixed pgp icon in roster (psi-fix-pgp-icon-in-roster.diff)
  * temporary fix for psi-save-maximized-window-state.diff patch
  + added new patch for disable alt+n switching tabs (psi-disable-alt-n-switch-tabs.diff)
  ! launched Psi+ Forum, http://forum.psi-plus.com/ (thanks to diSabler). welcome! :)


2011-05-09  zet
v0.15.3861
  * исправлена работа gmail service plugin (v0.6.9)
  + добавлен новый tune-контроллер. теперь оба tune-контроллера (старый и новый) могут работать
    вместе. модуль "psifilecontroller" более не нужен (psi-fix-tunes.diff)
  * скрипт сборки psibuild теперь полностью совместим с FreeBSD
    (trunk/scripts/posix/libpsibuild.sh, psibuild.sh)
  + добавлен новый патч для возможности компиляции Psi+ в системах без поддержки sslv2
    (psi-qca-no-ossl2.diff)
  - убрана метка "Beta" из полного номера версии Psi+ (psiplus-application-info.diff)
  - убран патч psi-qca-no-ossl2.diff -> принят в upstream
  + добавлен новый патч для поддержки новой advanced-опции "options.ui.chat.auto-scroll-to-bottom",
    которая позволяет отключить автоматическое скроллирование (автофокус) чатлога к самому свежему
    (нижнему) отправленному сообщению (psi-disable-auto-scroll-to-bottom.diff)
  * обновления безопасности в некоторых плагинах (attention plugin, autoreply plugin,
    captcha forms plugin, chess plugin, extended menu plugin, storage notes plugin)
  * обновлён screenshot plugin до версии 0.5.5
  ! обновлена русская локализация от ivan101 (psi-ru svn, r195, 2011-05-08)
  --
  * fixed gmail service plugin (v0.6.9)
  + added new psifiletunecontroller. at now works new and old controllers together.
    psifilecontroller module is no longer needed (psi-fix-tunes.diff)
  * psibuild is now fully compatible with FreeBSD (trunk/scripts/posix/libpsibuild.sh, psibuild.sh)
  + added new patch psi-qca-no-ossl2.diff (openssl 1.0 not support ssl2)
  - removed 'Beta' from version name (psiplus-application-info.diff)
  - removed psi-qca-no-ossl2.diff patch -> went to upstream
  + added new patch for adds option options.ui.chat.auto-scroll-to-bottom
    (psi-disable-auto-scroll-to-bottom.diff)
  * security updates for some plugins (attention plugin, autoreply plugin, captcha forms plugin,
    chess plugin, extended menu plugin, storage notes plugin)
  * updated screenshot plugin to v0.5.5
  * psibuild is now fully compatible with FreeBSD (scripts/posix/libpsibuild.sh, psibuild.sh)
  ! updated russian localization by ivan101 (psi-ru svn, r195, 2011-05-08)


2011-04-21  zet
v0.15.3800 Beta
  * обновлён gmail service plugin до версии 0.6.8
  * обновления для шаблонов - добавлены подменю и разделители (psi-send-button-context-menu.diff)
  + добавлена новая иконка Print (Печать) в патч psi-iconsets.diff, теперь screenshot plugin
    использует данную иконку для команды вывода скриншота на печать
  + добавлен новый патч для деактивации вызова рисовальной доски из тулбара и из меню в приватах
    конференций (не работает в текущей реализации) [psi-remove-whiteboard-action-from-groupchat.diff]
  * исправлена обработка pep-событий (спасибо Hugin) [psi-fix-pep-retraction.diff]
  * поправлен патч psi-extend-plugins-interface.diff
  * исправлен chess plugin (v0.2.5)
  * исправлен патч psi-muc-notify-highlight.diff. теперь хайлайт в конференциях не будет работать
    для пользователей со статусом "dnd" ("занят")
  * обновлён gomoku game plugin до версии 0.0.7
  * переписан и значительно расширен функционал screenshot plugin (v0.5.3)
  * решена задача 422, http://code.google.com/p/psi-dev/issues/detail?id=422
    (psi-roster-avatar-frame.diff)
  --
  * updated gmail service plugin to v0.6.8
  * updated for templates - the submenu and separators are added (psi-send-button-context-menu.diff)
  + added print icon to psi-iconsets.diff patch, fix screenshotplugin for use this icon
  + added new patch for remove whiteboard action from toolbar and menu in groupchat cos
    it doesnt work (psi-remove-whiteboard-action-from-groupchat.diff)
  * fixed pep retraction by Hugin (psi-fix-pep-retraction.diff)
  * small fix for psi-extend-plugins-interface.diff patch
  * fixed chess plugin (v0.2.5)
  * fixed psi-muc-notify-highlight.diff patch. now highlights from mucs are disabled when
    status is dnd
  * updated gomoku game plugin to v0.0.7
  * rewritten screenshot plugin (v0.5.3)
  * workaround to fix issue 422, http://code.google.com/p/psi-dev/issues/detail?id=422
    (psi-roster-avatar-frame.diff)


2011-03-08  zet
v0.15.3755 Beta
  + добавлен новый плагин - jabber disk plugin (v0.0.3), подробнее -
    http://psi-plus.com/wiki/plugins#jabber_disk_plugin
  * обновлён client switcher plugin до версии 0.0.6
  * улучшен патч для рисовальной доски и перемещён в рабочий каталог с патчами. добавлен ключ
    "--enable-whiteboarding" для конфигурирования проекта перед сборкой, другие графические
    улучшения в интерфейсе (psi-wb.diff)
  - убран патч для рисовальной доски -> принят в upstream (psi-wb.diff)
  - убран патч для псимедии asterisk-hack-skip-connection-negotiation-check.diff - данный патч
    больше не нужен, т.к. он, по мнению автора патчей для псимедии Z_God, приводит к аварийной
    ситуации с падением приложения "ASSERT: "!iceA_status.channelsReady[index]" in file
    avcall/jinglertp.cpp, line 1368" в билдах PPA в Ubuntu (у Z_God не воспроизводится данная
    ошибка на его собственной сборке). процедура установления соединения может стать немного
    медленее, чем это было до этого
  * фикс устаревшего метода использования Jid::setResource в патче
    psi-add-bookmarks-to-join-conference-dlg.diff
  * фикс устаревшего метода использования Jid::userHost в патче psi-block-contact-from-menu.diff
  * фикс устаревшего метода использования Jid::setDomain в патче psi-muc-notify-highlight.diff
  + добавлен новый патч для очистки кода диалога передачи файлов от устаревших методов qt3
    (psi-filetransdlg-to-qt4.diff)
  * объединены патчи psi-improve-filetransfer-dialog.diff и psi-filetransdlg-to-qt4.diff
  * небольшие исправления в патче psi-improve-filetransfer-dialog.diff
  * исправлена возможная утечка памяти в патче psi-extend-plugins-interface.diff
  - убран патч psi-improve-filetransfer-dialog.diff -> принят в upstream
  ! обновлены системные библиотеки Qt до версии 4.7.2, подробнее -
    http://qt.nokia.com/developer/changes/changes-4.7.2
  ! обновлены библиотеки win32 openssl до версии 0.9.8r, подробнее -
    http://cvs.openssl.org/getfile?f=openssl/CHANGES&v=OpenSSL_0_9_8r
  --
  + added new plugin - jabber disk plugin (v0.0.3),
    http://psi-plus.com/wiki/plugins#jabber_disk_plugin
  * updated client switcher plugin to v0.0.6
  * improved whiteboarding patch and move it to work dir. added '--enable-whiteboarding'
    configure key, some ui fixes (psi-wb.diff)
  - removed whiteboarding patch -> went to upstream (psi-wb.diff)
  - removed asterisk-hack-skip-connection-negotiation-check.diff patch - this patch should not be
    needed anymore and i think it causes a crash with 'ASSERT: "!iceA_status.channelsReady[index]"
    in file avcall/jinglertp.cpp, line 1368' in the PPA build (i cannot reproduce it with my own
    build). connection negotiation may be a bit slower now though [commented by Z_God]
  * libpsibuild: enable whiteboarding by default (scripts/posix/libpsibuild.sh)
  * updated some win32 scripts - enable whiteboarding by default
    (scripts/win32/make-psiplus-webkit.cmd, scripts/win32/make-psiplus.cmd)
  * fixed deprecated usage of Jid::setResource in psi-add-bookmarks-to-join-conference-dlg.diff
    patch
  * fixed deprecated usage of Jid::userHost in psi-block-contact-from-menu.diff patch
  * fixed deprecated usage of Jid::setDomain in psi-muc-notify-highlight.diff patch
  + added new patch for cleaning qt3 from filetransdialog (psi-filetransdlg-to-qt4.diff)
  * merged psi-improve-filetransfer-dialog.diff and psi-filetransdlg-to-qt4.diff patches
  * small fix for psi-improve-filetransfer-dialog.diff patch
  * fixed possible memory leak (psi-extend-plugins-interface.diff)
  - removed psi-improve-filetransfer-dialog.diff patch -> went to upstream
  ! updated Qt libs to v4.7.2, http://qt.nokia.com/developer/changes/changes-4.7.2
  ! updated win32 openssl libs to v0.9.8r,
    http://cvs.openssl.org/getfile?f=openssl/CHANGES&v=OpenSSL_0_9_8r


2011-02-27  zet
v0.15.3730 Beta
  * инсталлятор Psi+: убраны неиспользуемые крипто-библиотеки
    (qca2.dll, qca-gnupg2.dll, qca-ossl2.dll)
  * исправлен патч psi-add-options-color-highliting.diff
  + добавлен новый патч - рабочая реализация IBB в приложении (psi-fix-ibb.diff)
  * убрана отладочная информация из патчей (psi-fix-ibb.diff, psi-extend-plugins-interface.diff)
  * обновлён патч на ibb: теперь клиент заявляет в disco о поддержке ibb. начата работа по
    исправлению работоспособности функции передачи файлов в конференциях (psi-fix-ibb.diff)
  + добавлен новый плагин - Gomoku game plugin (v0.0.4), подробнее -
    http://psi-plus.com/wiki/plugins#gomoku_game_plugin
  * обновлён chess plugin до версии 0.2.4
  - убран патч psi-fix-ibb.diff -> принят в upstream
  + добавлен новый патч, добавляющий новую опцию "ibb only" в редактор настроек аккаунта
    (psi-ibb-only-option.diff)
  * обновлён gmail service plugin до версии 0.6.6
  * исправлен порядок обработки входящих станз в менеджере плагинной системы
    (psi-extend-plugins-interface.diff)
  * исправлен stop spam plugin (v0.5.2)
  - убран патч psi-ibb-only-option.diff -> принят в upstream
  * 2011 год в меню Help->About (psiplus-aboutdlg.diff)
  --
  * psiplus-install.nsi: removed useless crypto libs (qca2.dll, qca-gnupg2.dll, qca-ossl2.dll)
  * fixed psi-add-options-color-highliting.diff patch
  + added new patch - started IBB rewrite (psi-fix-ibb.diff)
  * removed debug info (1930-psi-fix-ibb.diff, psi-extend-plugins-interface.diff)
  * updated ibb patch: ibb added to disco. start fixing filetransfer in mucs (psi-fix-ibb.diff)
  + added new plugin - Gomoku game plugin (v0.0.4), http://psi-plus.com/wiki/plugins#gomoku_game_plugin
  * updated chess plugin to v0.2.4
  - removed psi-fix-ibb.diff patch -> went to upstream
  + added new patch for adds 'ibb only' option in account manager (psi-ibb-only-option.diff)
  * updated gmail service plugin to v0.6.6
  * fixed order of processing incoming stanzas by plugin manager (psi-extend-plugins-interface.diff)
  * fixed stop spam plugin (v0.5.2)
  - removed psi-ibb-only-option.diff patch -> went to upstream
  * updated copyright year in Help->About menu (psiplus-aboutdlg.diff)


2011-02-13  zet
v0.15.3690 Beta
  * исправлены роли некоторых активных участников проекта (psiplus-aboutdlg.diff)
  + добавлен новый патч, создающий решение по исправлению падения приложения при переходе в оффлайн
    при наличии непрочитанных сообщений (psi-fix-crash-when-going-offline.diff)
  * обновлены некоторые плагины (attention plugin, chess plugin, pep change notify plugin)
  * обновлён watcher plugin до версии 0.3.9
  * обновлён birthday reminder plugin до версии 0.3.3
  * обновления в патче psi-popups-options-tab.diff
  * фиксы смещения в патчах psi-contact-manager.diff и
    psi-add-join-groupchat-item-to-account-menu.diff
  * обновлён gmail service plugin до версии 0.6.2
  + добавлен файл звукового сопровождения при получении новых/непрочитанных писем в gmail service
    plugin (sound/email.wav)
  * обновлён extended menu plugin до версии 0.0.7
  * исправлен патч psi-movable-tabs-qt45-and-custom-style.diff
  * улучшения в патче psi-xmpp-uri-in-chat-mode.diff и исправления в связанных с ним патчах
    (psi-tab-status-icon.diff, psi-movable-tabs-qt45-and-custom-style.diff,
    psi-muc-minimize-to-roster.diff, psi-presets-in-status-menu.diff, psiplus-decorate-windows.diff,
    psi-save-maximized-window-state.diff, psi-extend-plugins-interface.diff)
  * обновлён extended options plugin до версии 0.3.2
  --
  * fixed active project members list (psiplus-aboutdlg.diff)
  * small fix for psiplus-install.nsi
  + added new patch for сreate a workaround to fix crash when going to offline with some unread
    messages (psi-fix-crash-when-going-offline.diff)
  * updated some plugins (attention plugin, chess plugin, pep change notify plugin)
  * updated watcher plugin to v0.3.9
  * updated birthday reminder plugin to v0.3.3
  * updated psi-popups-options-tab.diff patch
  * fixed fuzzes (psi-contact-manager.diff, psi-add-join-groupchat-item-to-account-menu.diff)
  * update gmail service plugin to v0.6.2
  + added sound for gmail service plugin (sound/email.wav)
  * updated extended menu plugin to v0.0.7
  * fixed psi-movable-tabs-qt45-and-custom-style.diff patch
  * improved psi-xmpp-uri-in-chat-mode.diff patch and fix other patches after changes
    (psi-tab-status-icon.diff, psi-movable-tabs-qt45-and-custom-style.diff,
    psi-muc-minimize-to-roster.diff, psi-presets-in-status-menu.diff, psiplus-decorate-windows.diff,
    psi-save-maximized-window-state.diff, psi-extend-plugins-interface.diff)
  * updated extended options plugin to v0.3.2


2011-02-06  zet
v0.15.3670 Beta
  * обновлён список активных участников проекта (psiplus-aboutdlg.diff)
  ! устранена утечка памяти в менеджере настройки прокси-сервера (psi-proxy-settings-in-opt.diff)
  + добавлен новый патч для сохранения памяти путём сокращения количества ненужных вызовов
    xml-консоли (psi-create-xmlconsole-when-need-it.diff)
  - убраны некоторые патчи -> приняты в upstream (less-includes.diff, psi-boss-key.diff)
  * обновлён chess plugin до версии 0.2.1
  + добавлен новый патч для исправления поведения при отзыве mood-события
    (psi-fix-mood-retract.diff)
  * исправлена чрезмерная интенсивность отправки tune-событий в контроллере MPRIS
    (psi-fix-tunes.diff)
  + добавлена поддержка css в контекстном меню для url-объектов (psi-css-style-sheet.diff)
  + добавлена новая advanced-опция "options.ui.look.css" (psi-css-style-sheet.diff)
  + добавлен новый патч для устранения утечек памяти в variant tree (psi-fix-variant-tree-diff)
  - убран патч psi-fix-variant-tree-diff -> принят в upstream
  + добавлен новый патч, создающий новую отдельную вкладку в настройках приложения для регулировки
    параметров работы всплывающих окон (psi-popups-options-tab.diff)
  * улучшения в патче psi-popups-options-tab.diff: добавлен класс для контроля длительности
    показа всплывающих окон
  * расширение функциональности метода PopupAccessor (psi-extend-plugins-interface.diff)
  * обновлён stop spam plugin до версии 0.5.1
  * патч на цитирование: теперь команда цитирования отключается при открытии нового чата
    (psi-chatview-quote-feature.diff)
  * фиксы в работе контроллера MPRIS (psi-fix-tunes.diff)
  * исправлен gmail service plugin (v0.6.1)
  * улучшения в патче psi-popups-options-tab.diff
  * обновлён attention plugin до версии 0.1.6
  * обновлён интерфейс плагинной системы: добавлены методы appOsName(), appCurrentProfileDir()
    [psi-extend-plugins-interface.diff]
  * улучшения в патче на цитирование для невебкит-версии (psi-chatview-quote-feature.diff)
  * обновлён client switcher plugin до версии 0.0.5
  * улучшения в патче psi-extend-plugins-interface.diff
  * улучшения в патче psi-popup-avatar.diff
  * улучшения в патче psi-popups-options-tab.diff
  * патч на цитирование: исправлено зависание приложения при клике по url-объекту
    (psi-chatview-quote-feature.diff)
  * улучшения в скрипте инсталлятора под win32: работа с ярлыками (psiplus-install.nsi)
  --
  * updated project members list (psiplus-aboutdlg.diff)
  ! fixed memory leak in proxy manager (psi-proxy-settings-in-opt.diff)
  + added new patch for save some memory with useless xml-consoles
    (psi-create-xmlconsole-when-need-it.diff)
  - removed some patches -> went to upstream (less-includes.diff, psi-boss-key.diff)
  * updated chess plugin to v0.2.1
  + added new patch for fix mood retract (psi-fix-mood-retract.diff)
  * fixed excessive tune sending in MPRIS controller (psi-fix-tunes.diff)
  + added css for url object context menu (psi-css-style-sheet.diff)
  + added empty option 'options.ui.look.css' (psi-css-style-sheet.diff)
  + added new patch for fix memory leaks in variant tree (psi-fix-variant-tree-diff)
  - removed psi-fix-variant-tree-diff patch -> went to upstream
  + added new patch for create popups options tab (psi-popups-options-tab.diff)
  * improved psi-popups-options-tab.diff patch: added class to control popups durations
  * updated PopupAccessor (psi-extend-plugins-interface.diff)
  * updated stop spam plugin to v0.5.1
  * corrected quote feature. now quote menu is disabled after opening chatview
    (psi-chatview-quote-feature.diff)
  * fixed MPRIS controller (psi-fix-tunes.diff)
  * fixed gmail service plugin (v0.6.1)
  * improved psi-popups-options-tab.diff patch
  * updated attention plugin to v0.1.6
  * updated plugins interface: added appOsName(), appCurrentProfileDir()
    [psi-extend-plugins-interface.diff]
  * improved quote patch for non-webkit version (psi-chatview-quote-feature.diff)
  * updated client switcher plugin to v0.0.5
  * improved psi-extend-plugins-interface.diff patch
  * improved psi-popup-avatar.diff patch
  * improved psi-popups-options-tab.diff patch
  * quote patch: fixed hangup (psi-chatview-quote-feature.diff)
  * improved win32 install script: working with shortcuts (psiplus-install.nsi)


2011-01-30  zet
v0.15.3630 Beta
  * исправлена обработка css для меню со смайлами. теперь изменения вступают в силу без перезапуска
    Psi+ (psi-css-style-sheet.diff)
  * improved Bits Of Binary (XEP-0231) support (psi-bits-of-binary.diff)
  + добавлена возможность скрывать и восстанавливать показ нескольких табов
    (psi-muc-minimize-to-roster.diff)
  - теперь удаляется неиспользуемый иконсет при выгрузке плагина (psi-extend-plugins-interface.diff)
  * улучшена работа методов active tab accessor (psi-extend-plugins-interface.diff)
  * небольшие улучшение и исправления для патча psi-extend-plugins-interface.diff
  * некоторые фиксы стиля кода и меньше предупреждений при компиляции Psi+
    (psi-mood-icons-and-description.diff, psi-activity-icons-and-description.diff,
    psi-muc-roster-icons.diff)
  + добавлен новый патч на фиксы стиля кода и снижение количества предупреждений при компиляции Psi+
    (psi-fix-opt-iconset-codestyle-and-warnings.diff)
  - убран патч psi-bits-of-binary.diff -> принят в upstream
  * улучшения в шаблонах сообщений: фикс обновления меню с шаблонами и команды paste&send. добавлены
    команды для редактирования и перемещения шаблонов в списке, возможность перетаскивания шаблонов
    по списку мышкой, а также запрос при выходе из редактора шаблонов без сохранения
    (psi-send-button-context-menu.diff)
  * патч psi-fix-opt-iconset-codestyle-and-warnings.diff объединён с патчем psi-client-icons.diff
  * меньше предупреждений при компиляции Psi+ (psi-send-button-context-menu.diff)
  * меньше предупреждений при компиляции Psi+ (psi-roster-avatar-frame.diff)
  * обновлён watcher plugin до версии 0.3.8
  * некоторые фиксы стиля кода и меньше предупреждений при компиляции Psi+ (psi-popup-avatar.diff,
    psi-xmpp-uri-in-chat-mode.diff, psi-highlighted-color.diff,
    psi-tab-status-icon.diff, psi-typed-history.diff, psi-roster-settings.diff,
    psi-all-in-one-window.diff, psi-movable-tabs-qt45-and-custom-style.diff, psi-typeahead-find.diff,
    psi-improve-tray-tooltip.diff, psi-css-style-sheet.diff, psi-muc-minimize-to-roster.diff,
    psi-pep-toolbar-buttons.diff, psi-presets-in-status-menu.diff, psi-minimize-chat-hotkey.diff,
    psi-send-xhtml-im.diff, psi-add-contact-from-chat-dialog.diff, psi-typing-notify-popups.diff,
    psi-internal-changes-tabbablewidget.diff, psi-auto-capitalizer.diff,
    psi-extend-plugins-interface.diff)
  * исправлено возможное падение приложения в менеджере плагинов при удалении аккаунта
    (psi-extend-plugins-interface.diff)
  * попытка исправить падение приложения в менеджере плагинов при инициализации попапа
    (psi-extend-plugins-interface.diff)
  * обновлён pep change notify plugin до версии 0.0.7
  + добавлен новый патч, исправляющий поведение PsiTooltipHandler (psi-fix-psitooltiphandler.diff)
  * решена задача 328, http://code.google.com/p/psi-dev/issues/detail?id=328
    (psi-contact-manager.diff)
  + добавлен новый патч для быстрого скрытия окон и иконки приложения с рабочего стола, из трея и
    из панели задач по нажатию горячей кнопки (анти-босс режим). по умолчанию назначена
    комбинация Ctrl+Alt+B (psi-boss-key.diff)
  --
  * fixed css for smiles menu. now there is no necessity of restarting Psi+
    (psi-css-style-sheet.diff)
  * improved Bits Of Binary (XEP-0231) support (psi-bits-of-binary.diff)
  + added ability to hide and restore several tabs (psi-muc-minimize-to-roster.diff)
  - removed iconset when unload plugin (psi-extend-plugins-interface.diff)
  * improved active tab accessor methods (psi-extend-plugins-interface.diff)
  * small improvement, less wornings for psi-extend-plugins-interface.diff
  * some code style fixes (psi-mood-icons-and-description.diff,
    psi-activity-icons-and-description.diff, psi-muc-roster-icons.diff)
  + added new patch for fix codestyle and less warnings
    (psi-fix-opt-iconset-codestyle-and-warnings.diff)
  - removed patch psi-bits-of-binary.diff -> went to upstream
  * improved templates: fix update templates menu, paste&send action. added actions for editing,
    relocation of the context menu into edit dialog (psi-send-button-context-menu.diff)
  * merged psi-fix-opt-iconset-codestyle-and-warnings.diff and psi-client-icons.diff patches
  * less warnings for psi-send-button-context-menu.diff
  * less warnings for psi-roster-avatar-frame.diff
  * updated watcher plugin to v0.3.8
  * some codestyle and warnings fixes (psi-popup-avatar.diff, psi-xmpp-uri-in-chat-mode.diff,
    psi-highlighted-color.diff, psi-tab-status-icon.diff, psi-typed-history.diff,
    psi-roster-settings.diff, psi-all-in-one-window.diff,
    psi-movable-tabs-qt45-and-custom-style.diff, psi-typeahead-find.diff,
    psi-improve-tray-tooltip.diff, psi-css-style-sheet.diff, psi-muc-minimize-to-roster.diff,
    psi-pep-toolbar-buttons.diff, psi-presets-in-status-menu.diff, psi-minimize-chat-hotkey.diff,
    psi-send-xhtml-im.diff, psi-add-contact-from-chat-dialog.diff, psi-typing-notify-popups.diff,
    psi-internal-changes-tabbablewidget.diff, psi-auto-capitalizer.diff,
    psi-extend-plugins-interface.diff)
  * fixed possible crash in plugin manager when psi account was deleted
    (psi-extend-plugins-interface.diff)
  * try to fix possible crash in plugin manager when init popup (psi-extend-plugins-interface.diff)
  * updated pep change notify plugin to v0.0.7
  + added new patch for fix to PsiTooltipHandler (psi-fix-psitooltiphandler.diff)
  * fixed issue 328, http://code.google.com/p/psi-dev/issues/detail?id=328
    (psi-contact-manager.diff)
  + added new patch that adds a boss key. ctrl+alt+b is default hotkey (psi-boss-key.diff)


2011-01-23  zet
v0.15.3600 Beta
  * обновлена иконка ping.png для extended menu plugin
  * улучшения в патче на цветность фона тултипов/попапов (psi-coloring-tooltip.diff)
  * переписан патч psi-send-button-context-menu.diff (автор - liuch)
  + добавлен новый патч, выводящий новую кнопку Reset на панель управления advanced-опциями
    приложения (psi-options-reset-button.diff)
  * обновлён pep change notify plugin до версии 0.0.5
  * добавлен новый патч, исправляющий утечки памяти в диалоге добавления нового пользователя
    (psi-fix-adduserdlg.diff)
  - убран патч psi-fix-adduserdlg.diff -> принят в upstream
  + добавлен новый патч, исправляющий утечки памяти в data_widget (psi-fix-xdata-widget.diff)
  - убран патч psi-fix-xdata-widget.diff -> принят в upstream
  * чистка мусора в патче psi-options-reset-button.diff
  + добавлен новый патч, исправляющий утечку памяти в edb (psi-fix-leak-in-edb.diff)
  * исправлены возможные утечки памяти в патче на новую историю переписки (psi-historydlg.diff)
  * изменён алгоритм работы с tunes-контроллерами. улучшена очистка тюнсов (psi-fix-tunes.diff)
  * исправлена поддержка css в меню с шаблонами сообщений (psi-send-button-context-menu.diff)
  + добавлен новый патч, исправляющий утечки памяти в главном меню
    (psi-fix-memory-leak-in-main-menu.diff)
  * исправлен экспорт и убраны magic numbers в патче новой истории (psi-historydlg.diff)
  + добавлен новый патч, исправляющий утечки памяти в optionseditor
    (psi-fix-memory-leaks-in-psioptionseditor.diff)
  - убран патч psi-fix-leak-in-edb.diff -> принят в upstream
  * изменены разделители в списке исключений tunes-контроллеров. вместо запятых теперь используются
    пробелы (psi-fix-tunes.diff)
  * исправлена перерисовка меню с шаблонами сообщений (psi-send-button-context-menu.diff)
  * возвращена кнопка Delete в панель управления advanced-опциями (psi-options-reset-button.diff)
  * исправлена работа опции автостарта приложения в ОС семейства Linux (psi-autostart.diff)
  * исправлена обработка пустых элементов в списке исключений tunes-контроллеров
    (psi-fix-tunes.diff)
  * исправлен патч psi-fix-memory-leak-in-main-menu.diff
  * обновлён chess plugin до версии 0.2.0
  * обновлён gmail service plugin до версии 0.5.9
  * исправлена привязка положения меню с шаблонами сообщений (psi-send-button-context-menu.diff)
  + добавлен новый патч, исправляющий утечки памяти в виджетах табов
    (psi-fix-leaks-in-tab-menus.diff)
  * исправлен патч psi-movable-tabs-qt45-and-custom-style.diff
  * переименована advanced-опция "can_close_inactive_tab" в "can-close-inactive-tab"
    (psi-movable-tabs-qt45-and-custom-style.diff)
  - убраны некоторые патчи -> приняты в upstream (psi-fix-leaks-in-tab-menus.diff,
    psi-fix-memory-leak-in-main-menu.diff, psi-fix-memory-leaks-in-psioptionseditor.diff)
  * исправлен патч psi-fix-possible-memory-leaks.diff
  - убран патч psi-fix-possible-memory-leaks.diff -> принят в upstream
  * некоторые исправления в стиле кода в патче psi-muc-minimize-to-roster.diff
  * мелкий фикс для меню с шаблонами сообщений (psi-send-button-context-menu.diff)
  * обновлён системный иконпак qipinfium_sys.jisp (спасибо Yuri Gural). оптимизированы все
    системные иконпаки (iconsets/system/blacksys.jisp, lunnacat.jisp, nuvola-system.jisp,
    oxygen_sys.jisp, oxygen_sys_22.jisp, qipinfium_sys.jisp, summer-system.jisp,
    tango_system.jisp, whitesys.jisp)
  * больше строк для локализации в cleaner plugin
  * запрет локализации строк в html для content downloader plugin
  + добавлена поддержка css для формы со смайлами (psi-css-style-sheet.diff)
  * больше строк для локализации менеджера контактов (psi-contact-manager.diff)
  * исправлено запоминание размера максимизированного окна конференции в режиме табов
    (psi-save-maximized-window-state.diff)
  ! обновлена русская локализация от ivan101 (psi-ru svn, r185, 2011-01-23)
  --
  * updated ping.png icon for extended menu plugin
  * improved psi-coloring-tooltip.diff
  * rewritten psi-send-button-context-menu.diff (by liuch)
  + added new patch for add reset button to advanced options control panel
    (psi-options-reset-button.diff)
  * updated pep change notify plugin to v0.0.5
  * added new patch for fix memory leaks (psi-fix-adduserdlg.diff)
  - removed psi-fix-adduserdlg.diff -> went to upstream
  + added new patch for fix leaks in data_widget (psi-fix-xdata-widget.diff)
  - removed psi-fix-xdata-widget.diff -> went to upstream
  * cleaned garbage from psi-options-reset-button.diff
  + added new patch for fix memory leak in edb (psi-fix-leak-in-edb.diff)
  * fixed possible memory leaks in psi-historydlg.diff
  * changed operation with controllers. better tune cleaning (psi-fix-tunes.diff)
  * fixed css for templates menu (psi-send-button-context-menu.diff)
  + added new patch for fix memory leaks in main menu (psi-fix-memory-leak-in-main-menu.diff)
  * fixed export, removed magic numbers in psi-historydlg.diff
  + added new patch for fix leaks in optionseditor (psi-fix-memory-leaks-in-psioptionseditor.diff)
  - removed psi-fix-leak-in-edb.diff -> went to upstream
  * changed exstensions separator from comma to space (psi-fix-tunes.diff)
  * fixed template's menu redraw (psi-send-button-context-menu.diff)
  * returned delete button to advanced options control panel (psi-options-reset-button.diff)
  * fixed psi-autostart.diff on linux
  * fixed empty items in controller-blacklist (psi-fix-tunes.diff)
  * fixed psi-fix-memory-leak-in-main-menu.diff
  * removeSubmenus -> clearMenu (psi-fix-memory-leak-in-main-menu.diff)
  * updated chess plugin to v0.2.0
  * updated gmail service plugin to v0.5.9
  * fixed temptate's menu show position (psi-send-button-context-menu.diff)
  + added new patch for fix some memory leaks in tab widget menus (psi-fix-leaks-in-tab-menus.diff)
  * fixed psi-movable-tabs-qt45-and-custom-style.diff
  * 'can_close_inactive_tab' -> 'can-close-inactive-tab' (psi-movable-tabs-qt45-and-custom-style.diff)
  - removed some patches -> went to upstream (psi-fix-leaks-in-tab-menus.diff,
    psi-fix-memory-leak-in-main-menu.diff, psi-fix-memory-leaks-in-psioptionseditor.diff)
  * fixed psi-fix-possible-memory-leaks.diff
  - removed psi-fix-possible-memory-leaks.diff -> went to upstream
  * some codestyle fixes for psi-muc-minimize-to-roster.diff
  * small fix for template menu (psi-send-button-context-menu.diff)
  * updated qipinfium_sys.jisp (thanks to Yuri Gural). optimized all systems jisps
    (iconsets/system/blacksys.jisp, lunnacat.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, qipinfium_sys.jisp, summer-system.jisp, tango_system.jisp, whitesys.jisp)
  * more translatable for cleaner plugin
  * not translatable html for content downloader plugin
  + added css for smiles menu (psi-css-style-sheet.diff)
  * more translatable for contact manager (psi-contact-manager.diff)
  * save maximized groupchat window state in tabmode fix (psi-save-maximized-window-state.diff)
  ! updated russian localization by ivan101 (psi-ru svn, r185, 2011-01-23)


2011-01-16  zet
v0.15.3522 Beta
  + добавлен новый патч, добавляющий опцию в настройки приложения "автостарт Psi+ при запуске
    операционной системы" (psi-autostart.diff)
  + добавлена поддержка автостарта Psi+ в ОС семейства Linux (psi-autostart.diff)
  * снижено количество запоминаемых историй ввода сообщений до 50 (psi-typed-history.diff)
  + добавлен новый патч для исправления возможной утечки памяти (psi-fix-possible-memory-leaks.diff)
  * некоторые фиксы translate plugin (v0.3.2)
  + добавлен новый патч, исправляющий поведение анимированной иконки с fancylabel и устраняющий
    возможную утечку памяти (psi-fix-fancylabel.diff)
  - убран патч psi-fix-fancylabel.diff. патч принят в upstream
  * попытка исправить ошибочный детект клиента Talkonaut (google.com 1.0.0.84)
    [psi-client-icons.diff]
  * небольшие фиксы conference logger plugin (v0.1.9). спасибо liuch
  ! начат рефакторинг патчей плагинной системы, часть 1: все плагинные патчи объединены в один
    общий патч + фиксы кодестайлинга (psi-extend-plugins-interface.diff)
  ! рефакторинг патчей плагинной системы, часть 2: улучшения и исправления общего плагинного патча
    (psi-extend-plugins-interface.diff)
  ! рефакторинг патчей плагинной системы, часть 3: исправлена работа плагинной системы, требуется
    перекомпилировать все плагины Psi+
  * исправлен pep plugin (v0.0.4)
  * обновлён attention plugin до версии 0.1.5
  + добавлен новый плагин - extended menu plugin, подробнее -
    http://psi-plus.com/wiki/plugins#extended_menu_plugin
  * фикс утечки памяти в патче psi-send-button-context-menu.diff (автор - liuch)
  * фиксы некоторых патчей (psi-avcalls-addons.diff, psi-muc-bookmark-toolbar-button.diff,
    psi-typeahead-find.diff, psi-muc-minimize-to-roster.diff,
    psi-add-join-groupchat-item-to-account-menu.diff, psi-send-xhtml-im.diff, psi-fix-tunes.diff)
  + добавлена возможность отключать определённые контроллеры трансляции музыки
    (трансляция через tune-файл и/или через Winamp-контроллер). комбинированный контроллер
    трансляции музыки больше не используется (psi-fix-tunes.diff)
  * некоторые улучшения в патче psi-extend-plugins-interface.diff
  * обновлён патч psi-extend-plugins-interface.diff. теперь кнопка "plugin info" доступна даже
    при отключенном плагине
  + добавлен новый патч для переименования бинарного исполняемого файла
    из psi.exe (psi) в psi-plus.exe (psi-plus) и разрешения конфликтов с пакетами оригинального Psi
    в некоторых ОС семейства Linux (psiplus-binary.diff) -- экспериментально!
  * обновлены списки ресурсов для content downloader plugin
  * исправлен watcher plugin (v.0.3.7)
  * исправлена утечка памяти в патче psi-send-xhtml-im.diff
  * исправлена ещё одна утечка памяти в патче psi-send-xhtml-im.diff
  * исправлен патч psiplus-binary.diff
  + добавлен детект некоторых jabber-клиентов. спасибо Qwеst (psi-client-icons.diff)
  * обновлён extended menu plugin до версии 0.0.5
  * обновлён birthday reminder plugin до версии 0.3.2
  * исправлен детект клиента sim communicator (psi-client-icons.diff)
  * обновлены иконпаки с иконками jabber-клиентов
    (iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)
  --
  + added new patch for adds autostart application option 'automatically launch application when OS
    starts' (psi-autostart.diff)
  + added support for linux (psi-autostart.diff)
  * decreased typed history size to 50 messages (psi-typed-history.diff)
  + added new patch for fix possible memory leaks (psi-fix-possible-memory-leaks.diff)
  * some fixes for translate plugin (v0.3.2)
  + added new patch for fix fancylabel (psi-fix-fancylabel.diff)
  - removed psi-fix-fancylabel.diff. patch moved to upstream
  * try to fix for Talkonaut detection (google.com 1.0.0.84) [psi-client-icons.diff]
  * small fixes for conference logger plugin (v0.1.9). tnx to liuch
  ! begining of refactoring plugins patches, part 1: merge all plugins patches into new one,
    some fixes to codestyle (psi-extend-plugins-interface.diff)
  ! refactoring, part2: improvement for main plugins patch. all the plugins are broken,
    wait for fixes (psi-extend-plugins-interface.diff)
  ! refactoring, part3: fixes for plugins. note: you must recompile all the plugins
  * fixed pep plugin (v0.0.4)
  * updated attention plugin (v0.1.5)
  + added new plugin - extended menu plugin, http://psi-plus.com/wiki/plugins#extended_menu_plugin
  * fixes for psi-send-button-context-menu.diff (by liuch)
  * fixed some patches (psi-avcalls-addons.diff, psi-muc-bookmark-toolbar-button.diff,
    psi-typeahead-find.diff, psi-muc-minimize-to-roster.diff,
    psi-add-join-groupchat-item-to-account-menu.diff, psi-send-xhtml-im.diff, psi-fix-tunes.diff)
  + added ability to disable tune controllers. combined controller is no longer used
    (psi-fix-tunes.diff)
  * some progress with psi-extend-plugins-interface.diff
  * updated psi-extend-plugins-interface.diff. for now 'plugin info' button available even when
    plugin is disabled
  + added new patch for rename binary executable file from psi.exe (psi) to psi-plus.exe (psi-plus)
    and avoid conflicts with original psi package on a Linux (psiplus-binary.diff) -- experimental!
  * updated resource lists for content downloader plugin
  * fixed watcher plugin (v.0.3.7)
  * fixed memory leak in psi-send-xhtml-im.diff
  * one more fix memory leak in psi-send-xhtml-im.diff
  * fixed psiplus-binary.diff
  + added some clients detection. thanks to Qwеst (psi-client-icons.diff)
  * updated extended menu plugin (v0.0.5)
  * updated birthday reminder plugin
  * fixed sim communicator detection (psi-client-icons.diff)
  * updated fingerprint jisps (iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)


2011-01-09  zet
v0.15.3465 Beta
  * обновлён client switcher plugin до версии 0.0.4 (автор - liuch)
  * фикс метода currentTune, незначительные фиксы для mpris (psi-fix-tunes.diff)
  * улучшен метод changeCase() в механизме автокапитализации (psi-auto-capitalizer.diff)
  + добавлен новый патч, создающий новую advanced-опцию options.ui.chat.show-status-changes для
    управления отображением статусных сообщений в ростерном чате
    (psi-disable-show-status-changes-in-chat.diff)
  * временно отключена обработка капчи в ядре приложения. для прохождения капчи используйте
    captcha forms plugin (psi-data-forms-media-element.diff)
  + добавлен новый универсальный скин LunnaCat от majik (skins/universal/LunnaCat)
  + добавлен новый системный иконпак lunnacat.jisp (iconsets/system/lunnacat.jisp)
  * обновлён список ресурсов для content downloader plugin (добавлен lunnacat.jisp)
  * пересортировка списков ресурсов в алфавитном порядке (для content downloader plugin)
  * обновлён attention plugin до версии 0.1.4
  * убран мусор в коде группчатов. решена задача is369,
    http://code.google.com/p/psi-dev/issues/detail?id=369 (psi-save-maximized-window-state.diff)
  + добавлен фильтр транслируемых источников (psi-fix-tunes.diff)
  * поправлен патч psi-muc-nick-hash-color: исключена возможность отображения чёрных ников на
    чёрном фоне в чатлоге конференции (psi-muc-nick-hash-color.diff)
  --
  * updated client switcher plugin to v0.0.4, by liuch
  * currentTune method fix, minor mpris fix (psi-fix-tunes.diff)
  * improve changeCase() method in auto-capitalizer (psi-auto-capitalizer.diff)
  + added new patch for create new option options.ui.chat.show-status-changes
    (psi-disable-show-status-changes-in-chat.diff)
  * temporary disable captcha in messages. use captcha forms plugin
    (psi-data-forms-media-element.diff)
  + added new universal skin LunnaCat (skins/universal/LunnaCat)
  + added new system iconset lunnacat.jisp (iconsets/system/lunnacat.jisp)
  * updated resources list for content downloader plugin (lunnacat.jisp)
  * reordered content.list (alphabetical)
  * updated attention plugin to v0.1.4
  * removed garbage in groupchat dlg. fixed is369,
    http://code.google.com/p/psi-dev/issues/detail?id=369 (psi-save-maximized-window-state.diff)
  + added tune-content filters (psi-fix-tunes.diff)
  * fixed psi-muc-nick-hash-color patch for no more black for snowgirl and dead moroz. also
    corrected codestyle (psi-muc-nick-hash-color.diff)


2010-12-26  zet
v0.15.3450 Beta
  * некоторые исправления в патче автосмены регистра psi-auto-capitalizer.diff
  * обновлён gmail service plugin до версии 0.5.7
  + добавлено определение некоторых jabber-клиентов: Dictbot, SoFServer, Spectrum, ICQ Mobile
    (psi-client-icons.diff)
  * обновлены иконпаки с иконками клиентов (iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)
  + добавлен новый плагин -- pep change notify plugin, подробнее --
    http://psi-plus.com/wiki/plugins#pep_change_notify_plugin
  * изменения в процедуре getPluginOption
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff,
    psi-fix-optionChanged-method-in-plugins.diff)
  * мелкие фиксы в патче psi-send-button-context-menu.diff
  * pep change notify plugin: добавлена поддержка mingw
  * мелкие фиксы в патче psi-typed-history.diff
  * исправлена функция getJid() для плагинной системы (psi-get-account-info-from-plugins.diff)
  * content downloader plugin: добавлена кнопка ручного запроса списка доступных ресурсов
  * content downloader plugin: теперь по умолчанию плагин автоматически не проверяет список
    доступных ресурсов (v0.1.10)
  * расширена функциональность accountinfoaccessor. спасибо liuch
    (psi-get-account-info-from-plugins.diff, psi-add-toolbar-button-from-plugins.diff,
    psi-access-to-menus-from-plugins.diff, psi-change-contacts-status-from-plugins.diff)
  + добавлен новый плагин -- client switcher plugin (by liuch), подробнее --
    http://psi-plus.com/wiki/plugins#client_switcher_plugin
  * обновлён pep change notify plugin до версии 0.0.3
  * обновлён патч на цитирование -- добавлен локальный хоткей Ctrl+S для цитирования выделенного
    фрагмента текста (psi-chatview-quote-feature.diff)
  * улучшена точность срабатывания механизма автосмены регистра (psi-auto-capitalizer.diff)
  --
  * some updates for psi-auto-capitalizer.diff
  * updated gmail service plugin, v0.5.7
  + added detection of Dictbot, SoFServer, Spectrum, ICQ Mobile. updated both fingerprint.jisp
    (psi-client-icons.diff, iconsets/clients/fingerprint.jisp, iconsets/clients/fingerprint-22.jisp)
  + added new plugin -- pep change notify plugin,
    http://psi-plus.com/wiki/plugins#pep_change_notify_plugin
  * changed getPluginOption procedure
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff,
    psi-fix-optionChanged-method-in-plugins.diff)
  * less warnings (psi-send-button-context-menu.diff)
  * make pep change notify plugin compile with mingw
  * less warnings (psi-typed-history.diff)
  * updated downloads.wiki (pep change notify plugin)
  * fixed getJid() function for plugins (psi-get-account-info-from-plugins.diff)
  * content downloader plugin: added download content list button
  * content downloader plugin: download content list is now disabling when i click it (v0.1.10)
  * extend accountinfoaccessor. thx to liuch (psi-get-account-info-from-plugins.diff,
    psi-add-toolbar-button-from-plugins.diff, psi-access-to-menus-from-plugins.diff,
    psi-change-contacts-status-from-plugins.diff)
  + added new plugin -- client switcher plugin (by liuch),
    http://psi-plus.com/wiki/plugins#client_switcher_plugin
  * updated pep change notify plugin, v0.0.3
  * improved quote feature. added Ctrl+S shortcut (psi-chatview-quote-feature.diff)
  * improved auto-capitalize accurracy (psi-auto-capitalizer.diff)


2010-12-19  zet
v0.15.3414 Beta
  * обновлён патч для истории сообщений (psi-historydlg.diff)
  * исправлено возможное падение приложения при удалении аккаунтов (psi-roster-avatar-frame.diff)
  * небольшие исправления в conference logger plugin
  * обновлён extended options plugin (добавлена обработка options.ui.muc.hide-on-autojoin,
    options.ui.look.colors.chat.unread-message-color, options.ui.look.colors.chat.composing-color)
  * решена задача 383, http://code.google.com/p/psi-dev/issues/detail?id=383
    (psi-activity-icons-and-description.diff)
  - патч psi-fix-online-contact-count.diff убран из рабочего каталога и не применяется вместе с
    остальными, подробнее -- задача 384, http://code.google.com/p/psi-dev/issues/detail?id=384
  + добавлен новый патч для фикса qWarning сообщений (psi-fix-qWarning-message.diff)
  * теперь билды Psi+ выпускаются только под MacOS 10.6
    (trunk/scripts/macosx/patches/3020-psi-mac-Makefile.diff, trunk/scripts/macosx/psibuild.command)
  - убран патч psi-fix-qWarning-message.diff, т.к. принят в upstream
  + добавлен новый ЭКСПЕРИМЕНТАЛЬНЫЙ патч для автоматического переключения регистра при составлении
    сообщения. автосмена регистра выключена по умолчанию. автосмена включается advanced-опцией
    options.ui.chat.auto-capitalize, ручное переключение регистра - Ctrl+Alt+X
    (psi-auto-capitalizer.diff)
  * обновлён stop spam plugin
  * исправлены возможные утечки памяти в juick plugin
  * исправлены возможные утечки памяти в некоторых плагинах (birthday reminder plugin,
    captcha forms plugin, image plugin)
  * исправлены возможные утечки памяти в некоторых плагинах, часть 2 (chess plugin, cleaner plugin,
    skins plugin)
  + в инсталлятор psiplus-install.nsi добавлена опция для старта Psi+ при запуске windows
  * обновлена ссылка для скачивания свежей версии инсталлятора Psi+ (psi-dirty-check.diff)
  ! обновлены библиотеки win32 openssl до версии 0.9.8q
  --
  * updated history patch (psi-historydlg.diff)
  * fixed possible crash when removing accounts (psi-roster-avatar-frame.diff)
  * small fixes to conference logger plugin
  * updated extended options plugin (added options.ui.muc.hide-on-autojoin,
    options.ui.look.colors.chat.unread-message-color, options.ui.look.colors.chat.composing-color)
  * fixed issue 383, http://code.google.com/p/psi-dev/issues/detail?id=383
    (psi-activity-icons-and-description.diff)
  - moved psi-fix-online-contact-count.diff patch to dev cos of issue 384,
    http://code.google.com/p/psi-dev/issues/detail?id=384
  + added new patch to fix qWarning message (psi-fix-qWarning-message.diff)
  * back to MacOS 10.6 support only (trunk/scripts/macosx/patches/3020-psi-mac-Makefile.diff,
    trunk/scripts/macosx/psibuild.command)
  - removed psi-fix-qWarning-message.diff. patch moved to upstream
  + added new auto-capitalizer EXPERIMENTAL patch. disabled by default. enable -
    options.ui.chat.auto-capitalize, manual change case - Ctrl+Alt+X (psi-auto-capitalizer.diff)
  * updated stop spam plugin
  * fixed possible memory leaks in juick plugin
  * fixed possible memory leaks in some plugins (birthday reminder plugin, captcha forms plugin,
    image plugin)
  * fixed possible memory leaks in some plugins, part2 (chess plugin, cleaner plugin, skins plugin)
  + psiplus-install.nsi: added optional running Psi+ on windows start
  * updated url for windows installer (psi-dirty-check.diff)
  ! updated win32 openssl libs to v0.9.8q


2010-12-12  zet
v0.15.3385 Beta
  * патч для истории сообщений синхронизирован с git и внесены некоторые фиксы,
    подробнее -- http://code.google.com/p/psi-dev/issues/detail?id=353 (psi-historydlg.diff)
  + добавлен новый патч для исправления поведения контакта ростера при его удалении из пустой группы
    (psi-tmp-fix-removing-contacts-with-empty-group.diff)
  * более корректная работа с MPRIS (psi-nix-mpris.diff)
  * icq must die plugin - добавлена лицензия для debian
  * content downloader plugin. теперь плагин умеет проверять наличие ресурсов в папке установки Psi+
  * обновлён патч для истории сообщений - добавлен календарь (psi-historydlg.diff)
  * попытка решить задачу 337, http://code.google.com/p/psi-dev/issues/detail?id=337
    (psi-change-password-dialog.diff)
  * в патче на цитирование теперь используется символ "»" вместо ">>"
    (psi-chatview-quote-feature.diff)
  * патч на цитирование: вставка цитаты на позицию курсора (psi-chatview-quote-feature.diff)
  + добавлена поддержка множественных подключений (psi-nix-mpris.diff)
  + добавлена поддержка множественных подключений на старте Psi+ (psi-nix-mpris.diff)
  - убран патч psi-nix-mpris.diff, т.к. он принят в upstream
  + добавлен новый патч для решения задачи 377, http://code.google.com/p/psi-dev/issues/detail?id=377
    (psi-fix-closing-inactive-tabs-when-apply-button-pressed.diff)
  * объединены патчи merged psi-muc-minimize-to-roster.diff и
    psi-fix-closing-inactive-tabs-when-apply-button-pressed.diff
  - убран патч psi-tmp-fix-removing-contacts-with-empty-group.diff, т.к. он принят в upstream
  - убраны некоторые патчи, т.к. они приняты в upstream (psi-unnamed-xmpp-uri-param.diff,
    psi-fix-avatar-transparency.diff, psi-vcard-open-homepage.diff)
  * обновлён патч для истории сообщений - добавлена команда для удаления истории переписки с
    выбранным контактом (вызывается через контекстное меню) [psi-historydlg.diff]
  * поправлена ссылка на багтрекер проекта в меню Help (psiplus-join-to-support-muc.diff)
  - убран патч psi-img-src-file-and-data-protos.diff. патч переписан и принят в upstream
  - убран патч psi-add-detection-some-os.diff, т.к. он принят в upstream
  * исправлен патч psi-entity-time.diff
  * исправлено падение приложения в Linux при попытке поиска с пустой поисковой строкой
    (psi-historydlg.diff)
  + добавлено определение клиента QIP Mobile, обновлены иконпаки с иконками клиентов
    (psi-client-icons.diff, iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)
  * обновлён патч для истории сообщений - восстановлена команда экспорта истории переписки в
    текстовый файл (вызывается через контекстное меню) [psi-historydlg.diff]
  * исправлено расположение скриншотов Psi+ на главной странице проекта после смены её дизайна
    (http://psi-dev.googlecode.com/)
  * исправлена возможность блокировки исходящих сообщений из плагинов
    (0570-psi-extend-eventfilter.diff)
  * восстановлено отображение иконок доставки сообщений в чатлогах (psi-receipts.diff)
  * обновлён патч для истории сообщений - добавлены иконки для команд контекстного меню
    (psi-historydlg.diff)
  * processOutgoingStanza event filter method (psi-extend-eventfilter.diff)
  * исправлены опечатки в интерфейсе cleaner plugin (спасибо tehnick.alive)
  * исправлены опечатки в патче psi-implements-iq-version-stuff-in-discodlg.diff
    (спасибо tehnick.alive)
  * processOutgoingStanza переименован в outgoingStanza и перемещён в StanzaFilter
    (psi-extend-eventfilter.diff)
  * исправлена работа некоторых плагинов (gmail service plugin, juick plugin и stopspam plugin)
    после изменений в StazaFilter
  * фиксы для psi-add-options-color-highlighting.diff
  * исправлена работа остальных плагинов после изменений в StazaFilter (attention plugin,
    autoreply plugin, birthday reminder plugin, captcha forms plugin, chess plugin,
    conference logger plugin, icq must die plugin, qip x-statuses plugin, storage notes plugin,
    watcher plugin)
  * обновлён watcher plugin: оптимизация определения плеера для воспроизведения звуковых событий
  + добавлено определение некоторых клиентов (bombusng-md, emess, movamessenger и libpurple),
    обновлены иконпаки с иконками клиентов (psi-client-icons.diff,
    iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)
  --
  * psi-historydlg.diff sync with git and some fixes,
    http://code.google.com/p/psi-dev/issues/detail?id=353
  + added new patch to fix removing contacts with empty group
    (psi-tmp-fix-removing-contacts-with-empty-group.diff)
  * updated new history patch (psi-historydlg.diff)
  * more correct work with MPRIS (psi-nix-mpris.diff)
  * icq must die plugin - licence for debian
  * content downloader plugin. now also looking resources in resources dir
  * updated history patch - added calendar (psi-historydlg.diff)
  * try to fix is337, http://code.google.com/p/psi-dev/issues/detail?id=337
    (psi-change-password-dialog.diff)
  * using '»' instead '>>' for quote feature (psi-chatview-quote-feature.diff)
  * quote feature: insert quote in the cursor position (psi-chatview-quote-feature.diff)
  * quote feature: corrected quoute symbol (psi-chatview-quote-feature.diff)
  + added multiply connections support (psi-nix-mpris.diff)
  + added support of multiply mpris connections on psi+ start (psi-nix-mpris.diff)
  * fixed excessive addition to list (psi-nix-mpris.diff)
  - removed psi-nix-mpris.diff. patch applyed by upstream
  + added new patch to fix is377, http://code.google.com/p/psi-dev/issues/detail?id=377
    (psi-fix-closing-inactive-tabs-when-apply-button-pressed.diff)
  * merged psi-muc-minimize-to-roster.diff and
    psi-fix-closing-inactive-tabs-when-apply-button-pressed.diff patches
  - removed psi-tmp-fix-removing-contacts-with-empty-group.diff. patch applyed by upstream
  - removed some patches. patches applyed by upstream (psi-unnamed-xmpp-uri-param.diff,
    psi-fix-avatar-transparency.diff, psi-vcard-open-homepage.diff)
  * updated history patch - added delete history button, some other fixes (psi-historydlg.diff)
  * updated link to psi+ bugtracker in Help menu (psiplus-join-to-support-muc.diff)
  - removed psi-img-src-file-and-data-protos.diff. patch reworked and moved to upstream
  - removed psi-add-detection-some-os.diff. patch moved to upstream
  * fixed psi-entity-time.diff
  * fixed crash history search (psi-historydlg.diff)
  + added detection of QIP Mobile, updated jisps with clients icons (psi-client-icons.diff,
    iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)
  * updated history patch - restore history export (use context menu) [psi-historydlg.diff]
  * fixed typo in psi-historydlg.diff
  * fixed pictures resolution for new googlecode site desigh
  * fixed ability block outgoing messages from plugins (0570-psi-extend-eventfilter.diff)
  * fixed receipt icons (psi-receipts.diff)
  * updated history patch - icons at popup menu (psi-historydlg.diff)
  * fixed psi-muc-nickclick-chat.diff
  * processOutgoingStanza event filter method (psi-extend-eventfilter.diff)
  * fixed typos in cleaner plugin (thx to tehnick.alive)
  * fixed typos in psi-implements-iq-version-stuff-in-discodlg.diff (thx to tehnick.alive)
  * processOutgoingStanza renamed to outgoingStanza and moved to StanzaFilter
    (psi-extend-eventfilter.diff)
  * fixed gmail service plugin, juick plugin and stopspam plugin after StazaFilter changes
  * fixed psi-add-options-color-highlighting.diff
  * fixed other plugins after StazaFilter changes (attention plugin, autoreply plugin,
    birthday reminder plugin, captcha forms plugin, chess plugin, conference logger plugin,
    icq must die plugin, qip x-statuses plugin, storage notes plugin, watcher plugin)
  * updated watcher plugin: sound player detect optimization
  + added detection of bombusng-md, emess, movamessenger and libpurple clients, updated fingeprint
    jisps (psi-client-icons.diff, iconsets/clients/fingerprint.jisp, fingerprint-22.jisp)


2010-12-05  zet
v0.15.3318 Beta
  - убраны патчи psi-fix-grepshortcutkeydialog.diff, psi-fix-adhoc-set-status.diff,
    psi-fix-empty-name-for-bookmark.diff, psi-fix-submenu-hide.diff и
    psi-fix-iconsets-when-changing-profiles.diff. патчи приняты в upstream
  * продолжена работа над медиа-элементами (psi-data-forms-media-element.diff)
  * значительно переработан gmail notification plugin. теперь он называется gmail service plugin
    (v0.5.6)
  * фиксы для psi-hide-muc-auto-join.diff
  + добавлен новый патч, исправляющий подсчёт количества онлайн-контактов в заголовке аккаунта
    в ростере при уходе одного из контактов в оффлайн (psi-fix-online-contact-count.diff)
  + добавлены приоритеты для плагинной системы
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff,
    psi-access-to-iconfactory-from-plugins.diff, psi-access-to-activetab-from-plugins.diff,
    psi-add-toolbar-button-from-plugins.diff, psi-access-to-menus-from-plugins.diff,
    psi-change-contacts-status-from-plugins.diff, psi-set-account-status-from-plugins.diff)
  * stop spam plugin: имя бинарного файла плагина изменено с
    "aaastopspamplugin.dll" на "stopspamplugin.dll"
  * теперь stop spam plugin имеет наивысший приоритет среди плагинов
  + добавлен новый патч для решения задачи 368,
    http://code.google.com/p/psi-dev/issues/detail?id=368 (psi-fix-is368.diff)
  - убран патч psi-fix-is368.diff. патч принят в upstream
  + добавлен новый патч на улучшение поведения элементов ростера при их перетаскивании. теперь
    возможно скопировать контакт ростера в несколько групп (с нажатым Ctrl)
    [psi-fix-drag-n-drop.diff]
  - убран патч psi-fix-drag-n-drop.diff. патч принят в upstream
  - убран ненужный патч psiplus-fix-application-info-defines.diff
  + добавлены ростерные иконпаки (crystal-aim.jisp, crystal-gadu.jisp, crystal-icq.jisp,
    crystal-msn.jisp, crystal-roster.jisp, crystal-service.jisp, crystal-sms.jisp,
    crystal-yahoo.jisp, stellar-1.jisp, GreenWeb.jisp, thomas.jisp, wpkontakt2.jisp, wpkontakt3.jisp)
  + добавлен новый патч для поддержки MPRIS. актуален ТОЛЬКО для *nix-систем (psi-nix-mpris.diff)
  * обновлён screenshot plugin до версии 0.4.4. плагин теперь использует настройки прокси
    со страницы настроек приложения
  * обновлён состав участников проекта Psi+ (psiplus-aboutdlg.diff)
  * исправлена излишняя активность посылки событий tunes (psi-nix-mpris.diff)
  + добавлена поддержка MPRIS v2 (psi-nix-mpris.diff)
  - убран патч psi-openssl-1.0-defaults-compatibility.diff. патч принят в upstream
  * обновлён content downloader plugin. исправлены проблемы с кодировками (v0.1.8)
  * исправлен ростерный иконпак weatheraqua.jisp
  * обновлён juick plugin до версии 0.10.4. добавлена возможность указать список джидов,
    для которых будет происходить обработка сообщений (экспериментально)
  --
  - removed patches psi-fix-grepshortcutkeydialog.diff, psi-fix-adhoc-set-status.diff,
    psi-fix-empty-name-for-bookmark.diff, psi-fix-submenu-hide.diff,
    psi-fix-iconsets-when-changing-profiles.diff. patches applyed by upstream
  * some progress on media element (psi-data-forms-media-element.diff)
  * rewritten gmail notification plugin and renamed to gmail service plugin (v0.5.6)
  * small fix to psi-hide-muc-auto-join.diff
  + added new patch to fix online contact count in account header when one of contacts goes offline
    (psi-fix-online-contact-count.diff)
  * small fix to gmail service pluign
  * stop spam plugin: the filename of binary file 'aaastopspamplugin.dll' renamed to
    'stopspamplugin.dll'
  + added priority to plugins (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff,
    psi-access-to-iconfactory-from-plugins.diff, psi-access-to-activetab-from-plugins.diff,
    psi-add-toolbar-button-from-plugins.diff, psi-access-to-menus-from-plugins.diff,
    psi-change-contacts-status-from-plugins.diff, psi-set-account-status-from-plugins.diff)
  * make stop spam plugin highest priority plugins
  * psiplus-install.nsi: aaastopspamplugin -> stopspamplugin
  + added new patch to fix issue 368, http://code.google.com/p/psi-dev/issues/detail?id=368
    (psi-fix-is368.diff)
  - removed psi-fix-is368.diff. patch applyed by upstream
  + added new patch to some fixes to drag-n-drop of contacts. for now is possible to copy contact
    to several groups (psi-fix-drag-n-drop.diff)
  - removed psi-fix-drag-n-drop.diff. patch applyed by upstream
  - removed more unnecessary patch psiplus-fix-application-info-defines.diff
  + added more roster iconsets for content downloader plugin (crystal-aim.jisp, crystal-gadu.jisp,
    crystal-icq.jisp, crystal-msn.jisp, crystal-roster.jisp, crystal-service.jisp, crystal-sms.jisp,
    crystal-yahoo.jisp, stellar-1.jisp, GreenWeb.jisp, thomas.jisp, wpkontakt2.jisp, wpkontakt3.jisp)
  + added new patch to MPRIS support. for *nix systems only (psi-nix-mpris.diff)
  * updated screenshot plugin to v0.4.4
  * updated project members list (psiplus-aboutdlg.diff)
  * fixed excessive tunes sending (psi-nix-mpris.diff)
  + added MPRIS v2 support (psi-nix-mpris.diff)
  - removed psi-openssl-1.0-defaults-compatibility.diff. patch applyed by upstream
  * updated content downloader plugin. fixed encoding problems (v0.1.8)
  * fixed roster iconset weatheraqua.jisp
  * updated juick plugin to v0.10.4


2010-11-28  zet
v0.15.3275 Beta
  + менеджер аккаунтов: добавлена возможность сортировки аккаунтов в списке аккаунтов
    (psi-allow-accounts-reordering-in-manager.diff)
  + добавлен новый патч для решения задачи 91, http://code.google.com/p/psi-dev/issues/detail?id=91,
    используется advanced-опция options.ui.muc.hide-on-autojoin (psi-hide-muc-auto-join.diff)
  * фиксы для патча psi-roster-avatar-frame.diff
  * улучшена сортировка аккаунтов в списке аккаунтов (по алфавиту + перетаскивание)
    [psi-allow-accounts-reordering-in-manager.diff]
  * убраны ненужные вызовы после фиксов из предыдущего коммита
    (psi-allow-accounts-reordering-in-manager.diff)
  * фиксы для режима "окна без границ" (psiplus-decorate-windows.diff,
    psi-save-maximized-window-state.diff, psi-vert-splitter-position.diff)
  + добавлен новый патч для вызова из меню Help формы присоединения к конференции Psi+ вместо формы
    присоединения к конференции официальной Psi (psiplus-join-to-support-muc.diff)
  * gmail notification plugin переименован в gmail servic eplugin
    (http://psi-plus.com/wiki/plugins#gmail_service_plugin)
  * updated gmailserviceplugin. added support of Off The Record chats extension
  * исправления для cleaner plugin (корректная работа при смене профиля)
  + добавлен новый патч, добавляющий возможность перехода по ссылке, указанной в соответствующем
    поле vCard (psi-vcard-open-homepage.diff)
  * улучшения процесса открытия домашней странички из vCard. добавлена поддержка протокола omit
    (psi-vcard-open-homepage.diff)
  --
  + allow account sorting in account manager (psi-allow-accounts-reordering-in-manager.diff)
  + added new patch to fix issue 91, http://code.google.com/p/psi-dev/issues/detail?id=91 ,
    use options.ui.muc.hide-on-autojoin (psi-hide-muc-auto-join.diff)
  * fixed psi-roster-avatar-frame.diff
  * a little of sorting magic in account manager (psi-allow-accounts-reordering-in-manager.diff)
  * remove unnecessary calls from previous fixes (psi-allow-accounts-reordering-in-manager.diff)
  * changed borderless mode (psiplus-decorate-windows.diff, psi-save-maximized-window-state.diff,
    psi-vert-splitter-position.diff)
  * no template error fix (psiplus-decorate-windows.diff)
  + added new patch to change muc action from help menu to join to psi+ conference instead of
    upstreams one (psiplus-join-to-support-muc.diff)
  * updated gmail notify plugin (http://psi-plus.com/wiki/plugins#gmail_service_plugin)
  * updated gmailplugin. add support of Off the record chats extension
  * fixes for cleaner plugin
  * gmailnotifyplugin -> gmailserviceplugin
  + added new patch to open homepage from vcard (psi-vcard-open-homepage.diff)
  * improved homepage opener from previous commit. allows to omit protocol
    (psi-vcard-open-homepage.diff)


2010-11-21  zet
v0.15.3252 Beta
  + добавлен новый патч для управления питанием, подробнее -- 
    http://lists.affinix.com/pipermail/psi-devel-affinix.com/2010-November/009129.html
    (psi-nix-systemwatch-over-upower-service.diff) [актуален только для *nix-систем]
  * исправлен баг при вызове диалога с настройками приложения (psi-fix-bug-in-options.diff)
  * исправлено падение приложения при смене профиля
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff)
  * фикс патча psi-entity-time.diff
  - убраны патчи psi-fix-removing-sorted-contacts.diff и psi-fix-bug-in-options.diff. данные патчи
    приняты в upstream
  + добавлен новый патч, рисующий разделитель неактивных сессий в чатлогах (не в конференциях)
    [psi-add-trackbar-to-chats.diff]
  - убран патч psi-tr-admin.diff. патч принят в upstream
  * обновлён иконпак настроений silk.jisp, v1.2 (iconsets/moods/silk.jisp)
  + добавлен новый патч, устраняющий проблемы работы иконпаков после смены профиля 
    (psi-fix-iconsets-when-changing-profiles.diff), исправлен патч
    psi-access-to-iconfactory-from-plugins.diff для работы с новым патчем
  * опция "use-default-avatar" теперь включена по умолчанию для нового профиля
    (psi-modern-roster.diff)
  * фиксы отображения градиента в ростере (psi-muc-minimize-to-roster.diff)
  * исправлено отображение события от "пустого" контакта. подробнее -- 
    http://code.google.com/p/psi-dev/issues/detail?id=49#c11
    (psi-muc-minimize-to-roster.diff)
  + добавлен новый патч для запоминания положения разделителя области чатлога и поля ввода сообщения
    (psi-vert-splitter-position.diff)
  * решена задача 365, http://code.google.com/p/psi-dev/issues/detail?id=365
    (psi-roster-autohide.diff)
  * решена задача 354, http://code.google.com/p/psi-dev/issues/detail?id=354
    (psi-roster-avatar-frame.diff, psi-presets-in-status-menu.diff)
  * обновлён skins plugin до версии 0.2.9
  + добавлен новый патч для корректного отображения прозрачности аватара
    (psi-fix-avatar-transparency.diff)
  - убраны неиспользумые скины для Mac OS X из скрипта сборки инсталлятора для win32
    (psiplus-install.nsi)
  - убраны неиспользуемые скины для Mac OS X из скрипта сборки билдов для *nix-систем
    (trunk/scripts/posix/psibuild-deb.sh)
  + добавлен новый патч, позволяющий сортировать аккаунты в списке менеджера аккаунтов. первый
    аккаунт в списке является аккаунтом по умолчанию (psi-allow-accounts-reordering-in-manager.diff)
  --
  + added upower systemwatch patch from
    http://lists.affinix.com/pipermail/psi-devel-affinix.com/2010-November/009129.html
    (psi-nix-systemwatch-over-upower-service.diff) [for *nix only]
  * split proxy-settings patch (psi-proxy-settings-in-opt.diff)
  * fixed stupid bug in options (psi-fix-bug-in-options.diff)
  * media element updated to current bob changes (psi-bits-of-binary.diff,
    psi-data-forms-media-element.diff, psi-entity-time.diff,
    psiplus-fix-application-info-defines.diff, psiplus-os-hide.diff, psi-improve-adhoc-forms.diff,
    psi-change-password-dialog.diff)
  * fixed crash when changing profiles
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff)
  * fixed psi-entity-time.diff
  - removed psi-fix-removing-sorted-contacts.diff and psi-fix-bug-in-options.diff. patches applyed
    by upstream
  + added new patch for adds trckbar to chats (not muc) [psi-add-trackbar-to-chats.diff]
  - removed psi-tr-admin.diff. patch applyed by upstream
  * updated silk.jisp, v1.2 (iconsets/moods/silk.jisp)
  + added new patch to fix problems with iconsets when changing profiles
    (psi-fix-iconsets-when-changing-profiles.diff), fix psi-access-to-iconfactory-from-plugins.diff
    for working with new patch
  * use-default-avatar=true for new profile (psi-modern-roster.diff)
  * some fixes to painting gradient in roster (psi-muc-minimize-to-roster.diff)
  * fixed opening event from empty contact (http://code.google.com/p/psi-dev/issues/detail?id=49#c11)
    [psi-muc-minimize-to-roster.diff]
  + added new patch to remember the vertical splitter position (psi-vert-splitter-position.diff)
  * fixed http://code.google.com/p/psi-dev/issues/detail?id=365 (psi-roster-autohide.diff)
  * fixed http://code.google.com/p/psi-dev/issues/detail?id=354 (psi-roster-avatar-frame.diff,
    psi-presets-in-status-menu.diff)
  * fix compillation failure with disabled dbus (psi-nix-systemwatch-over-upower-service.diff)
  * updated skins plugin to v0.2.9
  + added new patch to fix avatar transparency (psi-fix-avatar-transparency.diff)
  - removed mac skin from psiplus-install.nsi for win32 installers
  - killing unused mac skins (trunk/scripts/posix/psibuild-deb.sh)
  + added new patch which allows to set order of accounts in account manager. first account is
    usually default accounts, so its affected (psi-allow-accounts-reordering-in-manager.diff)


2010-11-14  zet
v0.15.3200 Beta
  + добавлен новый патч psi-show-activity-and-mood-descriptions.diff
  * разделён патч psi-show-activity-and-mood-descriptions и объединён с патчами psi-mood-icons и
    psi-activity-icons (psi-mood-icons-and-description.diff,
    psi-activity-icons-and-description.diff)
  + добавлен новый патч psi-chatview-quote-feature.diff
  * фикс TabDlg closeTab. фикс максимизации EventDlg (psi-save-maximized-window-state.diff)
  * поправлен патч psi-chatview-quote-feature для поддержки копирования смайлов
    (psi-chatview-quote-feature.diff)
  + добавлен новый патч, решающий задачу http://code.google.com/p/psi-dev/issues/detail?id=147
    (psi-resolve-nickname-by-N-for-adduserdlg.diff)
  + добавлен новый патч, включающий по умолчанию фильтры при вызове xml-консоли
    (psi-xmlconsole-filter-group-always-enable.diff)
  + добавлен новый патч для поддержки капчи при регистрации аккаунта непосредственно из Psi+
    (psi-captcha.diff)
  + добавлен новый патч psi-internal-changes-tabbablewidget.diff (экспериментально)
  - убран патч psi-fix-dont-parse-disco-register-form-twice.diff, т.к. он принят в upstream
  + добавлен новый патч для возможности настройки прокси-сервера для разных сущностей. патч
    добавляет настройки на вкладку Application (Приложение) в настройках приложения
    (psi-proxy-settings-in-opt.diff)
  * обновлён juick plugin. теперь можно настраивать использование прокси-сервера непосредственно в
    настройках приложения на вкладке Application (Приложение)
  * фикс для options.ui.look.colors.messages.highlighting (psi-add-options-color-highlighting.diff)
  * обновлён juick plugin: исправлена обработка превью фотографий в сообщениях от бота juiсk
  * обновлён birthday reminder plugin до версии 0.3.0
  + добавлен новый патч для исправления поведения метода optionChanged() в плагинной системе
    (psi-fix-optionChanged-method-in-plugins.diff)
  * добавлены команды вызова некоторых плагинов из меню чата в компактном режиме когда скрыт
    центральный тулбар (psi-add-toolbar-button-from-plugins.diff)
  * поправлен патч psiplus-decorate-windows для улучшения работы окон/табов в ОС Haiku
    (спасибо Diger) [psiplus-decorate-windows.diff]
  * обновлён content downloader plugin до версии 0.1.7. теперь плагин не зависит от библиотеки
    libproxy
  * улучшения в патче psi-access-to-contact-info-from-plugins и небольшие обновления для
    stop spam plugin (psi-access-to-contact-info-from-plugins.diff)
  * обновлён watcher plugin до версии 0.3.5
  * обновлён список активных участников проекта на вкладке Help -> About Psi+
    (psiplus-aboutdlg.diff)
  ! обновлены системные библиотеки Qt до версии 4.7.1, подробнее -- 
    http://qt.nokia.com/developer/changes/changes-4.7.1
  --
  + added new patch psi-show-activity-and-mood-descriptions.diff
  * splited psi-show-activity-and-mood-descriptions and merged with psi-mood-icons and
    psi-activity-icons patches (psi-mood-icons-and-description.diff,
    psi-activity-icons-and-description.diff)
  + added new patch psi-chatview-quote-feature.diff
  * TabDlg closeTab fix. EventDlg maximize fix (psi-save-maximized-window-state.diff)
  * fixed psi-chatview-quote-feature patch to support smiles (psi-chatview-quote-feature.diff)
  + added new patch to fix http://code.google.com/p/psi-dev/issues/detail?id=147
    (psi-resolve-nickname-by-N-for-adduserdlg.diff)
  + added new patch psi-xmlconsole-filter-group-always-enable.diff
  + added new patch for support captcha registration (psi-captcha.diff)
  + added new patch psi-internal-changes-tabbablewidget.diff (experimental)
  - removed psi-fix-dont-parse-disco-register-form-twice.diff. patch applyed by upstream
  + added new patch psi-proxy-settings-in-opt.diff
  * updated juick plugin. now it uses proxy settings from application options tab
  * fixed options.ui.look.colors.messages.highlighting (psi-add-options-color-highlighting.diff)
  * updated juick plugin: fixed preview
  * fixed psi-internal-changes-tabbablewidget.diff
  * updated birthday reminder plugin to v0.3.0
  + added new patch to fix optionChanged() method in plugins
    (psi-fix-optionChanged-method-in-plugins.diff)
  * copied plugins actions from central toolbar to the chat menu when toolbar is hidden
    (psi-add-toolbar-button-from-plugins.diff)
  * fixed psiplus-decorate-windows patch to working fine with Haiku, by Diger
    (psiplus-decorate-windows.diff)
  * updated content downloader plugin to v0.1.7. at now this plugin does not depend on the
    libproxy library
  * improved psi-access-to-contact-info-from-plugins patch and small update for stop spam plugin
    (psi-access-to-contact-info-from-plugins.diff)
  * updated watcher plugin to v0.3.5
  * updated active Psi+ Project members (psiplus-aboutdlg.diff)
  ! updated Qt libs to v4.7.1, http://qt.nokia.com/developer/changes/changes-4.7.1


2010-10-31  zet
v0.15.3135 Beta
  * обновлён патч на отрисовку иконки статуса в заголовке таба. теперь события composing и иконка
    сообщения корректно отображаются в заголовке таба (psi-tab-status-icon.diff,
    psi-muc-roster-size-and-location.diff, psi-muc-minimize-to-roster.diff,
    psiplus-decorate-windows.diff, psi-colors-for-tabs.diff)
  - убран патч psi-fix-crash-in-muc-configurator.diff. принят в основную ветвь Psi
  + добавлен новый патч для добавления в графический интерфейс настроек опции на включение
    приёма/передачи видео при совершении голосовых вызовов. ранее этот параметр задавался в
    переменных окружения (psi-video-option.diff)
  * обновлены некоторые патчи (psi-iconsets.diff, psi-tab-status-icon.diff, psi-colors-for-tabs.diff)
  + добавлен новый патч для корректировки поведения всплывающих уведомлений: добавлена возможность
    настройки некоторых параметров всплывающих уведомлений через графический интерфейс CSS.
    см. fancypopup.ui для подробностей (psiplus-new-popups.diff)
  * больше опций для CSS: теперь возможно задать основной цвет для таба через TabDlg { color: ... ;}
    [psi-colors-for-tabs.diff]
  + добавлен репозиторий для хранения описаний существующих ресурсов приложения (trunk/resources)
  * обновлён content downloader plugin: поправлена ссылка на хранилище описаний ресурсов (v0.1.6)
  * больше отступов во всплывающих окнах (psiplus-new-popups.diff)
  * RosterAvatarFrame теперь настраиваем через CSS (psi-roster-avatar-frame.diff)
  * обновлён attention plugin до версии 0.1.3
  * исправлена отрисовка CSS на табах после сворачивания/разворачивания
    (psi-muc-minimize-to-roster.diff)
  + добавлен новый патч для добавления функционала всплывающих уведомлений о написании сообщения
    (psi-typing-notify-popups.diff)
  + добавлена возможность включения только приёма событий composing (без отправки соответствующих
    уведомлений) [psi-typing-notify-popups.diff]
  --
  * updated tab-status-icons patch. now composing and message icons are shown on tabs
    (psi-tab-status-icon.diff, psi-muc-roster-size-and-location.diff,
    psi-muc-minimize-to-roster.diff, psiplus-decorate-windows.diff, psi-colors-for-tabs.diff)
  - removed patch psi-fix-crash-in-muc-configurator.diff. goes to upstream
  + added new patch for enable video support in options - not in ENV (psi-video-option.diff)
  * updated some patches (psi-iconsets.diff, psi-tab-status-icon.diff, psi-colors-for-tabs.diff)
  + added new patch for some fixes to popups: add ui. now easy configuring via css. see
    fancypopup.ui for details (psiplus-new-popups.diff)
  * more options for CSS: now can set general color for tabs via TabDlg { color: ... ;}
    [psi-colors-for-tabs.diff]
  + added repository for descriptions of some resource files (trunk/resources)
  * updated content downloader plugin: fixed link to file of resources (v0.1.6)
  * more space in popups (psiplus-new-popups.diff)
  * RosterAvatarFrame now more configurable via css (psi-roster-avatar-frame.diff)
  * updated attention plugin to v0.1.3
  * correct works of CSS on tab after hiding/showing (psi-muc-minimize-to-roster.diff)
  + added new patch for adds typing notify popups to core (psi-typing-notify-popups.diff)
  + added ability for composing events receive only (psi-typing-notify-popups.diff)


2010-10-18  zet
v0.15.3102 Beta
  + добавлены лицензия и копирайт в файлы плагина content downloader plugin
  + добавлены лицензия и копирайт в файлы плагина icq must die plugin
  * некоторые фиксы патча psi-plugins-options-and-fix-plugins-loading-and-unloading.diff
  * поправлен патч psi-plugin-info-button.diff
  + добавлен новый вариант отображения диалогов с историей переписки
    (автор - Piotrek Okonski <piotrek@okonski.org>) [psi-historydlg.diff]
  + добавлен новый патч для совместимости с mingw-w64 (psi-mingw-w64-compatibility.diff)
  * синхронизация патча совместимости с upstream-репозиторием (psi-gcc-4.6-compatibility.diff)
  * обновлён content downloader plugin до версии 0.1.5. теперь кнопка "Download and Install"
    неактивна при открытии окна с настройками плагина (не выбран ни один ресурс), подробнее --
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/contentdownloaderplugin/changelog.txt
  + добавлен новый набор с иконками аффиляций stellar1-affiliations.jisp
    (iconsets/affiliations/stellar1-affiliations.jisp)
  * обновлён icq must die plugin до версии 0.1.5 (настраиваемое количество сообщений пользователю)
  + добавлен новый патч для решения задачи 357,
    http://code.google.com/p/psi-dev/issues/detail?id=357 (psi-workaround-adhoc-form-closes.diff)
  * обновлён системный иконпак nuvola-system.jisp (iconsets/system/nuvola-system.jisp)
  + добавлены лицензия и копирайт в файлы некоторых плагинов Psi+ (attention plugin,
    auto reply plugin, birthday reminder plugin, captcha forms plugin, chess plugin, cleaner plugin,
    conference logger plugin, extended options plugin, gmail notification plugin,
    history keeper plugin, image plugin, juick plugin, qip x-statuses plugin, screenshot plugin,
    skins plugin, stop spam plugin, storage notes plugin, translate plugin, video status plugin,
    watcher plugin)
  + добавлен новый патч для поддержки декоративного обрамления диалоговых окон в Psi+
    ("режим окна без границ") [psiplus-decorate-windows.diff, автор - KukuRuzo]
  * исправлено восстановление окна в режиме без границ (psiplus-decorate-windows.diff)
  * обновлён skins plugin до версии 0.2.8
  + добавлен новый патч для сохранения положения окна на рабочем столе при перезапуске Psi+
    (psi-save-maximized-window-state.diff, авторы - Dealer_WeARE и KukuRuzo)
  * обновлён night skin (v.0.4)
  * обновлён stop spam plugin до версии 0.4.4
  * исправлен патч psi-workaround-adhoc-form-closes (psi-workaround-adhoc-form-closes.diff)
  - убран патч psi-fix-hidden-group. принят в upstream-репозиторий (psi-fix-hidden-group.diff)
  * исправлен заголовок окна в режиме без границ (psiplus-decorate-windows.diff)
  * решена задача 346 (падение приложения при вызове конфигуратора конференции,
    http://code.google.com/p/psi-dev/issues/detail?id=346 (psi-fix-crash-in-muc-configurator.diff)
  + добавлен новый патч, добавляющий две новые advanced-опции приложения:
    options.ui.look.colors.chat.composing-color и options.ui.look.colors.chat.unread-message-color
    (psi-colors-for-tabs.diff)
  * обновлены некоторые ростерные иконпаки (iconsets/roster/blackroster.jisp, icq.jisp,
    nuvola-roster.jisp, oxygen-roster-22.jisp, oxygen.jisp, qipinfium.jisp, white_theme.jisp)
  ! обновлены системные библиотеки Qt до версии 4.7.0, подробнее --
    http://qt.nokia.com/developer/changes/changes-4.7.0
  --
  + added license and copyright to content downloader plugin
  + added license and copyright to icq must die plugin
  * some fixes to psi-plugins-options-and-fix-plugins-loading-and-unloading.diff
  * get rid of fuzzes (psi-plugin-info-button.diff)
  * updated content downloader plugin to v0.1.5,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/contentdownloaderplugin/changelog.txt
  + added new history from Piotrek Okonski <piotrek@okonski.org> (psi-historydlg.diff)
  + added mingw-w64 compatibility patch (psi-mingw-w64-compatibility.diff)
  * sync with upstream (psi-gcc-4.6-compatibility.diff)
  * updated content downloader plugin. "Download and Install" button now disabled on open plugin
  + added stellar1-affiliations.jisp (iconsets/affiliations/stellar1-affiliations.jisp)
  * updated icq must die plugin to v0.1.5 (message count)
  + added new patch to fix issue 357, http://code.google.com/p/psi-dev/issues/detail?id=357
    (psi-workaround-adhoc-form-closes.diff)
  * updated nuvola-system.jisp (iconsets/system/nuvola-system.jisp)
  + added license and copyright for some Psi+ plugins (attention plugin, auto reply plugin,
    birthday reminder plugin, captcha forms plugin, chess plugin, cleaner plugin,
    conference logger plugin, extended options plugin, gmail notification plugin,
    history keeper plugin, image plugin, juick plugin, qip x-statuses plugin, screenshot plugin,
    skins plugin, stop spam plugin, storage notes plugin, translate plugin, video status plugin,
    watcher plugin)
  + added new patch psiplus-decorate-windows.diff by KukuRuzo
  * fixed restore window in borderless mode (psiplus-decorate-windows.diff)
  * updated skins plugin to v0.2.8
  + added new patch psi-save-maximized-window-state.diff by Dealer_WeARE and KukuRuzo
  * updated night skin (v.0.4)
  * updated stop spam plugin to v0.4.4
  * fixed psi-workaround-adhoc-form-closes patch (psi-workaround-adhoc-form-closes.diff)
  - removed psi-fix-hidden-group patch. applyed by upstream (psi-fix-hidden-group.diff)
  * fixed chat window header in borderless mode (psiplus-decorate-windows.diff)
  * fixed issue 346 (crash in groupchat configurator),
    http://code.google.com/p/psi-dev/issues/detail?id=346 (psi-fix-crash-in-muc-configurator.diff)
  + added new patch to add 2 new options 'options.ui.look.colors.chat.composing-color' and
    'options.ui.look.colors.chat.unread-message-color' (psi-colors-for-tabs.diff)
  * updated some roster iconsets (iconsets/roster/blackroster.jisp, icq.jisp, nuvola-roster.jisp,
    oxygen-roster-22.jisp, oxygen.jisp, qipinfium.jisp, white_theme.jisp)
  ! updated Qt libs to v4.7.0, http://qt.nokia.com/developer/changes/changes-4.7.0


2010-09-19  zet
v0.15.3026 Beta
  * исправлена ошибка отображения аватар при использовании прокси-сервера в настройках juick plugin
  + команда Block работает теперь и для транспортов в ростере (psi-block-contact-from-menu.diff)
  + добавлен новый патч для корректной выгрузки виджета перед выгрузкой плагина при завершении
    работы приложения (psi-remove-widget-before-removing-plugin.diff)
  * attention plugin - фикс текста сообщения в алерте
  + добавлен новый патч для корректного отображения размера виджета с настройками плагина
    (psi-correct-plugin-widget-size.diff)
  * обновлён the_orange.png (skins/universal/orange)
  * attention plugin: корректное отображение размера виджета с настройками плагина
  * qip x-statuses plugin: корректное отображение размера виджета с настройками плагина
  * stop spam plugin: корректное отображение размера виджета с настройками плагина
  * обновлена ссылка на wiki для всех плагинов Psi+ (в окне с настройками плагинов)
  + добавлен новый патч для совместимости с openssl v1.0
    (psi-openssl-1.0-defaults-compatibility.diff)
  * storage notes plugin: корректное отображение размера виджета с настройками плагина
  * image plugin: корректное отображение размера виджета с настройками плагина
  * объединены патчи psi-plugins-options-and-fix-plugins-loading-and-unloading.diff,
    psi-remove-widget-before-removing-plugin.diff и psi-correct-plugin-widget-size.diff
    в один общий патч psi-plugins-options-and-fix-plugins-loading-and-unloading.diff
  + добавлен новый патч для исправления падения приложения при выборе смайлпака. подробнее --
    http://code.google.com/p/psi-dev/issues/detail?id=348 (psi-fixed-kde-crash.diff)
  - патч psi-fixed-kde-crash.diff принят в официальную ветвь Psi (upstream)
  + добавлен новый патч для psimedia: этот приём упрощает инициализацию камеры, также работает
    с uvcvideo-камерами. проверено на uvcvideo, gspca-камерах (spca561 и sq905)
    (trunk/patches/psimedia/0030-psimedia-uvcvideo-fix.diff)
  * captcha forms plugin: фикс при использовании прокси-сервера
  + добавлен новый плагин -- content downloader plugin (v0.1.4), подробнее --
    http://psi-plus.com/wiki/plugins#content_downloader_plugin
  ! Psi+ wiki: подготовка к переезду на http://psi-plus.com/wiki/
  --
  * corrected info in juickplugin.cpp, small fix to juick plugin
  + add block menu item for agents (psi-block-contact-from-menu.diff)
  + added new patch psi-remove-widget-before-removing-plugin.diff
  * updated attention plugin - fix translation
  + added new patch which make to correct plugin widget size (psi-correct-plugin-widget-size.diff)
  * updated the_orange.png (skins/universal/orange)
  * updated attention plugin: correct layout on options widget
  * updated qip x-statuses plugin: correct layout on options widget
  * updated stop spam plugin: optimized size of options widget
  * updated wiki url for Psi+ plugins options window
  + added patch for openssl-1.0 compatibility (psi-openssl-1.0-defaults-compatibility.diff)
  * updated storage notes plugin: correct stretch on options widget
  * updated image plugin: correct stretch on options widget
  * merged psi-plugins-options-and-fix-plugins-loading-and-unloading.diff,
    psi-remove-widget-before-removing-plugin.diff and psi-correct-plugin-widget-size.diff to
    psi-plugins-options-and-fix-plugins-loading-and-unloading.diff
  + added patch for fix crash Psi+ on select and apply iconsets. look at issue 348
    (psi-fixed-kde-crush.diff)
  - psi-fixed-kde-crush.diff went to upstream
  + added new patch for psimedia: this hack simplifies the camera initialization to something that
    also works with uvcvideo cameras. verified with uvcvideo, gspca (spca561 and sq905) cameras
    (trunk/patches/psimedia/0030-psimedia-uvcvideo-fix.diff)
  * fixed captcha forms plugin
  + added new plugin -- content downloader plugin (v0.1.4), see at
    http://psi-plus.com/wiki/plugins#content_downloader_plugin
  ! Psi+ wiki: preparation for migration to http://psi-plus.com/wiki/


2010-09-05  zet
v0.15.2911 Beta
  + добавлен детект jabber-бота из семейства Talisman (psi-client-icons.diff)
  + добавлен детект jabber-бота JabRSS и vkontakte j2j-транспорта (psi-client-icons.diff)
  + добавлен новый набор иконок аффиляций "Kingdom" (iconsets/affiliations/kingdom-affiliations.jisp)
  * попытка фикса проверяльщика обновлений под win32. требуется тестирование на win32 при
    подключении через прокси-сервер (psi-dirty-check.diff)
  * обновлён juick plugin до версии 0.9.16
  + добавлен новый патч для возможности блокировки контактов непосредственно из контекстного меню
    ростера. бОльшая часть кода взята из Япси. требуется тестирование
    (psi-block-contact-from-menu.diff)
  * обновлён патч для быстрой блокировки контактов: команда "Block" неактивна если сервер
    не поддерживает "XEP-0016: Privacy Lists", команда "Block" спрятана для контактов-приватов
    конференций и транспортов, команда "Block" доступна в контекстном меню на контакте
    с конференцией в основном ростере (psi-block-contact-from-menu.diff)
  * обновлён логотип Psi+ в наборах системных иконок (iconsets/system/blacksys.jisp,
    nuvola-system.jisp, oxygen_sys.jisp, oxygen_sys_22.jisp, qipinfium_sys.jisp,
    summer-system.jisp, tango_system.jisp, whitesys.jisp)
  + добавлено 2 новых набора иконок аффиляций
    (iconsets/affiliations/award-affiliations.jisp, people_of_color-affiliations.jisp)
  * обновлён stop spam plugin до версии 0.4.2
  ! обновлены библиотеки win32 openssl до версии 0.9.8o
    (скомпилировано в mingw gcc из исходников http://www.openssl.org/source/openssl-0.9.8o.tar.gz)
  --
  + added bot detection from Talisman's family (psi-client-icons.diff)
  + added detection of JabRSS bot, vkontakte j2j transport (psi-client-icons.diff)
  + added "Kingdom" affiliations iconset (iconsets/affiliations/kingdom-affiliations.jisp)
  * try to fix dirty check patch. test it on Windows with network connection through proxy
    (psi-dirty-check.diff)
  * updated juick plugin to v0.9.16
  + added new patch for the possibility of blocking contacts from the roster contact menu. most of
    the code is taken from Yapsi. needs to test (psi-block-contact-from-menu.diff)
  * updated blocking patch: inactive block item if 'XEP-0016: Privacy Lists' not supported
    by server; hide block item for privates and agents; add block item for conferences
    (psi-block-contact-from-menu.diff)
  * updated Psi+ logo (iconsets/system/blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, qipinfium_sys.jisp, summer-system.jisp, tango_system.jisp, whitesys.jisp)
  + added new affiliations iconsets
    (iconsets/affiliations/award-affiliations.jisp, people_of_color-affiliations.jisp)
  * updated stop spam plugin to v0.4.2
  ! updated win32 openssl libs to v0.9.8o
    (compiled by mingw gcc compiler from source http://www.openssl.org/source/openssl-0.9.8o.tar.gz)


2010-08-29  zet
v0.15.2862 Beta
  + добавлены 3 новых ростерных иконпака (iconsets/roster/Lamps_green.jisp,
    iconsets/roster/Lamps_blue.jisp, iconsets/roster/Lamps_red.jisp)
  * решена задача 330, http://code.google.com/p/psi-dev/issues/detail?id=330
    (psi-add-contact-from-chat-dialog.diff)
  + добавлен новый ростерный иконпак (iconsets/roster/Hearts-for-iSida-bot.jisp)
  * исправлено падение приложения при попытке просмотра информации об иконпаке VKontakte.ru.jisp
    (iconsets/roster/VKontakte.ru.jisp)
  * теперь кнопка "add contact" отображается динамически (psi-add-contact-from-chat-dialog.diff)
  * фиксы некоторых иконпаков (Hearts-for-iSida-bot.jisp, VKontakte.ru.jisp)
  * обновлён storage notes plugin до версии 0.1.3
  + добавлен новый патч, добавляющиий опцию "options.ui.tabs.mouse-doubleclick-action".
    опция поддерживает три значения: "hide", "close" и "detach"
    [psi-hide-or-close-tab-on-doubleclick.diff]
  + добавлен новый патч, решающий задачу 214, http://code.google.com/p/psi-dev/issues/detail?id=214
    (psi-do-not-disable-execute-command-menu-item.diff)
  * пункт меню 'execute command' теперь доступен и для транспорта в оффлайн-состоянии
    (psi-do-not-disable-execute-command-menu-item.diff)
  + добавлен новый патч, добавляющий возможность вставки в поле ввода ника участника конференции
    по нажатию комбинации "leftclick+shift" на элементе в ростере конференции (спасибо taurus)
    [psi-insert-nick-on-shift-plus-leftclick.diff]
  + добавлены 2 новых ростерных иконпака
    (iconsets/roster/Facebook.jisp, iconsets/roster/VKontakte.jisp)
  * обновлён состав участников проекта Psi+ (psiplus-aboutdlg.diff)
  + добавлен детект jabber-клиента Imov im-client (psi-client-icons.diff)
  * css-стиль для меню xhtml-im (psi-send-xhtml-im.diff)
  + добавлен новый патч для плагинной системы (psi-extend-eventfilter.diff)
  * начата работа над расширением функционала плагинной системы для взаимодействия с OTR-плагином
    (psi-add-toolbar-button-from-plugins.diff, psi-access-to-menus-from-plugins.diff,
    psi-change-contacts-status-from-plugins.diff)
  * обновлены некоторые плагины (gmail notify plugin, juickp lugin, attention plugin, chess plugin,
    conference logger plugin, image plugin)
  + добавлен новый патч для решения задачи 32, http://code.google.com/p/psi-dev/issues/detail?id=32
    (psi-remove-event-when-popup-rightclicked.diff)
  + добавлен новый патч для решения задачи 339, http://code.google.com/p/psi-dev/issues/detail?id=339
    (psi-fix-encoding-of-command-line-arguments.diff)
  + добавлен новый патч для решения задачи 338, http://code.google.com/p/psi-dev/issues/detail?id=338
    (psi-fix-removing-sorted-contacts.diff)
  * фиксы для psi-get-account-info-from-plugins.diff
  + добавлен новый патч, расширяющий возможности доступа к различной информации о контакте
    непосредственно из плагина (psi-access-to-contact-info-from-plugins.diff)
  * обновлён stop spam plugin до версии 0.4.0
  * попытка детекта jabber-бота Talisman (psi-client-icons.diff)
  * обновлён orange skin, v.0.7 (skins/universal/orange/the_orange.skn)
  --
  + added 3 new roster iconsets (iconsets/roster/Lamps_green.jisp, iconsets/roster/Lamps_blue.jisp,
    iconsets/roster/Lamps_red.jisp)
  * fixed issue 330, http://code.google.com/p/psi-dev/issues/detail?id=330
    (psi-add-contact-from-chat-dialog.diff)
  + added new roster iconset (iconsets/roster/Hearts-for-iSida-bot.jisp)
  * fixed crash at view about info for VKontakte.ru.jisp under windows
    (iconsets/roster/VKontakte.ru.jisp)
  * make chatdlg's 'add contact' button visibility dynamic (psi-add-contact-from-chat-dialog.diff)
  * fixed some roster iconsets (Hearts-for-iSida-bot.jisp, VKontakte.ru.jisp)
  * updated storage notes plugin to v0.1.3
  + added new patch for add option 'options.ui.tabs.mouse-doubleclick-action'. supported values are
    'hide', 'close' and 'detach' (psi-hide-or-close-tab-on-doubleclick.diff)
  + added new patch for fix issue 214, http://code.google.com/p/psi-dev/issues/detail?id=214
    (psi-do-not-disable-execute-command-menu-item.diff)
  * 'blank' resource for offline transports at 'execute command' menu
    (psi-do-not-disable-execute-command-menu-item.diff)
  + added new patch for insert nick to muc chatlog by leftclick+shift (thanks to taurus)
    [psi-insert-nick-on-shift-plus-leftclick.diff]
  + added 2 new roster iconsets (iconsets/roster/Facebook.jisp, iconsets/roster/VKontakte.jisp)
  * updated list of participants of the Psi+ project (psiplus-aboutdlg.diff)
  + added detection of Imov im-client (psi-client-icons.diff)
  * css style for xhtml-im menu (psi-send-xhtml-im.diff)
  + added new patch for extend plugin system (psi-extend-eventfilter.diff)
  * extend plugin interface for work with OTR plugin (psi-add-toolbar-button-from-plugins.diff,
    psi-access-to-menus-from-plugins.diff, psi-change-contacts-status-from-plugins.diff)
  * updated some plugins (gmail notify plugin, juick plugin, attention plugin, chess plugin,
    conference logger plugin, image plugin)
  + added new patch for fix issue 32, http://code.google.com/p/psi-dev/issues/detail?id=32
    (psi-remove-event-when-popup-rightclicked.diff)
  + added new patch for fix issue 339, http://code.google.com/p/psi-dev/issues/detail?id=339
    (psi-fix-encoding-of-command-line-arguments.diff)
  + added new patch for fix issue 338, http://code.google.com/p/psi-dev/issues/detail?id=338
    (psi-fix-removing-sorted-contacts.diff)
  * some fixes for psi-get-account-info-from-plugins.diff
  + added new patch for access to different info about contact from plugins
    (psi-access-to-contact-info-from-plugins.diff)
  * updated stop spam plugin to v0.4.0
  * try to detect Talisman bot (psi-client-icons.diff)
  * updated orange skin, v.0.7 (skins/universal/orange/the_orange.skn)


2010-08-15  zet
v0.15.2822 Beta
  * мелкое исправление для psi-small-tooltip-fix.diff (спасибо Hugin)
  * возможный фикс для сборки Psi+ под Haiku OS (psi-tray-act-bring-to-front.diff)
  * сохранение статуса при работе с формой "Set status" (psi-presets-in-status-menu.diff)
  + добавлена возможность опциональной перезаписи последнего выбранного статуса простым статусом
    и шаблоном (psi-presets-in-status-menu.diff)
  + добавлена команда Reconnect в статусные меню (psi-presets-in-status-menu.diff)
  + добавлена возможность опционального отображение приоритета jabber-клиента собеседника
    в информационном сообщении в чате (psi-presets-in-status-menu.diff)
  * теперь сообщение "Logged out" может быть локализовано (psi-presets-in-status-menu.diff)
  + добавлен новый патч для поддержки xmpp uri (psi-unnamed-xmpp-uri-param.diff)
  * исправлен баг с отображением приоритета для оффлайн-статуса в чате
    (psi-presets-in-status-menu.diff)
  + добавлена возможность отображения статусного сообщения и приоритета для вновь присоединившихся
    пользователей в общем чате конференции (psi-presets-in-status-menu.diff)
  * корректное отображение ширины полей ввода значений приоритетов для различных статусов
    (psi-presets-in-status-menu.diff)
  + добавлена опция "Restore last status" в менеджер аккаунта (psi-presets-in-status-menu.diff)
  + добавлена опция "options.ui.muc.show-initial-joins" для вкл/выкл отображения информационных
    сообщений в общем чате при входе в конференцию (psi-presets-in-status-menu.diff)
  * фикс для приоритета по умолчанию (psi-presets-in-status-menu.diff)
  * обновлена иконка для кнопки выбора формата текста в центральном тулбаре
    (iconsets/system/default/psiplus/text.png)
  * обновлён watcher plugin до версии 0.3.3,
    http://psi-plus.com/wiki/plugins#watcher_plugin
  + добавлен патч для добавления нового контакта непосредственно из окна чата или приватного окна
    конференции (psi-add-contact-from-chat-dialog.diff)
  * кнопка добавления нового контакта смещена в крайнее правое положение на центральном тулбаре
    (psi-add-contact-from-chat-dialog.diff)
  * наведён порядок с иконпаками смайлов:
     + добавлен iconsets/emoticons/kolobok_pidgin.jisp
     + добавлен iconsets/emoticons/kolobok_qip_dark.jisp
     + добавлен iconsets/emoticons/tasha_bombus.jisp
     * обновлён iconsets/emoticons/bombus2psi.jisp
     * обновлён iconsets/emoticons/GTalk-smiles.jisp
     * обновлён iconsets/emoticons/yaemomidget.jisp
     - удалён iconsets/emoticons/kolobok.jisp
     - удалён iconsets/emoticons/kolobok_dark.jisp
     - удалён iconsets/emoticons/kolobok_light.jisp
     - удалён iconsets/emoticons/lk_35x35x138_tasha.jisp
     - удалён iconsets/emoticons/puzazBox.jisp
     - удалён iconsets/emoticons/qip_bigpack.jisp
     - удалён iconsets/emoticons/quip.jisp
     - удалён iconsets/emoticons/tasha_18x18x93.jisp
  * обновлён ростерный иконпак bctango_roster.jisp (iconsets/roster/bctango_roster.jisp)
  + добавлен детект jabber-клиента Jappix (psi-client-icons.diff)
  * обновлены иконпаки fingerprint с иконками jabber-клиентов
    (iconsets/clients/fingerprint.jisp, iconsets/clients/fingerprint-22.jisp)
  * хотфикс для fingerprint-22.jisp (iconsets/clients/fingerprint-22.jisp)
  * небольшой фикс для кнопки добавления нового контакта из приватного окна конференции
    (psi-add-contact-from-chat-dialog.diff)
  ! обновлена русская локализация от ivan101 (psi-ru svn, r181, 2010-08-09)
  --
  * updated psi-small-tooltip-fix.diff (thx to Hugin)
  * possible fix for building on Haiku OS (psi-tray-act-bring-to-front.diff)
  * also save status on "Set status" dialog accept (psi-presets-in-status-menu.diff)
  + added optional last status overwriting by simple status and template
    (psi-presets-in-status-menu.diff)
  + added Reconnect action (psi-presets-in-status-menu.diff)
  + optional display priority in chat log (psi-presets-in-status-menu.diff)
  * translatable "Logged out" status message (psi-presets-in-status-menu.diff)
  + added patch to handle xmpp uri commandline param w/o param name
    (psi-unnamed-xmpp-uri-param.diff)
  * fixed bug with offline status priority in chat log (psi-presets-in-status-menu.diff)
  + also show status and priority in chat log when someone joins MUC
    (psi-presets-in-status-menu.diff)
  * fixed wrong default priority options width (psi-presets-in-status-menu.diff)
  + added account option "Restore last status" (psi-presets-in-status-menu.diff)
  + added hidden option "options.ui.muc.show-initial-joins" (psi-presets-in-status-menu.diff)
  * fixed regression with default priority (psi-presets-in-status-menu.diff)
  * updated format text icon (iconsets/system/default/psiplus/text.png)
  * updated watcher plugin to v0.3.3, http://psi-plus.com/wiki/plugins#watcher_plugin
  + added patch to add contacts from chat dialog (psi-add-contact-from-chat-dialog.diff)
  * moved add contact icon to the right (psi-add-contact-from-chat-dialog.diff)
  * ordering for emoticons iconsets:
    + added iconsets/emoticons/kolobok_pidgin.jisp
    + added iconsets/emoticons/kolobok_qip_dark.jisp
    + added iconsets/emoticons/tasha_bombus.jisp
    * modified iconsets/emoticons/bombus2psi.jisp
    * modified iconsets/emoticons/GTalk-smiles.jisp
    * modified iconsets/emoticons/yaemomidget.jisp
    - deleted iconsets/emoticons/kolobok.jisp
    - deleted iconsets/emoticons/kolobok_dark.jisp
    - deleted iconsets/emoticons/kolobok_light.jisp
    - deleted iconsets/emoticons/lk_35x35x138_tasha.jisp
    - deleted iconsets/emoticons/puzazBox.jisp
    - deleted iconsets/emoticons/qip_bigpack.jisp
    - deleted iconsets/emoticons/quip.jisp
    - deleted iconsets/emoticons/tasha_18x18x93.jisp
  * updated bctango_roster.jisp (iconsets/roster/bctango_roster.jisp)
  + added detection of Jappix client (psi-client-icons.diff)
  * updated fingeprint packs
    (iconsets/clients/fingerprint.jisp, iconsets/clients/fingerprint-22.jisp)
  * fixed fingerprint-22.jisp (iconsets/clients/fingerprint-22.jisp)
  * small fix for add button for muc contacts (psi-add-contact-from-chat-dialog.diff)
  ! updated russian localization by ivan101 (psi-ru svn, r181, 2010-08-09)


2010-08-08  zet
v0.15.2801 Beta
  * обновлена краткая справка по некоторым плагинам
    (captchaformsplugin, videostatusplugin, watcherplugin)
  + добавлен новый патч для корректного отображения различных форм для команд удалённого управления,
    управления транспортами, а также поисковых форм (psi-improve-adhoc-forms.diff)
  + добавлен новый патч для вызова формы ввода нового (правильного) пароля аккаунта непосредственно
    на этапе установления соединения [psi-change-password-dialog.diff] (thanks to Virnik)
  * более корректное отображение поисковых форм (psi-improve-adhoc-forms.diff)
  + добавлен новый патч для исправления отображения вертикального скролла в ростере конференции.
    теперь скролл не закрывает иконки клиентов и аффиляций
    [psi-fix-muc-roster-sizing.diff] (by taurus)
  * изменена комбинация горячих клавиш по умолчанию для действия по вызову быстрых команд для
    конференций и чатов. теперь по умолчанию используется сочетание "ctrl+space"
    (ранее было "ctrl+7") [psi-default-application-settings.diff]
  * более корректное отображение форм ad-hoc (psi-improve-adhoc-forms.diff)
  + добавлен новый патч для быстрого вызова конференций из закладок в форме присоединения
    к конференции (psi-add-bookmarks-to-join-conference-dlg.diff)
  --
  * updated plugins info (captchaformsplugin, videostatusplugin, watcherplugin)
  + added new patch psi-improve-adhoc-forms.diff
  + added new patch psi-change-password-dialog.diff (thanks to Virnik)
  * updated search forms (psi-improve-adhoc-forms.diff)
  + added new patch psi-fix-muc-roster-sizing.diff (by taurus)
  * changed default shortcut for command mode to ctrl+space (psi-default-application-settings.diff)
  * updated ad-hoc forms (psi-improve-adhoc-forms.diff)
  + added new patch for bookmarks to join conference dialog
    (psi-add-bookmarks-to-join-conference-dlg.diff)
  * removed some garbage from psi-default-application-settings.diff
  * updated psi-add-bookmarks-to-join-conference-dlg.diff


2010-08-01  zet
v0.15.2780 Beta
  * очистка мусора в medals-affiliations.jisp (iconsets/affiliations/medals-affiliations.jisp)
  * фикс форматирования текста во всплывающей подсказке над элементом ростера
    (psi-small-tooltip-fix.diff)
  * обновлён video status plugin до версии 0.0.4 (работает только в ОС семейства Linux)
  * обновлены все официальные скины приложения (skins/default_skin.skn,
    skins/universal/black_theme/black_theme.skn, skins/universal/night/night.skn,
    skins/universal/orange/the_orange.skn, skins/universal/qip_infium/qip_infium.skn,
    skins/universal/sky/sky.skn, skins/universal/tkabber/tkabber.skn)
  * обновлён watcher plugin до версии 0.3.1
  * updated screenshot plugin до версии 0.4.2
  * фикс для psi-small-tooltip-fix.diff (спасибо Hugin)
  + добавлен новый патч для поддержки отправки xhtml-im-сообщений (psi-send-xhtml-im.diff)
  * фиксы рендеринга при использовании xhtml-im-сообщений, исправлено отображение команды "/me" в
    xhtml-im-сообщениях (psi-send-xhtml-im.diff)
  + добавлен новый смайлпак свежей версии Mail.Ru Agent (сконвертированы tux-den)
    [iconsets/emoticons/mra-emoticons-5.7.3639.jisp]
  ! обновлена русская локализация от ivan101 (psi-ru svn, r179, 2010-07-27)
  --
  ! Если Вы хотите поддержать развитие проекта Psi+, то можете внести небольшое пожертвование
    на один из нижеприведённых счетов:
    http://passport.webmoney.ru/asp/certview.asp?wmid=351281428776
    WMZ: Z217989559723
    WMR: R347278107127
    WME: E196199593868
    Яндекс.Деньги: 41001348342725
  --
  * cleanup for medals-affiliations.jisp (iconsets/affiliations/medals-affiliations.jisp)
  * updated contact tooltip (psi-small-tooltip-fix.diff)
  * updated video status plugin to v0.0.4 (works for Linux only)
  * updated all skins (skins/default_skin.skn, skins/universal/black_theme/black_theme.skn,
    skins/universal/night/night.skn, skins/universal/orange/the_orange.skn,
    skins/universal/qip_infium/qip_infium.skn, skins/universal/sky/sky.skn,
    skins/universal/tkabber/tkabber.skn)
  * updated watcher plugin to v0.3.1
  * updated screenshot plugin to v0.4.2
  * fixed signed presence (thx to Hugin) [psi-small-tooltip-fix.diff]
  + added new patch for ability to send xhtml-im messages (psi-send-xhtml-im.diff)
  * fixed xhtml-im rendering, fixed /me command in xhtml-im messages (psi-send-xhtml-im.diff)
  + added new mra-emoticons-5.7.3639.jisp (converted by tux-den)
    [iconsets/emoticons/mra-emoticons-5.7.3639.jisp]
  ! updated russian localization by ivan101 (psi-ru svn, r179, 2010-07-27)
  --
  ! If you want to support the development of the Psi+ Project, you can make a small donation
    to one of the following accounts:
    http://passport.webmoney.ru/asp/certview.asp?wmid=351281428776
    WMZ: Z217989559723
    WMR: R347278107127
    WME: E196199593868
    Yandex.Money: 41001348342725


2010-07-25  zet
v0.15.2750 Beta
  * обновлены иконпаки активностей, v.0.3 (psiplus-activities-16.jisp, psiplus-activities-22.jisp)
  * обновлён скрипт сборки psibuild.sh. теперь работает и для FreeBSD, спасибо Kibab
    (scripts/posix/psibuild.sh)
  * фикс для корректного детекта контактов сервера vk.com (psi-add-standard-transports.diff)
  * обновлён extended options plugin до версии 0.2.9
  + добавлен новый патч для корректного отображения всплывающей подсказки над контактами ростера
    (small-tooltip-fix.diff)
  + обновлён chess plugin до версии 0.1.6
  + добавлен новый иконпак с иконками аффиляций (iconsets/affiliations/psiplus-affiliations.jisp)
  * исправлен вывод информации о размере иконок (iconsets/clients/fingerprint.jisp)
  * фикс для стиля контекстного меню (psi-css-style-sheet.diff)
  + добавлен новый патч для возможности создания событий плагинами и передачи таких событий
    в приложение (psi-create-events-from-plugins.diff)
  * исправлен патч psi-fix-hidden-group.diff
  * исправлено отображение информации о PGP во всплывающей подсказке над контактами ростера
    (psi-small-tooltip-fix.diff)
  * обновлён screenshot plugin до версии 0.4.0
  + добавлен новый патч для скрытия неработающего show-away действия
    (psi-hide-show-away-action.diff)
  * обновлён патч psi-get-account-info-from-plugins.diff
  * обновлён video status changer plugin to v0.0.3 (*nix only)
  + добавлен новый плагин для обработки капчи captcha forms plugin (v0.0.4), подробнее --
    http://psi-plus.com/wiki/plugins#captcha_forms_plugin
  + добавлен скрипт для массовой сборки плагинов Psi+, спасибо KukuRuzo
    (scripts/posix/compileallplugins.py)
  + добавлена поддержка дефолтной локали системы (psi-options-language-select.diff)
  * обновлён патч psi-presets-in-status-menu.diff
  + добавлен новый патч для поддержки горячей кнопки на сворачивание активного таба/окна
    (psi-minimize-chat-hotkey.diff)
  * исправлен патч psi-tray-act-bring-to-front.diff
  * актуализация информации об участниках проекта (psiplus-aboutdlg.diff)
  --
  * updated activities iconsets, v.0.3 (psiplus-activities-16.jisp, psiplus-activities-22.jisp)
  * improved psibuild.sh, it now works for FreeBSD too, thx Kibab (scripts/posix/psibuild.sh)
  * updated vkontakte regexp (psi-add-standard-transports.diff)
  * updated extended options plugin to v0.2.9
  + added new patch psi-small-tooltip-fix.diff
  + updated chess plugin to v0.1.6
  + added psi-plus affilations iconset (iconsets/affiliations/psiplus-affiliations.jisp)
  * fixed fingerprint.jisp (iconsets/clients/fingerprint.jisp)
  * fixed submenu style (psi-css-style-sheet.diff)
  + added new patch for creating events from plugins (psi-create-events-from-plugins.diff)
  * fixed psi-fix-hidden-group.diff
  * fixed show PGP in tooltip (psi-small-tooltip-fix.diff)
  * 0920 moved into 1420 (psi-small-tooltip-fix.diff)
  * updated screenshot plugin to v0.4.0
  + added new patch for hiding useless show-away action (psi-hide-show-away-action.diff)
  * updated psi-get-account-info-from-plugins.diff
  * updated video status changer plugin to v0.0.3
  + added new plugin - captcha forms plugin (v0.0.4),
    http://psi-plus.com/wiki/plugins#captcha_forms_plugin
  + added compile_all_plugins script by KukuRuzo (scripts/posix/compileallplugins.py)
  + added default lang, depends of locale os (psi-options-language-select.diff)
  * updated psi-presets-in-status-menu.diff
  + added new patch psi-minimize-chat-hotkey.diff
  * fixed hotkey "show/hide the application" on windows (hiding was broken)
    (psi-tray-act-bring-to-front.diff)
  * updated project members info (psiplus-aboutdlg.diff)


2010-07-18  zet
v0.15.2690 Beta
  + добавлен новый патч для корректного отображения заголовков и разделителей групп в ростере
    (psi-fix-roster-accounts-and-groups-drawing.diff)
  * обновлён screenshot plugin до версии 0.3.9
  * обновлены системные иконпаки (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  + добавлен новый патч для скрытия неактивного элемента "доска для рисования" в меню контакта
    (psi-fix-submenu-hide.diff)
  * фикс для скрытия неактивных элементов в подменю контакта (psi-access-to-menus-from-plugins.diff,
    psi-fix-submenu-hide.diff)
  + добавлен новый иконпак с иконками jabber-клиентов размером 22x22
    (iconsets/clients/fingerprint-22.jisp)
  + добавлен новый патч для исправления сортировки контактов в ростере (по статусу/по алфавиту)
    (psi-fix-contact-sorting-style-option.diff)
  * обновлён extended options plugin до версии 0.2.8
  * исправлен перенос неактивных окон контакт-менеджера и редактора списков приватности на передний
    план при повторном их вызове (psi-account-menu-privacy-item.diff, psi-contact-manager.diff)
  + добавлен новый патч для исправления работы с группой Hidden в ростере
    (psi-fix-hidden-group.diff)
  + добавлена утилита для восстановления пароля от аккаунта по информации из
    %userprofile%\PsiData\accounts.xml. запускать утилиту можно непосредственно отсюда:
    http://psi-dev.googlecode.com/svn/trunk/scripts/passwordrecovery.html
  + добавлен новый патч для корректной работы с элементами ростера в режиме одиночного клика мышью
    (psi-fix-use-single-click.diff)
  * обновлены настройки приложения по умолчанию (psi-default-application-settings.diff,
    psi-add-options-color-highlighting.diff, psi-add-standard-transports.diff)
  + добавлен новый патч для скрытия неработающих опций ростера
    (psi-tmp-hide-useless-roster-options.diff)
  * исправлен regexp для корректного отображения иконок контактов сервиса vkontakte
    (psi-add-standard-transports.diff)
  + добавлено определение некоторых jabber-ботов: jame, pako bot, fatal-bot, storm, sulci,
    sleekbot, neutrina, yamaneko, talisman (psi-client-icons.diff)
  * обновлён иконпак с иконками jabber-клиентов (fingerprint.jisp, v0.2.10)
  --
  + added new patch for fix options outline headings and slim roster group headings
    (psi-fix-roster-accounts-and-groups-drawing.diff)
  * updated screenshot plugin to v0.3.9
  * updated system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  + added new patch for fix disabling whiteboard menu item at contact menu
    (psi-fix-submenu-hide.diff)
  * fixed submenu hide (psi-access-to-menus-from-plugins.diff, psi-fix-submenu-hide.diff)
  * updated psi-client-icons.diff, fingerprint.jisp
  + added icons clients size 22x22 (iconsets/clients/fingerprint-22.jisp)
  + added new patch for fix roster contact sorting option
    (psi-fix-contact-sorting-style-option.diff)
  * updated extended options plugin to v0.2.8
  * fixed bring to front for contact manager and privacy dlg
    (psi-account-menu-privacy-item.diff, psi-contact-manager.diff)
  + added new patch for fix roster hidden group (psi-fix-hidden-group.diff)
  + added password recovery utility by rion,
    http://psi-dev.googlecode.com/svn/trunk/scripts/passwordrecovery.html
  * fixed psi-fix-contact-sorting-style-option.diff
  + added new patch for fix activation roster items on single click (psi-fix-use-single-click.diff)
  * updated default options (psi-default-application-settings.diff,
    psi-add-options-color-highlighting.diff, psi-add-standard-transports.diff)
  + added new patch for hide autoresize and left-button-menu options
    (psi-tmp-hide-useless-roster-options.diff)
  * fixed vkontakte regexp (psi-add-standard-transports.diff)
  + added bots detection: jame, pako bot, fatal-bot, storm, sulci, sleekbot, neutrina, yamaneko,
    talisman (psi-client-icons.diff)


2010-07-11  zet
v0.15.2664 Beta
  --
 Известные проблемы (после r1784):
  1. в ростере не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * исправлено сворачивание окна конференции в режиме без табов (psi-muc-minimize-to-roster.diff)
  + добавлена опция "сворачивать конференцию при нажатии на кнопку закрытия"
    (psi-muc-minimize-to-roster.diff)
  ! переписана бОльшая часть кода плагина screenshot plugin (v0.3.0), подробнее - 
    http://psi-plus.com/wiki/plugins#screenshot_plugin
  - убран ненужный более патч psi-save-last-priority-in-statusdlg.diff (данный код теперь
    используется в патче psi-presets-in-status-menu.diff)
  + добавлена wiki-страница по сборке Psi+ под Meego (en, ru)
  * обновлён skins plugin до версии v0.2.6
  * обновлён патч psi-presets-in-status-menu.diff (by Dmitriy.trt), подробнее - 
    http://code.google.com/p/psi-dev/issues/detail?id=284
  + добавлен новый патч psi-fix-adhoc-set-status.diff, решена задача is305
    ( http://code.google.com/p/psi-dev/issues/detail?id=305 )
  + добавлены новые иконки для screenshot plugin (psi-iconsets.diff)
  * обновлены некоторые системные иконпаки (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  * обновлён screenshot plugin до версии 0.3.6
  + добавлен новый патч psi-fix-empty-name-for-bookmark.diff, решена задача is45
    ( http://code.google.com/p/psi-dev/issues/detail?id=45 )
  --
 Known issues (after r1784):
  1. hidden roster group does not work (upstream version bug)
  --
 Changelog:
  * fixed hiding muc for non tabbed mode (psi-muc-minimize-to-roster.diff)
  + added hide when closing window options in ui (psi-muc-minimize-to-roster.diff)
  ! rewritten screenshot plugin (v0.3.0),
    http://psi-plus.com/wiki/plugins#screenshot_plugin
  - removed useless patch psi-save-last-priority-in-statusdlg.diff
    (used in psi-presets-in-status-menu.diff)
  + wiki: added Meego's builds wiki page (en, ru)
  * updated skins plugin to v0.2.6
  * updated patch psi-presets-in-status-menu.diff (by Dmitriy.trt),
    http://code.google.com/p/psi-dev/issues/detail?id=284
  + added new patch psi-fix-adhoc-set-status.diff, fixed is305
    ( http://code.google.com/p/psi-dev/issues/detail?id=305 )
  + added some icons for screenshot plugin (psi-iconsets.diff)
  * updated some system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  * updated screenshot plugin to v0.3.6
  + added new patch psi-fix-empty-name-for-bookmark.diff, fixed is45
    ( http://code.google.com/p/psi-dev/issues/detail?id=45 )


2010-06-27  zet
v0.15.2600 Beta
  --
 Известные проблемы (после r1784):
  1. в ростере не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлена возможность вывести на панель инструментов ростера кнопки для установки глобальных
    настроений, активностей и геолокаций (psi-pep-toolbar-buttons.diff)
  * фикс для psi-reset-not-complete-connection-on-status-change.diff
  * обновлён скрипт инсталлятора psiplus-install.nsi
    (теперь не удаляются пользовательские ресурсы из папки Psi+)
  * обновлён патч psi-tray-act-bring-to-front.diff (by Dmitriy.trt)
  * фиксы для for psi-roster-avatar-frame.diff
  * установлен отступ в 1 px для фрейма с аватаром в ростере (psi-roster-avatar-frame.diff)
  * скорректирована информация в диалоге About Psi+ (psiplus-aboutdlg.diff)
  * обновлён blue skin (skins/universal/blue_skin/blue_skin.skn)
  * изменены расстояния и отступы для фрейма с аватаром в ростере (psi-roster-avatar-frame.diff)
  * обновлён копирайт для иконпаков qip
    (iconsets/roster/qipinfium.jisp, iconsets/system/qipinfium_sys.jisp)
  * заданы умолчания в css для фрейма с аватаром в ростере (psi-css-style-sheet.diff)
  * исправлен шрифт ника для фрейма с аватаром в ростере (psi-roster-avatar-frame.diff)
  * исправлен шрифт статусного сообщения для фрейма с аватаром в ростере
    (psi-roster-avatar-frame.diff)
  + добавлена опция для возможности изменения размера собственного аватара в ростере
    (psi-roster-avatar-frame.diff)
  + добавлена опция для возможности сворачивания окна с конференцией в ростер при нажатии
    на кнопку закрытия окна (psi-muc-minimize-to-roster.diff)
  * исправлен дубль pep-диалога (psi-pep-toolbar-buttons.diff)
  * обновлён orange skin, v0.6.2(skins/universal/orange/the_orange.skn)
  * обновлены некоторые скины (skins/default_skin.skn, skins/universal/black_theme/black_theme.skn,
    skins/universal/orange/the_orange.skn, skins/universal/qip_infium/qip_infium.skn,
    skins/universal/sky/sky.skn, skins/universal/tkabber/tkabber.skn)
  * попытка решить задачу is310, http://code.google.com/p/psi-dev/issues/detail?id=310
    (psi-options-language-select.diff)
  * фикс счётчика непрочитанных сообщений в заголовке окна/таба (psi-muc-minimize-to-roster.diff)
  + добавлен опциональный размер отступа для фрейма с аватаром в ростере
    (psi-roster-avatar-frame.diff)
  * обновлён skins plugin до версии 0.2.5
  * обновлён brushed metal skin (skins/mac/brushed_metal/brushed_metal.skn)
  + добавлен новый скин Night, v0.2 (skins/universal/night/night.skn)
  --
 Known issues (after r1784):
  1. hidden roster group does not work (upstream version bug)
  --
 Changelog:
  + added new patch: ability to add toolbar buttons for set the roster of global
    moods, activity and geolocation (psi-pep-toolbar-buttons.diff)
  * fixed psi-reset-not-complete-connection-on-status-change.diff
  * updated installer script psiplus-install.nsi (softer mode for psi+ resources)
  * update tray bring to front patch by Dmitriy.trt (psi-tray-act-bring-to-front.diff)
  * fix for psi-roster-avatar-frame.diff
  * set margin to 1 for roster avatar frame (psi-roster-avatar-frame.diff)
  * corrected about Psi+ info (psiplus-aboutdlg.diff)
  * updated blue skin (skins/universal/blue_skin/blue_skin.skn)
  * fix for mac (psi-tray-act-bring-to-front.diff)
  * changed margin and spacing in avatar's frame (psi-roster-avatar-frame.diff)
  * fixed copyright for qip icons
    (iconsets/roster/qipinfium.jisp, iconsets/system/qipinfium_sys.jisp)
  * set default css settings for avatar's frame (psi-css-style-sheet.diff)
  * fixed nick font (psi-roster-avatar-frame.diff)
  * fixed status message font (psi-roster-avatar-frame.diff)
  + added options for change avatar size (psi-roster-avatar-frame.diff)
  * small fix frame size policy (psi-roster-avatar-frame.diff)
  + added options hide conference when closing tabs (psi-muc-minimize-to-roster.diff)
  * fixed duplicate pep dialogs (psi-pep-toolbar-buttons.diff)
  * fixed size for avatar label (psi-roster-avatar-frame.diff)
  * updated orange skin, v0.6.2(skins/universal/orange/the_orange.skn)
  * major update for skins (skins/default_skin.skn, skins/universal/black_theme/black_theme.skn,
    skins/universal/orange/the_orange.skn, skins/universal/qip_infium/qip_infium.skn,
    skins/universal/sky/sky.skn, skins/universal/tkabber/tkabber.skn)
  * try to fix is310, http://code.google.com/p/psi-dev/issues/detail?id=310
    (psi-options-language-select.diff)
  * fixed counter unread messages in window title (psi-muc-minimize-to-roster.diff)
  + added optional margin for avatar frame (psi-roster-avatar-frame.diff)
  * updated skins plugin to v.0.2.5
  * updated brushed metal skin (skins/mac/brushed_metal/brushed_metal.skn)
  + added new skin Night, v0.2 (skins/universal/night/night.skn)


2010-06-15  zet
v0.15.2555 Beta
  --
 Известные проблемы (после r1784):
  1. в ростере не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * обновлён ростерный иконпак stafex_psi_mod.jisp (iconsets/roster/stafex_psi_mod.jisp)
  * изменены некоторые иконки в форме просмотра истории переписки (psi-improve-historydlg.diff)
  * правый клик мыши на статусных меню и другие улучшения для статусных шаблонов
    (автор - Dmitriy.trt) [psi-presets-in-status-menu.diff]
  + добавлены новые ростерные иконпаки из коллекции majik (archlinux.jisp, boss.jisp, debian.jisp,
    dictionary.jisp, email.jisp, gentoo.jisp, hearts.jisp, hoodats.jisp, linux.jisp, maj-mail3.jisp,
    nuvola-smtp.jisp, oxygen-roster-22.jisp, rss-classic.jisp, slackware.jisp,
    stellar-crystalized-roster.jisp, suse.jisp)
  + добавлен новый системный иконпак tango_system.jisp (iconsets/system/tango_system.jisp)
  * обновлены некоторые ростерные иконпаки
    (iconsets/roster/stellar.jisp, iconsets/roster/tkabber.jisp)
  - убраны ненужные ростерные иконпаки
    (iconsets/roster/dictionary_es.jisp, iconsets/roster/lightbulb.jisp)
  * фиксы и улучшения для формы просмотра истории переписки (psi-improve-historydlg.diff)
  + добавлен новый патч для установки статуса непосредственно из плагина
    (psi-set-account-status-from-plugins.diff)
  * обновлён системный иконпак 'oxygen system size 22px' (iconsets/system/oxygen_sys_22.jisp)
  + добавлены новые иконпаки настроений с иконками различных размеров
  + добавлена новая опция в настройки приложения для выбора affiliations-иконпака
    (psi-muc-roster-icons.diff)
  + добавлены новые affiliations-иконпаки (adium-affiliations.jisp, black-affiliations.jisp,
    oxygen-affiliations-22.jisp, oxygen-affiliations.jisp, qipinfium-affiliations.jisp,
    white-affiliations.jisp)
  + добавлены новые affiliations-иконпаки, часть 2 (balls-affiliations.jisp,
    balls-medium-affiliations.jisp, balls-small-affiliations.jisp, medals-affiliations.jisp,
    planets-affiliations.jisp, smileys-affiliations.jisp)
  * обновлён orange skin, v.0.6.1 (skins/universal/orange/the_orange.skn)
  * поправлены системные иконпаки (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, qipinfium_sys.jisp, summer-system.jisp, whitesys.jisp)
  + добавлен новый патч для сохранения последнего выставленного приоритета в диалоге установки
    статуса (psi-save-last-priority-in-statusdlg.diff)
  + добавлен новый патч для корректного сброса неустановившегося соединения при ручной смене статуса
    (psi-reset-not-complete-connection-on-status-change.diff)
  + добавлены новые affiliations-иконпаки, часть 3 (bombus-nostalgic-affiliations.jisp,
    tango-emotes-affiliations.jisp, vista-halloween-affiliations.jisp)
  + добавлен новый ростерный иконпак graphite.jisp (iconsets/roster/graphite.jisp)
  * улучшены параметры значений по умолчанию для macosx (psi-default-application-settings.diff)
  ! начата работа над немецкой локализацией wiki-страниц (спасибо Torsten)
  ! теперь для работы с инсталлятором Psi+ используется NSIS, http://nsis.sourceforge.net/
  + добавлен скрипт для инсталлятора Psi+ (psiplus-install.nsi)
  ! обновлены системные библиотеки Qt до версии 4.6.3,
    http://qt.nokia.com/developer/changes/changes-4.6.3
  ! обновлены библиотеки Psimedia до версии 1.0.3.737, http://delta.affinix.com/svn/trunk/psimedia/
  ! обновлён GStreamer до версии 0.10.28
 --
 Known issues (after r1784):
  1. hidden roster group does not work (upstream version bug)
  --
 Changelog:
  * updated stafex_psi_mod.jisp (iconsets/roster/stafex_psi_mod.jisp)
  * changed some icons for psi-improve-historydlg.diff
  * right click mouse on statuses menus and other improvements (by Dmitriy.trt)
    [psi-presets-in-status-menu.diff]
  + added some roster iconsets from majik collection (archlinux.jisp, boss.jisp, debian.jisp,
    dictionary.jisp, email.jisp, gentoo.jisp, hearts.jisp, hoodats.jisp, linux.jisp, maj-mail3.jisp,
    nuvola-smtp.jisp, oxygen-roster-22.jisp, rss-classic.jisp, slackware.jisp,
    stellar-crystalized-roster.jisp, suse.jisp)
  + added tango_system.jisp (iconsets/system/tango_system.jisp)
  * updated some roster iconsets (iconsets/roster/stellar.jisp, iconsets/roster/tkabber.jisp)
  - removed useless roster iconsets
    (iconsets/roster/dictionary_es.jisp, iconsets/roster/lightbulb.jisp)
  * some code cleanings and fixes for psi-improve-historydlg.diff
  + added new patch for set account status from plugin (psi-set-account-status-from-plugins.diff)
  * updated system iconset 'oxygen system size 22px' (iconsets/system/oxygen_sys_22.jisp)
  + added some sized moods iconsets
  + added options for change affiliations iconsets (psi-muc-roster-icons.diff)
  + added affiliations iconsets (adium-affiliations.jisp, black-affiliations.jisp,
    oxygen-affiliations-22.jisp, oxygen-affiliations.jisp, qipinfium-affiliations.jisp,
    white-affiliations.jisp)
  + added more affiliations iconsets (balls-affiliations.jisp, balls-medium-affiliations.jisp,
    balls-small-affiliations.jisp, medals-affiliations.jisp, planets-affiliations.jisp,
    smileys-affiliations.jisp)
  * updated orange skin, v.0.6.1 (skins/universal/orange/the_orange.skn)
  * fixed system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, oxygen_sys_22.jisp,
    qipinfium_sys.jisp, summer-system.jisp, whitesys.jisp)
  + added new patch: save last priority in status dialog (psi-save-last-priority-in-statusdlg.diff)
  + added new patch: reset not complete connection on status change
    (psi-reset-not-complete-connection-on-status-change.diff)
  + added Bombus nostalgic and other affiliations iconsets (bombus-nostalgic-affiliations.jisp,
    tango-emotes-affiliations.jisp, vista-halloween-affiliations.jisp)
  + added new roster iconset graphite.jisp
  * some changes for default options on macosx (psi-default-application-settings.diff)
  ! started german localization (thanks to Torsten)
  ! now we use NSIS for Psi+ installers, http://nsis.sourceforge.net/
  + added installation script (psiplus-install.nsi)
  ! updated Qt libs to v4.6.3, http://qt.nokia.com/developer/changes/changes-4.6.3
  ! updated Psimedia libs to v1.0.3.737, http://delta.affinix.com/svn/trunk/psimedia/
  ! updated GStreamer to v0.10.28


2010-06-06  zet
v0.15.2514 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * обновлён brushed metal skin, v.0.2.1 (skins/mac/brushed_metal/brushed_metal.skn)
  * обновлён chess plugin до версии 0.1.5
  * обновлён icq must die plugin до версии 0.1.3
  * фикс по задаче 301, http://code.google.com/p/psi-dev/issues/detail?id=301
    (psi-typed-history.diff)
  + добавлен детект jabber-клиента Swift-IM (psi-client-icons.diff)
  + добавлен новый патч, добавляющий вызов шаблонов в статусном меню (патч от Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=284) [psi-presets-in-status-menu.diff]
  * если расцветка ников в конференции выключена, то не используется и раскраска по hash
    (psi-muc-nick-hash-color.diff)
  + добавлен детект jabber-клиента Bombus Avalon (psi-client-icons.diff)
  + добавлена новая опция options.ui.muc.roster-nick-coloring на включение/выключение раскраски
    ников в ростере конференции psi-muc-roster-icons.diff
  * обновлён extended options plugin до версии 0.2.7
  + добавлен новый патч psi-tray-act-bring-to-front.diff (патч от Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=300)
  * фиксы дефолтных цветов ников в ростере конференции (psi-muc-roster-icons.diff)
  + добавлен новый ростерный иконпак stafex_psi_mod.jisp (авторы - Dragonizer и majik)
    [iconsets/roster/stafex_psi_mod.jisp]
  * величина радиуса углов собственного аватара в ростере теперь зависит от соответствующей опции
    в настройках приложения (psi-roster-avatar-frame.diff)
  + добавлена новая опция для включения/отключения отображения кнопки отправки сообщения
    (psi-send-button-arrow.diff)
  * небольшая оптимизация для патча psi-modern-roster.diff
  + добвлен новый патч на поддержку ростерных/системных иконок различного размера (экспериментально)
    (psi-custom-icons-size.diff)
  + добавлен новый патч на добавление меню переключения языка приложения непосредственно из
    настроек Psi+ (psi-options-language-select.diff)
  * откат к предыдущей версии диалога с историей сообщений (psi-improve-historydlg.diff, r2290)
  * обновлён skins plugin до версии 0.2.3
  * исправления и оптимизация activities-иконпака (iconsets/activities/psiplus-activities-16.jisp)
  + добавлен новый activities-иконпак (iconsets/activities/rederick-activities-16.jisp)
  + добавлен новый иконпак настроений rederick-moods-16.jisp (новая версия иконпака gajim1108.jisp)
  * обновлён watcher plugin до версии 0.2.7
  * небольшое обновление русской локализации от ivan101 (psi-ru svn, r174, 2010-05-27)
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  * updated brushed metal skin, v.0.2.1 (skins/mac/brushed_metal/brushed_metal.skn)
  * updated chess plugin to v0.1.5
  * updated icq must die plugin to v0.1.3
  * try to fix issue 301, http://code.google.com/p/psi-dev/issues/detail?id=301
    (psi-typed-history.diff)
  + added detection Swift-IM jabber client (psi-client-icons.diff)
  + added new patch: presets in status menu (patch from Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=284) [psi-presets-in-status-menu.diff]
  * if nick coloring is disabled then not use hash coloring (psi-muc-nick-hash-color.diff)
  + added detection Bombus Avalon jabber client (psi-client-icons.diff)
  + added new options.ui.muc.roster-nick-coloring to psi-muc-roster-icons.diff
  * updated extended options plugin to v0.2.7
  + added new patch psi-tray-act-bring-to-front.diff (patch from Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=300)
  * some fixes for default muc roster nick colors (psi-muc-roster-icons.diff)
  + added roster iconset stafex_psi_mod.jisp by Dragonizer, majik
    (iconsets/roster/stafex_psi_mod.jisp)
  * improved psi-roster-avatar-frame.diff
  + added options for disable send button (psi-send-button-arrow.diff)
  * some optimizations for psi-modern-roster.diff
  + added 2 new patches: custom icons size patch and language select patch
    (psi-custom-icons-size.diff, psi-options-language-select.diff)
  * reverted psi-improve-historydlg.diff to r2290
  * updated skins plugin to v.0.2.3
  * fixing and optimizing "Psi+ Activities" iconset (iconsets/activities/psiplus-activities-16.jisp)
  + added rederick-activities-16.jisp iconset
  + added rederick-moods-16.jisp iconset (renewed version of gajim1108.jisp)
  * updated watcher plugin to v0.2.7
  * small updates of russian localization by ivan101 (psi-ru svn, r174, 2010-05-27)


2010-05-23  zet
v0.15.2460 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен новый патч для автоматического сворачивания по таймауту главного окна Psi+
    (psi-roster-autohide.diff)
  + добавлен вызов краткой справки по плагину непосредственно из окна с настройками плагина,
    часть 1: attention plugin, autoreply plugin, chess plugin, cleaner plugin,
    conference logger plugin, extended options plugin
  + добавлен вызов краткой справки по плагину, часть 2: birthday reminder plugin,
    gmail notification plugin, history keeper plugin, icq die plugin, image plugin, juick plugin,
    qip x-statuses plugin
  + добавлена возможность отключения вертикального скроллбара в ростере конференции
    (psi-roster-disable-scrollbar.diff)
  + добавлен вызов краткой справки по плагину, часть 3: screenshot plugin, skins plugin,
    stop spam plugin, storage notes plugin, translate plugin, watcher plugin
  + добавлена иконка для кнопки вызова краткой справки по плагину (psi-plugin-info-button.diff)
  * улучшения для панели поиска по чатлогу (psi-typeahead-find.diff)
  * улучшения в css для чатов. использование TabDlg {} (psi-css-style-sheet.diff)
  + добавлен новый патч для исправления запоминания размеров и положения окна с
    headline-сообщениями (psi-fix-eventdlg-resizing.diff)
  + добавлен новый патч на опциональное расположение всплывающих окон. используются опции
    options.ui.notifications.passive-popups.at-left-corner и
    options.ui.notifications.passive-popups.top-to-bottom options
  + добавлены англоязычные страницы wiki/en-US/alt_linux.wiki и wiki/en-US/arch_linux.wiki
  + добавлен новый патч для изменения стандартной иконки приложения в unix на логотип Psi+
    (psiplus-nix-application-icon-and-name.diff)
  - убран патч psi-fix-eventdlg-resizing.diff. патч принят upstream-разработчиками
  * изменён размер панели поиска по чатлогу и фикс нажатия кнопки поиска (psi-typeahead-find.diff)
  + добавлен детект клиента BombusKlub, обновлён fingerprint.jisp (спасибо westsibe)
  * поправлена иконка для клиента bombus-avalon (fingerprint.jisp, v0.2.9)
  * обновлён birthday reminder plugin до версии 0.2.5
  * обновлён icq must die plugin до версии 0.1.1
  * настройки приложения по умолчанию: теперь используется сочетание кнопок "Shift+Del" в качестве
    горячей кнопки для удаления выбранного контакта из ростера Psi+. ранее для этого использовалась
    кнопка "Del" (psi-default-application-settings.diff)
  * chess plugin: больше строк для локализации (v0.1.5)
  * обновлён orange skin, v.0.5.2 (skins/universal/orange/the_orange.skn)
  ! обновлена русская локализация от ivan101 (psi-ru svn, r173, 2010-05-23)
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added new patch - roster autohide patch (psi-roster-autohide.diff)
  + added plugins information, part 1  (attention plugin, autoreply plugin, chess plugin,
    cleaner plugin, conference logger plugin, extended options plugin)
  + added plugins information, part 2 (birthday reminder plugin, gmail notification plugin,
    history keeper plugin, icq die plugin, image plugin, juick plugin, qip x-statuses plugin)
  + disable scrollbar for muc roster (psi-roster-disable-scrollbar.diff)
  + added plugins information, part 3 (screenshot plugin, skins plugin, stop spam plugin,
    storage notes plugin, translate plugin, watcher plugin)
  + added icons for psi-plugin-info-button.diff
  * some changes for findbar style (psi-typeahead-find.diff)
  * more css for chats. use TabDlg {} (psi-css-style-sheet.diff)
  + added new patch to fix headline messages resizing (psi-fix-eventdlg-resizing.diff)
  + added new patch for optional location of popups.
    options.ui.notifications.passive-popups.at-left-corner and
    options.ui.notifications.passive-popups.top-to-bottom options
  + added wiki/en-US/alt_linux.wiki, wiki/en-US/arch_linux.wiki
  + added new patch to change unix icon to Psi+ logo (psiplus-nix-application-icon-and-name.diff)
  - removed psi-fix-eventdlg-resizing.diff. implemented in upstream
  * resized find line and fixed toggle button (psi-typeahead-find.diff)
  + added BombusKlub client detection, updated fingerprint.jisp (thanks to westsibe)
  * fixed bombus-avalon icon in fingerprint.jisp (v0.2.9)
  * updated birthday reminder plugin to v0.2.5
  * updated icq must die plugin to v0.1.1
  * defaults: use Shift+Del shortcut to delete the selected contact
    (psi-default-application-settings.diff)
  * more translatable for chess plugin (v0.1.5)
  * updated orange skin, v.0.5.2 (skins/universal/orange/the_orange.skn)
  ! updated russian localization by ivan101 (psi-ru svn, r173, 2010-05-23)


2010-05-16  zet
v0.15.2417 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * обновлена информация об участниках проекта, Psi -> Help -> About -> About Psi+
    (psiplus-aboutdlg.diff)
  + добавлена статья faq.wiki на английском языке,
    http://code.google.com/p/psi-dev/wiki/faq?wl=en-US
  * фикс загрузки/выгрузки плагинов при смене профиля Psi+, оптимизация некоторых плагинных патчей
  * обновлён stop spam plugin до версии 0.3.5,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  * поправлен патч psi-get-your-jid-for-activetab-from-plugins.diff
  + добавлена статья features.wiki на английском языке,
    http://code.google.com/p/psi-dev/wiki/features?wl=en-US
  - убран ненужный патч psi-debianize.diff ( git://github.com/zerkalica/psi-plus-debian.git )
  * поправлен патч psi-get-account-info-from-plugins.diff
  * улучшения для psi-plugins-options.diff. теперь стало возможно обновлять плагины без рестарта
    Psi+. достаточно отключить плагин в настройках приложения, обновить файл плагина и потом вновь
    включить плагин в настройках приложения
  * обновлён attention plugin до версии 0.1.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/attentionplugin/changelog.txt (UTF-8)
  * исправлен цвет счётчика пропущенных сообщений в конференции при условии, что статусное
    сообщение не пустое (psi-muc-minimize-to-roster.diff)
  * объединены некоторые зависящие друг от друга плагинные патчи в один патч
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff)
  * большое обновление статьи av_calls.wiki, http://code.google.com/p/psi-dev/wiki/av_calls
  * завершена английская локализация статьи plugins.wiki,
    http://psi-plus.com/wiki/en:plugins
  * обновлён иконпак для activities: gajim-activities.jisp -> rederick-activities.jisp
  * обновлён скин orange skin, v.0.4 (skins/universal/orange/the_orange.skn)
  * обновлён иконпак с иконками jabber-клиентов fingerprint.jisp, v0.2.7
    (добавлена иконка мобильного jabber-клиента Jimm Aspro)
  * обновлён патч psi-client-icons.diff (Jimm Aspro)
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  * updated about psi+ tab, Psi -> Help -> About -> About Psi+ (psiplus-aboutdlg.diff)
  + added faq.wiki in english, http://code.google.com/p/psi-dev/wiki/faq?wl=en-US
  * fixed loading and unloading plugins when profile changes, cleanup plugins patches
  * updated stop spam plugin to v0.3.5,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  * fixed psi-get-your-jid-for-activetab-from-plugins.diff
  + added features.wiki in english, http://code.google.com/p/psi-dev/wiki/features?wl=en-US
  - removed psi-debianize.diff. it not needed,
    for debian specs use git://github.com/zerkalica/psi-plus-debian.git
  * fixed psi-get-account-info-from-plugins.diff
  * improved psi-plugins-options.diff. for now possible to update the plugin without restarting
    the application. just disable it in options, update file, than enable it
  * updated attention plugin to v0.1.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/attentionplugin/changelog.txt (UTF-8)
  * fixed color of the conference messages counter if the status message is not empty
    (psi-muc-minimize-to-roster.diff)
  * merged some patches for plugin system into one patch because these patches do not work
    separately (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff)
  * big update to the av_calls page (wiki/av_calls.wiki, wiki/en-US/av_calls.wiki),
    http://code.google.com/p/psi-dev/wiki/av_calls
  * plugins.wiki: completed English localization,
    http://psi-plus.com/wiki/en:plugins
  * correction for activities iconsets: gajim-activities.jisp -> rederick-activities.jisp
  * updated orange skin, v.0.4 (skins/universal/orange/the_orange.skn)
  * updated fingerprint.jisp, v0.2.7 (added icon for Jimm Aspro)
  * updated psi-client-icons.diff (Jimm Aspro)


2010-05-11  zet
v0.15.2378 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен новый системный иконпак White
    (iconsets/roster/white_theme.jisp, iconsets/system/whitesys.jisp)
  * исправления в скинах (black_theme.skn, qip_infium.skn, sky.skn, tkabber.skn, default_skin.skn)
  * поправлены ссылки на Wiki в настройках плагинов Psi+
  * попытка решить задачу 68, http://code.google.com/p/psi-dev/issues/detail?id=68 .
    теперь при запуске Psi+ не должен производить проверку наличия новых версий при отключенной
    опции options.auto-update.check-on-startup в дополнительных настройках приложения
    (psi-dirty-check.diff)
  * обновлён скин Brushed Metal, v0.2 (skins/mac/brushed_metal.skn)
  * обновлён смайлпак Android.jisp: добавлено 4 смайла, изменено 2 смайла
    (iconsets/emoticons/Android.jisp)
  * решена задача 296, http://code.google.com/p/psi-dev/issues/detail?id=296
    (psi-add-client-icon-to-chatdlg.diff)
  + добавлена кнопка сброса координат местоположения в форме управления геолокацией
    (psi-geolocation.diff)
  * исправлена обработка некоторых полей в форме геолокации (psi-geolocation.diff)
  + добавлен новый патч для загрузки плагинов в алфавитном порядке при старте приложения
    (psi-use-plugins-in-alphabetical-order.diff)
  + на wiki-страницу скачиваний добавлены ссылки на репозитории для Ubuntu (downloads.wiki)
  * исправлена обработка символа "&" при работе с шаблонами (psi-send-button-context-menu.diff)
  * обновлён skins plugin до версии 0.2.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  + добавлен новый скин Orange, v0.3 (skins/universal/orange/the_orange.skn)
  * изменены размеры по умолчанию для окна редактора топика конференции (psi-muc-topic.diff)
  + добавлен ростерный иконпак Android (iconsets/roster/Android.jisp)
  * исправлена очистка ростера от виртуального контакта конференции при отключении от сети,
    is187, http://code.google.com/p/psi-dev/issues/detail?id=187 (psi-muc-minimize-to-roster.diff)
  * исправлено падение приложения при открытии окна с пустой историей переписки с контактом
    (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  * изменён порядок следования записей в окне с историей переписки
    (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  + добавлена кнопка сворачивания окна с историей переписки (psi-improve-historydlg.diff)
  + добавлен новый патч для вызова дополнительной информации о плагинах Psi+ непосредственно
    из настроек плагинов (задел на будущее) (psi-plugin-info-button.diff)
  * менеджер контактов: совместимость с draft-ietf-xmpp-3921bis-06 (psi-contact-manager.diff)
  ! начата работа над английской версией wiki-страниц проекта
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added new system icons White (iconsets/roster/white_theme.jisp, iconsets/system/whitesys.jisp)
  * fixed skins (black_theme.skn, qip_infium.skn, sky.skn, tkabber.skn, default_skin.skn)
  * added Q_OBJECT macro into ContactManagerView (psi-contact-manager.diff)
  * fixed wiki urls for psi+ plugins
  * try to fix is68, http://code.google.com/p/psi-dev/issues/detail?id=68 (psi-dirty-check.diff)
  * updated brushed metal skin to v0.2 (skins/mac/brushed_metal_(mac).skn)
  * updated Android.jisp: +4 emoticons, changed 2 emoticons (iconsets/emoticons/Android.jisp)
  * fixed is296, http://code.google.com/p/psi-dev/issues/detail?id=296
    (psi-add-client-icon-to-chatdlg.diff)
  + added reset button to geolocationdlg (psi-geolocation.diff)
  * try to fix psi-add-client-icon-to-chatdlg.diff
  * fixed psi-geolocation.diff
  + added new patch psi-use-plugins-in-alphabetical-order.diff
  + added links to repository for Ubuntu version (downloads.wiki)
  + added change status from dbus (psi patch from debian), psi-add-dbus-status.diff
  * fixed '&' char in templates menu (psi-send-button-context-menu.diff)
  * updated skins plugin to v0.2.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  + added orange skin, v0.3 (skins/universal/orange/the_orange.skn)
  * resized topic window (psi-muc-topic.diff)
  + added Android roster iconset (iconsets/roster/Android.jisp)
  * fixed remove muc items when offline, is187,
    http://code.google.com/p/psi-dev/issues/detail?id=187 (psi-muc-minimize-to-roster.diff)
  * fixed crash on empty history (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  * proper sorting of history (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  + minimizable history (psi-improve-historydlg.diff)
  + added new patch: plugin info button to plugins settings window. need plugins support
    (psi-plugin-info-button.diff)
  * contactmanager more compatible with draft-ietf-xmpp-3921bis-06 (psi-contact-manager.diff)
  ! started english localization for wiki content


2010-05-03  zet
v0.15.2296 Beta
  --
 Известные проблемы (после r1784):
  1. поиск контактов в ростере работает нестабильно (баг upstream-версии)
  2. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен патч на исправление поведения окна чата при открытии первого непрочитанного сообщения
    (psi-fix-proccess-first-message.diff)
  * обновлён stop spam plugin до версии 0.3.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  + добавлено отображение иконки jabber-клиента собеседника в окне чата
    (psi-add-client-icon-to-chatdlg.diff)
  * исправлено поведение разделителей в окне конференции (psi-muc-roster-size-and-location.diff)
  + добавлен патч для решения задачи 98 (psi-add-join-groupchat-item-to-account-menu.diff)
  + добавлен патч на отображение в ростере собственной аватары, кнопки выбора статуса и поле для
    быстрого ввода статусного сообщения (psi-roster-avatar-frame.diff)
  * обновлён skins plugin до версии 0.1.1,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  * обновлён watcher plugin до версии 0.2.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/watcherplugin/changelog.txt (UTF-8)
  - убран патч psi-fix-alt+N-crash.diff (реализовано upstream-разработчиками)
  * обновлён extended options plugin до версии 0.2.4,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/extendedoptionsplugin/changelog.txt
    (UTF-8)
  * исправлен порядок расположения групп в ростере (psi-muc-minimize-to-roster.diff)
  + добавлен ростерный иконпак Berlin Traffic Lights (iconsets/roster/berlin.jisp)
  * обновлены некоторые скины
  --
 Known issues (after r1784):
  1. contacts search in roster works unstable (upstream version bug)
  2. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added patch to fix proccess first message (psi-fix-proccess-first-message.diff)
  * updated stop spam plugin to v0.3.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  + added client icon to chat dialog (psi-add-client-icon-to-chatdlg.diff)
  * fixed muc splitters position (psi-muc-roster-size-and-location.diff)
  + added patch to fix issues 98 (psi-add-join-groupchat-item-to-account-menu.diff)
  + added roster-avatar-frame patch (psi-roster-avatar-frame.diff)
  * updated skins plugin to v0.1.1,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  + added missing options to default.xml for some patches (psi-all-in-one-window.diff,
    psi-movable-tabs-qt45-and-custom-style.diff, psi-typeahead-find.diff)
  * fixed status menu for psi-roster-avatar-frame.diff
  * updated watcher plugin to v0.2.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/watcherplugin/changelog.txt (UTF-8)
  - removed psi-fix-alt+N-crash.diff. implemented by upstream
  * updated extended options plugin to v0.2.4,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/extendedoptionsplugin/changelog.txt
    (UTF-8)
  * fixed roster position groups (psi-muc-minimize-to-roster.diff)
  + added roster iconset Berlin Traffic Lights (iconsets/roster/berlin.jisp)
  * updated some skins


2010-04-25  zet
v0.15.2215 Beta
  --
 Известные проблемы (после r1784):
  1. не работает поиск контактов в ростере (баг upstream-версии)
  2. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * поправлен смайлпак yahoo_gif.jisp
  + добавлен системный иконпак в стиле QIP Infium (iconsets/system/qipinfium_sys.jisp)
  + добавлен скин в стиле QIP Infium (skins/win32/qip_infium.skn)
  * фикс повторного входа в уже открытую конференцию (psi-muc-minimize-to-roster.diff)
  + добавлена горячая кнопка для управления табом с конференцией (свернуть, развернуть, покинуть)
    (psi-muc-minimize-to-roster.diff)
  + добавлена опция options.ui.muc.show-client-icons на показ иконок jabber-клиентов
    в ростере конференции (psi-muc-roster-icons.diff)
  + добавлены универсальные скины (skins/universal/black_theme.skn, skins/universal/qip_infium.skn,
    skins/universal/sky.skn, skins/universal/tkabber.skn)
  * обновлён chess plugin до версии 0.1.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/chessplugin/changelog.txt (UTF-8)
  * обновлены некоторые системные иконпаки
    (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, qipinfium_sys.jisp, summer-system.jisp)
  + добавлен новый смайлпак GTalk smiles.jisp, v0.1 (iconsets/emoticons/GTalk-smiles.jisp)
  + добавлен детект следующих jabber-клиентов (psi-client-icons.diff):
    QIP 2010, AQQ, asterisk, buddydroid, ovi-chat, weather2jabber, yandexmail, radio-t
  * обновлён иконпак с иконками клиентов fingerprint.jisp, v0.2.6 (iconsets/clients/fingerprint.jisp)
  * обновлён conference logger plugin до версии 0.1.3,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
    (UTF-8)
  ! обновлена русская локализация (автор - ivan101)
  --
 Known issues (after r1784):
  1. contacts search in roster does not work (upstream version bug)
  2. hidden group does not work (upstream version bug)
  --
 Changelog:
  * fixed iconsets/emoticons/yahoo_gif.jisp
  + added qip infium system iconset (iconsets/system/qipinfium_sys.jisp)
  + added qip infium skin (skins/win32/qip_infium.skn)
  * fixed empty contact after join in already opened groupchat (psi-muc-minimize-to-roster.diff)
  + added shortcuts for manage muc tab (minimize, restore, leave) (psi-muc-minimize-to-roster.diff)
  + added options.ui.muc.show-client-icons (psi-muc-roster-icons.diff)
  + added universal skins (skins/universal/black_theme.skn, skins/universal/qip_infium.skn,
    skins/universal/sky.skn, skins/universal/tkabber.skn)
  * updated chess plugin to v0.1.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/chessplugin/changelog.txt (UTF-8)
  * updated some system iconsets
    (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, qipinfium_sys.jisp, summer-system.jisp)
  + added GTalk smiles.jisp, v0.1 (iconsets/emoticons/GTalk-smiles.jisp)
  + added some jabber clients detection (psi-client-icons.diff):
    QIP 2010, AQQ, asterisk, buddydroid, ovi-chat, weather2jabber, yandexmail, radio-t
  * updated fingerprint.jisp to v0.2.6 (iconsets/clients/fingerprint.jisp)
  * updated conference logger plugin to v0.1.3,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
    (UTF-8)
  * updated russian localization (by ivan101)


